#include <qtsvg_includes.h>

#include <smoke.h>
#include <qtsvg_smoke.h>

namespace __smokeqtsvg {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAccessible2Interface
      switch(to) {
        case 1: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCloseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 9: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 11: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QCursor
      switch(to) {
        case 12: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 13:   //QDataStream
      switch(to) {
        case 13: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 14:   //QDate
      switch(to) {
        case 14: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 15:   //QDateTime
      switch(to) {
        case 15: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 16:   //QDebug
      switch(to) {
        case 16: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 17:   //QDir
      switch(to) {
        case 17: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 18:   //QDragEnterEvent
      switch(to) {
        case 20: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 21: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 18: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QDragLeaveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 19: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QDragMoveEvent
      switch(to) {
        case 21: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 20: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 21: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QEasingCurve
      switch(to) {
        case 22: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 23:   //QEvent
      switch(to) {
        case 23: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QFocusEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 24: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QFont
      switch(to) {
        case 25: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 27:   //QGraphicsItem
      switch(to) {
        case 27: return (void*)(QGraphicsItem*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 28:   //QGraphicsObject
      switch(to) {
        case 57: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 27: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 28: return (void*)(QGraphicsObject*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 29:   //QGraphicsSceneContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneContextMenuEvent*)xptr;
        case 29: return (void*)(QGraphicsSceneContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QGraphicsSceneDragDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneDragDropEvent*)xptr;
        case 30: return (void*)(QGraphicsSceneDragDropEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QGraphicsSceneHoverEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneHoverEvent*)xptr;
        case 31: return (void*)(QGraphicsSceneHoverEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QGraphicsSceneMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneMouseEvent*)xptr;
        case 32: return (void*)(QGraphicsSceneMouseEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QGraphicsSceneWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneWheelEvent*)xptr;
        case 33: return (void*)(QGraphicsSceneWheelEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QGraphicsSvgItem
      switch(to) {
        case 28: return (void*)(QGraphicsObject*)(QGraphicsSvgItem*)xptr;
        case 57: return (void*)(QObject*)(QGraphicsSvgItem*)xptr;
        case 27: return (void*)(QGraphicsItem*)(QGraphicsSvgItem*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)xptr;
        default: return xptr;
      }
    case 35:   //QHashDummyValue
      switch(to) {
        case 35: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 36:   //QHideEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 36: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QIODevice
      switch(to) {
        case 57: return (void*)(QObject*)(QIODevice*)xptr;
        case 37: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 38:   //QIcon
      switch(to) {
        case 38: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 39:   //QImage
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 39: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 40:   //QIncompatibleFlag
      switch(to) {
        case 40: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 41:   //QInputMethodEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 41: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QItemSelectionRange
      switch(to) {
        case 42: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 43:   //QKeyEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 43: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QKeySequence
      switch(to) {
        case 44: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 45:   //QLatin1String
      switch(to) {
        case 45: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 46:   //QLine
      switch(to) {
        case 46: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 47:   //QLineF
      switch(to) {
        case 47: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 48:   //QListWidgetItem
      switch(to) {
        case 48: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 49:   //QLocale
      switch(to) {
        case 49: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 50:   //QMargins
      switch(to) {
        case 50: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 51:   //QMatrix
      switch(to) {
        case 51: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 52:   //QMatrix4x4
      switch(to) {
        case 52: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 53:   //QMetaObject
      switch(to) {
        case 53: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 54:   //QModelIndex
      switch(to) {
        case 54: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 55:   //QMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 55: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QMoveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 56: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QObject
      switch(to) {
        case 57: return (void*)(QObject*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QObject*)xptr;
        case 90: return (void*)(QSvgRenderer*)(QObject*)xptr;
        case 91: return (void*)(QSvgWidget*)(QObject*)xptr;
        default: return xptr;
      }
    case 58:   //QPaintDevice
      switch(to) {
        case 58: return (void*)(QPaintDevice*)xptr;
        case 89: return (void*)(QSvgGenerator*)(QPaintDevice*)xptr;
        case 91: return (void*)(QSvgWidget*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 59:   //QPaintEngine
      switch(to) {
        case 59: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 60:   //QPaintEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 60: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QPainter
      switch(to) {
        case 61: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 62:   //QPainterPath
      switch(to) {
        case 62: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 63:   //QPalette
      switch(to) {
        case 63: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 64:   //QPen
      switch(to) {
        case 64: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 65:   //QPersistentModelIndex
      switch(to) {
        case 65: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 66:   //QPicture
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QPicture*)xptr;
        case 66: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 67:   //QPixmap
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 67: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 68:   //QPoint
      switch(to) {
        case 68: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 69:   //QPointF
      switch(to) {
        case 69: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 70:   //QPolygon
      switch(to) {
        case 70: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 71:   //QPolygonF
      switch(to) {
        case 71: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 72:   //QQuaternion
      switch(to) {
        case 72: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 73:   //QRect
      switch(to) {
        case 73: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 74:   //QRectF
      switch(to) {
        case 74: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 75:   //QRegExp
      switch(to) {
        case 75: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 76:   //QRegion
      switch(to) {
        case 76: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 77:   //QResizeEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 77: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QShowEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 78: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QSize
      switch(to) {
        case 79: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 80:   //QSizeF
      switch(to) {
        case 80: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 81:   //QSizePolicy
      switch(to) {
        case 81: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 82:   //QSplitter
      switch(to) {
        case 112: return (void*)(QWidget*)(QSplitter*)xptr;
        case 57: return (void*)(QObject*)(QSplitter*)xptr;
        case 58: return (void*)(QPaintDevice*)(QSplitter*)xptr;
        case 82: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 83:   //QStandardItem
      switch(to) {
        case 83: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 84:   //QString::Null
      switch(to) {
        case 84: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 85:   //QStringRef
      switch(to) {
        case 85: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 86:   //QStyle
      switch(to) {
        case 57: return (void*)(QObject*)(QStyle*)xptr;
        case 86: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 87:   //QStyleOption
      switch(to) {
        case 87: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 88:   //QStyleOptionGraphicsItem
      switch(to) {
        case 87: return (void*)(QStyleOption*)(QStyleOptionGraphicsItem*)xptr;
        case 88: return (void*)(QStyleOptionGraphicsItem*)xptr;
        default: return xptr;
      }
    case 89:   //QSvgGenerator
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QSvgGenerator*)xptr;
        case 89: return (void*)(QSvgGenerator*)xptr;
        default: return xptr;
      }
    case 90:   //QSvgRenderer
      switch(to) {
        case 57: return (void*)(QObject*)(QSvgRenderer*)xptr;
        case 90: return (void*)(QSvgRenderer*)xptr;
        default: return xptr;
      }
    case 91:   //QSvgWidget
      switch(to) {
        case 112: return (void*)(QWidget*)(QSvgWidget*)xptr;
        case 57: return (void*)(QObject*)(QSvgWidget*)xptr;
        case 58: return (void*)(QPaintDevice*)(QSvgWidget*)xptr;
        case 91: return (void*)(QSvgWidget*)xptr;
        default: return xptr;
      }
    case 92:   //QTableWidgetItem
      switch(to) {
        case 92: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 93:   //QTabletEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 93: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 94:   //QTextCodec
      switch(to) {
        case 94: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 95:   //QTextFormat
      switch(to) {
        case 95: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 96:   //QTextLength
      switch(to) {
        case 96: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 97:   //QTextStream
      switch(to) {
        case 97: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 98:   //QTextStreamManipulator
      switch(to) {
        case 98: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 99:   //QTileRules
      switch(to) {
        case 99: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 100:   //QTime
      switch(to) {
        case 100: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 101:   //QTimerEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 101: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QTransform
      switch(to) {
        case 102: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 103:   //QTreeWidgetItem
      switch(to) {
        case 103: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 104:   //QUrl
      switch(to) {
        case 104: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 105:   //QUuid
      switch(to) {
        case 105: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 106:   //QVariant
      switch(to) {
        case 106: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 107:   //QVariantComparisonHelper
      switch(to) {
        case 107: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 108:   //QVector2D
      switch(to) {
        case 108: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 109:   //QVector3D
      switch(to) {
        case 109: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 110:   //QVector4D
      switch(to) {
        case 110: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 111:   //QWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 111: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 112:   //QWidget
      switch(to) {
        case 57: return (void*)(QObject*)(QWidget*)xptr;
        case 58: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 112: return (void*)(QWidget*)xptr;
        case 91: return (void*)(QSvgWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    case 113:   //QXmlStreamReader
      switch(to) {
        case 113: return (void*)(QXmlStreamReader*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    28, 0,	// 1: QGraphicsObject
    58, 0,	// 3: QPaintDevice
    57, 0,	// 5: QObject
    112, 0,	// 7: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QGraphicsSvgItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgRenderer(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgWidget(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QCursor", true, 0, 0, 0, 0, 0 },	//12
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//13
    { "QDate", true, 0, 0, 0, 0, 0 },	//14
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//15
    { "QDebug", true, 0, 0, 0, 0, 0 },	//16
    { "QDir", true, 0, 0, 0, 0, 0 },	//17
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//22
    { "QEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QFont", true, 0, 0, 0, 0, 0 },	//25
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//26
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//27
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//28
    { "QGraphicsSceneContextMenuEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QGraphicsSceneDragDropEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QGraphicsSceneHoverEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QGraphicsSceneMouseEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QGraphicsSceneWheelEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QGraphicsSvgItem", false, 1, xcall_QGraphicsSvgItem, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGraphicsSvgItem) },	//34
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//35
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//37
    { "QIcon", true, 0, 0, 0, 0, 0 },	//38
    { "QImage", true, 0, 0, 0, 0, 0 },	//39
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//40
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//42
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//44
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//45
    { "QLine", true, 0, 0, 0, 0, 0 },	//46
    { "QLineF", true, 0, 0, 0, 0, 0 },	//47
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//48
    { "QLocale", true, 0, 0, 0, 0, 0 },	//49
    { "QMargins", true, 0, 0, 0, 0, 0 },	//50
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//51
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//52
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//53
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//54
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QObject", true, 0, 0, 0, 0, 0 },	//57
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//58
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//59
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QPainter", true, 0, 0, 0, 0, 0 },	//61
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//62
    { "QPalette", true, 0, 0, 0, 0, 0 },	//63
    { "QPen", true, 0, 0, 0, 0, 0 },	//64
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//65
    { "QPicture", true, 0, 0, 0, 0, 0 },	//66
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//67
    { "QPoint", true, 0, 0, 0, 0, 0 },	//68
    { "QPointF", true, 0, 0, 0, 0, 0 },	//69
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//70
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//71
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//72
    { "QRect", true, 0, 0, 0, 0, 0 },	//73
    { "QRectF", true, 0, 0, 0, 0, 0 },	//74
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//75
    { "QRegion", true, 0, 0, 0, 0, 0 },	//76
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QSize", true, 0, 0, 0, 0, 0 },	//79
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//80
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//81
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//82
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//83
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//84
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//85
    { "QStyle", true, 0, 0, 0, 0, 0 },	//86
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//87
    { "QStyleOptionGraphicsItem", true, 0, 0, 0, 0, 0 },	//88
    { "QSvgGenerator", false, 3, xcall_QSvgGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgGenerator) },	//89
    { "QSvgRenderer", false, 5, xcall_QSvgRenderer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgRenderer) },	//90
    { "QSvgWidget", false, 7, xcall_QSvgWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgWidget) },	//91
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//92
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//93
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//94
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//95
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//96
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//97
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//98
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//99
    { "QTime", true, 0, 0, 0, 0, 0 },	//100
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QTransform", true, 0, 0, 0, 0, 0 },	//102
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//103
    { "QUrl", true, 0, 0, 0, 0, 0 },	//104
    { "QUuid", true, 0, 0, 0, 0, 0 },	//105
    { "QVariant", true, 0, 0, 0, 0, 0 },	//106
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//107
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//108
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//109
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//110
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//111
    { "QWidget", true, 0, 0, 0, 0, 0 },	//112
    { "QXmlStreamReader", true, 0, 0, 0, 0, 0 },	//113
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//2
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAccessible2::TableModelChangeType", 0, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAccessible2Interface*", 1, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//13
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//14
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//15
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//16
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//17
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//18
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//19
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//20
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QCloseEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//23
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "QContextMenuEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QCursor&", 12, Smoke::t_class|Smoke::tf_ref },	//26
    { "QDataStream&", 13, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDate&", 14, Smoke::t_class|Smoke::tf_ref },	//28
    { "QDateTime&", 15, Smoke::t_class|Smoke::tf_ref },	//29
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QDebug", 16, Smoke::t_class|Smoke::tf_stack },	//31
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDir::Filter", 17, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QDir::SortFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//34
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "QDragEnterEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDragLeaveEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDragMoveEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QDropEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref },	//42
    { "QEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QPinchGesture::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//124
    { "QFocusEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QFont&", 25, Smoke::t_class|Smoke::tf_ref },	//126
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QGraphicsItem*", 27, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QGraphicsItem::Extension", 27, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QGraphicsItem::GraphicsItemChange", 27, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QGraphicsItem::GraphicsItemFlag", 27, Smoke::t_enum|Smoke::tf_stack },	//135
    { "QGraphicsObject*", 28, Smoke::t_class|Smoke::tf_ptr },	//136
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "QGraphicsSceneContextMenuEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//138
    { "QGraphicsSceneDragDropEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QGraphicsSceneHoverEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QGraphicsSceneMouseEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QGraphicsSceneWheelEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//142
    { "QGraphicsSvgItem*", 34, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "QHideEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QIODevice*", 37, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QIODevice::OpenModeFlag", 37, Smoke::t_enum|Smoke::tf_stack },	//148
    { "QIcon&", 38, Smoke::t_class|Smoke::tf_ref },	//149
    { "QImage&", 39, Smoke::t_class|Smoke::tf_ref },	//150
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "QIncompatibleFlag", 40, Smoke::t_class|Smoke::tf_stack },	//152
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "QInputMethodEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "QKeyEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QKeySequence&", 44, Smoke::t_class|Smoke::tf_ref },	//157
    { "QKeySequence::StandardKey", 44, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QLine", 46, Smoke::t_class|Smoke::tf_stack },	//160
    { "QLine&", 46, Smoke::t_class|Smoke::tf_ref },	//161
    { "QLineF", 47, Smoke::t_class|Smoke::tf_stack },	//162
    { "QLineF&", 47, Smoke::t_class|Smoke::tf_ref },	//163
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//164
    { "QListWidgetItem&", 48, Smoke::t_class|Smoke::tf_ref },	//165
    { "QLocale&", 49, Smoke::t_class|Smoke::tf_ref },	//166
    { "QLocale::NumberOption", 49, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QMatrix", 51, Smoke::t_class|Smoke::tf_stack },	//169
    { "QMatrix&", 51, Smoke::t_class|Smoke::tf_ref },	//170
    { "QMatrix4x4", 52, Smoke::t_class|Smoke::tf_stack },	//171
    { "QMatrix4x4&", 52, Smoke::t_class|Smoke::tf_ref },	//172
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QMetaObject::Call", 53, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QMouseEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//177
    { "QMoveEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//178
    { "QObject*", 57, Smoke::t_class|Smoke::tf_ptr },	//179
    { "QObject*(*)()", 57, Smoke::t_class|Smoke::tf_ptr },	//180
    { "QPaintDevice::PaintDeviceMetric", 58, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QPaintEngine*", 59, Smoke::t_class|Smoke::tf_ptr },	//182
    { "QPaintEngine::DirtyFlag", 59, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QPaintEngine::PaintEngineFeature", 59, Smoke::t_enum|Smoke::tf_stack },	//184
    { "QPaintEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QPainter*", 61, Smoke::t_class|Smoke::tf_ptr },	//186
    { "QPainter::RenderHint", 61, Smoke::t_enum|Smoke::tf_stack },	//187
    { "QPainterPath", 62, Smoke::t_class|Smoke::tf_stack },	//188
    { "QPainterPath&", 62, Smoke::t_class|Smoke::tf_ref },	//189
    { "QPalette&", 63, Smoke::t_class|Smoke::tf_ref },	//190
    { "QPen&", 64, Smoke::t_class|Smoke::tf_ref },	//191
    { "QPicture&", 66, Smoke::t_class|Smoke::tf_ref },	//192
    { "QPinchGesture::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QPixmap&", 67, Smoke::t_class|Smoke::tf_ref },	//194
    { "QPoint", 68, Smoke::t_class|Smoke::tf_stack },	//195
    { "QPoint&", 68, Smoke::t_class|Smoke::tf_ref },	//196
    { "QPointF", 69, Smoke::t_class|Smoke::tf_stack },	//197
    { "QPointF&", 69, Smoke::t_class|Smoke::tf_ref },	//198
    { "QPolygon", 70, Smoke::t_class|Smoke::tf_stack },	//199
    { "QPolygon&", 70, Smoke::t_class|Smoke::tf_ref },	//200
    { "QPolygonF", 71, Smoke::t_class|Smoke::tf_stack },	//201
    { "QPolygonF&", 71, Smoke::t_class|Smoke::tf_ref },	//202
    { "QQuaternion&", 72, Smoke::t_class|Smoke::tf_ref },	//203
    { "QRect", 73, Smoke::t_class|Smoke::tf_stack },	//204
    { "QRect&", 73, Smoke::t_class|Smoke::tf_ref },	//205
    { "QRectF", 74, Smoke::t_class|Smoke::tf_stack },	//206
    { "QRectF&", 74, Smoke::t_class|Smoke::tf_ref },	//207
    { "QRegExp&", 75, Smoke::t_class|Smoke::tf_ref },	//208
    { "QRegion", 76, Smoke::t_class|Smoke::tf_stack },	//209
    { "QRegion&", 76, Smoke::t_class|Smoke::tf_ref },	//210
    { "QResizeEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QShowEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//212
    { "QSize", 79, Smoke::t_class|Smoke::tf_stack },	//213
    { "QSize&", 79, Smoke::t_class|Smoke::tf_ref },	//214
    { "QSizeF&", 80, Smoke::t_class|Smoke::tf_ref },	//215
    { "QSizePolicy&", 81, Smoke::t_class|Smoke::tf_ref },	//216
    { "QSizePolicy::ControlType", 81, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QSplitter&", 82, Smoke::t_class|Smoke::tf_ref },	//218
    { "QStandardItem&", 83, Smoke::t_class|Smoke::tf_ref },	//219
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//220
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//221
    { "QString::Null", 84, Smoke::t_class|Smoke::tf_stack },	//222
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//224
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//225
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//226
    { "QStyle&", 86, Smoke::t_class|Smoke::tf_ref },	//227
    { "QStyle::StateFlag", 86, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QStyle::SubControl", 86, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "QSvgGenerator*", 89, Smoke::t_class|Smoke::tf_ptr },	//237
    { "QSvgRenderer*", 90, Smoke::t_class|Smoke::tf_ptr },	//238
    { "QSvgWidget*", 91, Smoke::t_class|Smoke::tf_ptr },	//239
    { "QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref },	//240
    { "QTabletEvent*", 93, Smoke::t_class|Smoke::tf_ptr },	//241
    { "QTextCodec*", 94, Smoke::t_class|Smoke::tf_ptr },	//242
    { "QTextCodec::ConversionFlag", 94, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref },	//246
    { "QTextFormat::PageBreakFlag", 95, Smoke::t_enum|Smoke::tf_stack },	//247
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "QTextLength&", 96, Smoke::t_class|Smoke::tf_ref },	//249
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QTextStream&", 97, Smoke::t_class|Smoke::tf_ref },	//251
    { "QTextStream&(*)(QTextStream&)", 97, Smoke::t_class|Smoke::tf_ref },	//252
    { "QTextStream::NumberFlag", 97, Smoke::t_enum|Smoke::tf_stack },	//253
    { "QTextStreamManipulator", 98, Smoke::t_class|Smoke::tf_stack },	//254
    { "QTime&", 100, Smoke::t_class|Smoke::tf_ref },	//255
    { "QTimerEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//256
    { "QTransform", 102, Smoke::t_class|Smoke::tf_stack },	//257
    { "QTransform&", 102, Smoke::t_class|Smoke::tf_ref },	//258
    { "QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref },	//259
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QUrl&", 104, Smoke::t_class|Smoke::tf_ref },	//261
    { "QUrl::FormattingOption", 104, Smoke::t_enum|Smoke::tf_stack },	//262
    { "QUuid&", 105, Smoke::t_class|Smoke::tf_ref },	//263
    { "QVariant", 106, Smoke::t_class|Smoke::tf_stack },	//264
    { "QVariant&", 106, Smoke::t_class|Smoke::tf_ref },	//265
    { "QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack },	//266
    { "QVariant::Type&", 106, Smoke::t_enum|Smoke::tf_ref },	//267
    { "QVector2D&", 108, Smoke::t_class|Smoke::tf_ref },	//268
    { "QVector3D", 109, Smoke::t_class|Smoke::tf_stack },	//269
    { "QVector3D&", 109, Smoke::t_class|Smoke::tf_ref },	//270
    { "QVector4D", 110, Smoke::t_class|Smoke::tf_stack },	//271
    { "QVector4D&", 110, Smoke::t_class|Smoke::tf_ref },	//272
    { "QWheelEvent*", 111, Smoke::t_class|Smoke::tf_ptr },	//273
    { "QWidget*", 112, Smoke::t_class|Smoke::tf_ptr },	//274
    { "QWidget::RenderFlag", 112, Smoke::t_enum|Smoke::tf_stack },	//275
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "QXmlStreamReader*", 113, Smoke::t_class|Smoke::tf_ptr },	//277
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "QtMsgType", 26, Smoke::t_enum|Smoke::tf_stack },	//354
    { "QtValidLicenseForActiveQtModule", 26, Smoke::t_enum|Smoke::tf_stack },	//355
    { "QtValidLicenseForCoreModule", 26, Smoke::t_enum|Smoke::tf_stack },	//356
    { "QtValidLicenseForDBusModule", 26, Smoke::t_enum|Smoke::tf_stack },	//357
    { "QtValidLicenseForDeclarativeModule", 26, Smoke::t_enum|Smoke::tf_stack },	//358
    { "QtValidLicenseForGuiModule", 26, Smoke::t_enum|Smoke::tf_stack },	//359
    { "QtValidLicenseForHelpModule", 26, Smoke::t_enum|Smoke::tf_stack },	//360
    { "QtValidLicenseForMultimediaModule", 26, Smoke::t_enum|Smoke::tf_stack },	//361
    { "QtValidLicenseForNetworkModule", 26, Smoke::t_enum|Smoke::tf_stack },	//362
    { "QtValidLicenseForOpenGLModule", 26, Smoke::t_enum|Smoke::tf_stack },	//363
    { "QtValidLicenseForOpenVGModule", 26, Smoke::t_enum|Smoke::tf_stack },	//364
    { "QtValidLicenseForQt3SupportLightModule", 26, Smoke::t_enum|Smoke::tf_stack },	//365
    { "QtValidLicenseForQt3SupportModule", 26, Smoke::t_enum|Smoke::tf_stack },	//366
    { "QtValidLicenseForScriptModule", 26, Smoke::t_enum|Smoke::tf_stack },	//367
    { "QtValidLicenseForScriptToolsModule", 26, Smoke::t_enum|Smoke::tf_stack },	//368
    { "QtValidLicenseForSqlModule", 26, Smoke::t_enum|Smoke::tf_stack },	//369
    { "QtValidLicenseForSvgModule", 26, Smoke::t_enum|Smoke::tf_stack },	//370
    { "QtValidLicenseForTestModule", 26, Smoke::t_enum|Smoke::tf_stack },	//371
    { "QtValidLicenseForXmlModule", 26, Smoke::t_enum|Smoke::tf_stack },	//372
    { "QtValidLicenseForXmlPatternsModule", 26, Smoke::t_enum|Smoke::tf_stack },	//373
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//374
    { "__codecvt_result", 26, Smoke::t_enum|Smoke::tf_stack },	//375
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//376
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//377
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//378
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QBrush*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//381
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//382
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QCursor&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QDate&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QDateTime&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const QDir&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const QEvent*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//391
    { "const QFont&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QGraphicsItem*", 27, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//393
    { "const QHashDummyValue&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QIcon&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QImage&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QItemSelectionRange&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QKeySequence&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QLatin1String&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QLine&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QLineF&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QListWidgetItem&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QLocale&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QMargins&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const QMatrix&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QMatrix4x4&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const QMetaObject&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QMetaObject*", 53, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//408
    { "const QModelIndex&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//410
    { "const QPainterPath&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QPalette&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QPen&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QPersistentModelIndex&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QPicture&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QPixmap&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QPoint", 68, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//417
    { "const QPoint&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QPointF", 69, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//419
    { "const QPointF&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QPolygon&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QPolygonF&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QQuaternion", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//423
    { "const QQuaternion&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QRect&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QRectF&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QRegExp&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QRegExp*", 75, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//428
    { "const QRegion&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QSize", 79, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//430
    { "const QSize&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QSizeF", 80, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//432
    { "const QSizeF&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QSizePolicy&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QSplitter&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QStandardItem&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//437
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//440
    { "const QStringRef&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QStyleOption&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QStyleOption::OptionType&", 87, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QStyleOptionGraphicsItem*", 88, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//444
    { "const QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QTextLength&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QTileRules&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QTime&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QTransform&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QUrl&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QUuid&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QVariant&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//454
    { "const QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//455
    { "const QVariantComparisonHelper&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QVector2D", 108, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//457
    { "const QVector2D&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QVector3D", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//459
    { "const QVector3D&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QVector4D", 110, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//461
    { "const QVector4D&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//463
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//464
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//465
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//466
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//467
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//468
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//469
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//470
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//471
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//472
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//473
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//474
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//475
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//476
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//477
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//478
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//479
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//480
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//481
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//482
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//483
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//484
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//485
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//486
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//487
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//488
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    30, 468, 0,	//1  QDateTimeEdit::Section, int
    441, 441, 0,	//4  const QStringRef&, const QStringRef&
    450, 467, 0,	//7  const QTransform&, float
    481, 0,	//10  unsigned long long
    466, 0,	//12  double
    243, 468, 0,	//14  QTextCodec::ConversionFlag, int
    406, 406, 0,	//17  const QMatrix4x4&, const QMatrix4x4&
    310, 468, 0,	//20  Qt::ImageConversionFlag, int
    460, 460, 0,	//23  const QVector3D&, const QVector3D&
    458, 458, 0,	//26  const QVector2D&, const QVector2D&
    463, 479, 0,	//29  const char*, unsigned int
    486, 465, 476, 0,	//32  void*, const void*, size_t
    463, 399, 0,	//36  const char*, const QLatin1String&
    31, 73, 0,	//39  QDebug, QFlags<QIODevice::OpenModeFlag>
    27, 149, 0,	//42  QDataStream&, QIcon&
    420, 405, 0,	//45  const QPointF&, const QMatrix&
    183, 83, 0,	//48  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    441, 438, 0,	//51  const QStringRef&, const QString&
    431, 431, 0,	//54  const QSize&, const QSize&
    27, 398, 0,	//57  QDataStream&, const QKeySequence&
    245, 245, 0,	//60  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    463, 383, 0,	//63  const char*, const QByteArray&
    27, 219, 0,	//66  QDataStream&, QStandardItem&
    230, 230, 0,	//69  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    173, 80, 0,	//72  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    45, 62, 0,	//75  QFile::Permission, QFlags<QFile::Permission>
    438, 463, 0,	//78  const QString&, const char*
    27, 203, 0,	//81  QDataStream&, QQuaternion&
    420, 420, 0,	//84  const QPointF&, const QPointF&
    27, 422, 0,	//87  QDataStream&, const QPolygonF&
    27, 215, 0,	//90  QDataStream&, QSizeF&
    383, 463, 0,	//93  const QByteArray&, const char*
    467, 0,	//96  float
    463, 0,	//98  const char*
    475, 0,	//100  signed char
    131, 468, 0,	//102  QGraphicsEffect::ChangeFlag, int
    438, 441, 0,	//105  const QString&, const QStringRef&
    46, 468, 0,	//108  QFileDialog::Option, int
    467, 431, 0,	//111  float, const QSize&
    19, 0,	//114  QChar
    27, 429, 0,	//116  QDataStream&, const QRegion&
    175, 175, 0,	//119  QMessageBox::StandardButton, QMessageBox::StandardButton
    229, 90, 0,	//122  QStyle::SubControl, QFlags<QStyle::SubControl>
    406, 418, 0,	//125  const QMatrix4x4&, const QPoint&
    27, 447, 0,	//128  QDataStream&, const QTextLength&
    31, 380, 0,	//131  QDebug, const QBrush&
    129, 129, 0,	//134  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    441, 399, 0,	//137  const QStringRef&, const QLatin1String&
    406, 462, 0,	//140  const QMatrix4x4&, const QVector4D&
    19, 19, 0,	//143  QChar, QChar
    31, 424, 0,	//146  QDebug, const QQuaternion&
    343, 343, 0,	//149  Qt::TouchPointState, Qt::TouchPointState
    406, 0,	//152  const QMatrix4x4&
    452, 0,	//154  const QUrl&
    383, 0,	//156  const QByteArray&
    275, 468, 0,	//158  QWidget::RenderFlag, int
    27, 412, 0,	//161  QDataStream&, const QPalette&
    31, 452, 0,	//164  QDebug, const QUrl&
    27, 23, 0,	//167  QDataStream&, QColor&
    27, 240, 0,	//170  QDataStream&, QTableWidgetItem&
    168, 79, 0,	//173  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    222, 438, 0,	//176  QString::Null, const QString&
    31, 135, 0,	//179  QDebug, QGraphicsItem::GraphicsItemFlag
    275, 107, 0,	//182  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    340, 340, 0,	//185  Qt::ToolBarArea, Qt::ToolBarArea
    463, 463, 0,	//188  const char*, const char*
    145, 468, 0,	//191  QGraphicsView::OptimizationFlag, int
    167, 167, 0,	//194  QLocale::NumberOption, QLocale::NumberOption
    351, 351, 0,	//197  Qt::WindowType, Qt::WindowType
    424, 424, 0,	//200  const QQuaternion&, const QQuaternion&
    33, 468, 0,	//203  QDir::Filter, int
    229, 229, 0,	//206  QStyle::SubControl, QStyle::SubControl
    418, 418, 0,	//209  const QPoint&, const QPoint&
    27, 426, 0,	//212  QDataStream&, const QRectF&
    318, 468, 0,	//215  Qt::KeyboardModifier, int
    337, 120, 0,	//218  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    173, 468, 0,	//221  QMdiArea::AreaOption, int
    2, 48, 0,	//224  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    377, 0,	//227  char
    276, 276, 0,	//229  QWizard::WizardOption, QWizard::WizardOption
    253, 104, 0,	//232  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    250, 468, 0,	//235  QTextOption::Flag, int
    31, 404, 0,	//238  QDebug, const QMargins&
    262, 468, 0,	//241  QUrl::FormattingOption, int
    45, 468, 0,	//244  QFile::Permission, int
    129, 66, 0,	//247  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    186, 468, 468, 468, 468, 412, 376, 381, 0,	//250  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    186, 468, 468, 468, 468, 412, 0,	//259  QPainter*, int, int, int, int, const QPalette&
    186, 468, 468, 468, 468, 412, 376, 0,	//266  QPainter*, int, int, int, int, const QPalette&, bool
    27, 450, 0,	//274  QDataStream&, const QTransform&
    35, 58, 0,	//277  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    438, 383, 0,	//280  const QString&, const QByteArray&
    433, 433, 0,	//283  const QSizeF&, const QSizeF&
    460, 406, 0,	//286  const QVector3D&, const QMatrix4x4&
    462, 462, 0,	//289  const QVector4D&, const QVector4D&
    31, 420, 0,	//292  QDebug, const QPointF&
    472, 468, 470, 470, 0,	//295  long double, int, int*, int*
    46, 63, 0,	//300  QFileDialog::Option, QFlags<QFileDialog::Option>
    27, 416, 0,	//303  QDataStream&, const QPixmap&
    318, 116, 0,	//306  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    276, 468, 0,	//309  QWizard::WizardOption, int
    31, 401, 0,	//312  QDebug, const QLineF&
    479, 0,	//315  unsigned int
    31, 388, 0,	//317  QDebug, const QDateTime&
    36, 59, 0,	//320  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    463, 438, 0,	//323  const char*, const QString&
    468, 468, 468, 0,	//326  int, int, int
    144, 144, 0,	//330  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    27, 415, 0,	//333  QDataStream&, const QPicture&
    262, 262, 0,	//336  QUrl::FormattingOption, QUrl::FormattingOption
    343, 122, 0,	//339  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    310, 310, 0,	//342  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    468, 0,	//345  int
    184, 468, 0,	//347  QPaintEngine::PaintEngineFeature, int
    2, 2, 0,	//350  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    167, 468, 0,	//353  QLocale::NumberOption, int
    399, 399, 0,	//356  const QLatin1String&, const QLatin1String&
    464, 468, 0,	//359  const unsigned char*, int
    463, 463, 479, 0,	//362  const char*, const char*, unsigned int
    399, 441, 0,	//366  const QLatin1String&, const QStringRef&
    156, 158, 0,	//369  QKeyEvent*, QKeySequence::StandardKey
    232, 232, 0,	//372  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    251, 218, 0,	//375  QTextStream&, QSplitter&
    397, 0,	//378  const QItemSelectionRange&
    300, 300, 0,	//380  Qt::DropAction, Qt::DropAction
    187, 85, 0,	//383  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    31, 418, 0,	//386  QDebug, const QPoint&
    27, 166, 0,	//389  QDataStream&, QLocale&
    438, 19, 0,	//392  const QString&, QChar
    222, 222, 0,	//395  QString::Null, QString::Null
    10, 51, 0,	//398  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    464, 478, 468, 0,	//401  const unsigned char*, unsigned char*, int
    231, 92, 0,	//405  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    243, 243, 0,	//408  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    325, 325, 0,	//411  Qt::Orientation, Qt::Orientation
    486, 476, 476, 476, 0,	//414  void*, size_t, size_t, size_t
    27, 190, 0,	//419  QDataStream&, QPalette&
    27, 386, 0,	//422  QDataStream&, const QCursor&
    383, 438, 0,	//425  const QByteArray&, const QString&
    340, 121, 0,	//428  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    245, 100, 0,	//431  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    425, 425, 0,	//434  const QRect&, const QRect&
    44, 61, 0,	//437  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    379, 379, 0,	//440  const QBitArray&, const QBitArray&
    383, 383, 0,	//443  const QByteArray&, const QByteArray&
    175, 82, 0,	//446  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    486, 476, 0,	//449  void*, size_t
    438, 0,	//452  const QString&
    193, 86, 0,	//454  QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>
    27, 405, 0,	//457  QDataStream&, const QMatrix&
    27, 403, 0,	//460  QDataStream&, const QLocale&
    31, 390, 0,	//463  QDebug, const QEasingCurve&
    485, 0,	//466  void(*)(QtMsgType,const char*)
    3, 468, 0,	//468  QAbstractPrintDialog::PrintDialogOption, int
    409, 0,	//471  const QModelIndex&
    30, 30, 0,	//473  QDateTimeEdit::Section, QDateTimeEdit::Section
    236, 97, 0,	//476  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    27, 29, 0,	//479  QDataStream&, QDateTime&
    31, 391, 0,	//482  QDebug, const QEvent*
    15, 15, 0,	//485  QBool, QBool
    131, 131, 0,	//488  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    463, 441, 0,	//491  const char*, const QStringRef&
    127, 468, 0,	//494  QFontComboBox::FontFilter, int
    340, 468, 0,	//497  Qt::ToolBarArea, int
    129, 468, 0,	//500  QGestureRecognizer::ResultFlag, int
    151, 151, 0,	//503  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    27, 191, 0,	//506  QDataStream&, QPen&
    400, 450, 0,	//509  const QLine&, const QTransform&
    31, 422, 0,	//512  QDebug, const QPolygonF&
    312, 468, 0,	//515  Qt::InputMethodHint, int
    19, 438, 0,	//518  QChar, const QString&
    233, 94, 0,	//521  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    223, 468, 0,	//524  QString::SectionFlag, int
    130, 67, 0,	//527  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    159, 468, 0,	//530  QLibrary::LoadHint, int
    31, 134, 0,	//533  QDebug, QGraphicsItem::GraphicsItemChange
    27, 261, 0,	//536  QDataStream&, QUrl&
    406, 467, 0,	//539  const QMatrix4x4&, float
    463, 463, 468, 0,	//542  const char*, const char*, int
    473, 0,	//546  long long
    424, 0,	//548  const QQuaternion&
    438, 222, 0,	//550  const QString&, QString::Null
    128, 128, 0,	//553  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    450, 450, 0,	//556  const QTransform&, const QTransform&
    168, 468, 0,	//559  QMainWindow::DockOption, int
    27, 16, 0,	//562  QDataStream&, QBrush&
    1, 468, 0,	//565  QAbstractFileEngine::FileFlag, int
    460, 467, 0,	//568  const QVector3D&, float
    243, 98, 0,	//571  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    438, 377, 0,	//574  const QString&, char
    411, 405, 0,	//577  const QPainterPath&, const QMatrix&
    312, 114, 0,	//580  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    168, 168, 0,	//583  QMainWindow::DockOption, QMainWindow::DockOption
    276, 108, 0,	//586  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    27, 216, 0,	//589  QDataStream&, QSizePolicy&
    351, 124, 0,	//592  Qt::WindowType, QFlags<Qt::WindowType>
    467, 467, 0,	//595  float, float
    186, 468, 468, 468, 468, 385, 468, 381, 0,	//598  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    186, 468, 468, 468, 468, 385, 0,	//607  QPainter*, int, int, int, int, const QColor&
    186, 468, 468, 468, 468, 385, 468, 0,	//614  QPainter*, int, int, int, int, const QColor&, int
    323, 323, 0,	//622  Qt::MouseButton, Qt::MouseButton
    378, 463, 0,	//625  char*, const char*
    193, 193, 0,	//628  QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag
    429, 405, 0,	//631  const QRegion&, const QMatrix&
    278, 278, 0,	//634  Qt::AlignmentFlag, Qt::AlignmentFlag
    418, 0,	//637  const QPoint&
    300, 468, 0,	//639  Qt::DropAction, int
    27, 449, 0,	//642  QDataStream&, const QTime&
    34, 468, 0,	//645  QDir::SortFlag, int
    404, 404, 0,	//648  const QMargins&, const QMargins&
    186, 425, 412, 376, 468, 468, 381, 0,	//651  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    186, 425, 412, 0,	//659  QPainter*, const QRect&, const QPalette&
    186, 425, 412, 376, 0,	//663  QPainter*, const QRect&, const QPalette&, bool
    186, 425, 412, 376, 468, 0,	//668  QPainter*, const QRect&, const QPalette&, bool, int
    186, 425, 412, 376, 468, 468, 0,	//674  QPainter*, const QRect&, const QPalette&, bool, int, int
    27, 411, 0,	//681  QDataStream&, const QPainterPath&
    462, 406, 0,	//684  const QVector4D&, const QMatrix4x4&
    244, 468, 0,	//687  QTextDocument::FindFlag, int
    180, 0,	//690  QObject*(*)()
    31, 397, 0,	//692  QDebug, const QItemSelectionRange&
    31, 398, 0,	//695  QDebug, const QKeySequence&
    36, 36, 0,	//698  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    186, 425, 404, 416, 0,	//701  QPainter*, const QRect&, const QMargins&, const QPixmap&
    251, 435, 0,	//706  QTextStream&, const QSplitter&
    321, 321, 0,	//709  Qt::MatchFlag, Qt::MatchFlag
    476, 0,	//712  size_t
    298, 110, 0,	//714  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    27, 225, 0,	//717  QDataStream&, QStringList&
    234, 234, 0,	//720  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    155, 76, 0,	//723  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    27, 460, 0,	//726  QDataStream&, const QVector3D&
    31, 455, 0,	//729  QDebug, const QVariant::Type
    298, 468, 0,	//732  Qt::DockWidgetArea, int
    248, 102, 0,	//735  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    27, 458, 0,	//738  QDataStream&, const QVector2D&
    27, 380, 0,	//741  QDataStream&, const QBrush&
    186, 425, 412, 376, 381, 0,	//744  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    174, 468, 0,	//750  QMdiSubWindow::SubWindowOption, int
    424, 467, 0,	//753  const QQuaternion&, float
    471, 0,	//756  long
    27, 451, 0,	//758  QDataStream&, const QTreeWidgetItem&
    468, 418, 0,	//761  int, const QPoint&
    482, 0,	//764  unsigned short
    247, 247, 0,	//766  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    27, 163, 0,	//769  QDataStream&, QLineF&
    183, 183, 0,	//772  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    27, 396, 0,	//775  QDataStream&, const QImage&
    45, 45, 0,	//778  QFile::Permission, QFile::Permission
    153, 75, 0,	//781  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    186, 425, 412, 376, 468, 381, 0,	//784  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    377, 438, 0,	//791  char, const QString&
    27, 214, 0,	//794  QDataStream&, QSize&
    27, 157, 0,	//797  QDataStream&, QKeySequence&
    233, 233, 0,	//800  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    32, 468, 0,	//803  QDialogButtonBox::StandardButton, int
    247, 101, 0,	//806  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    414, 0,	//809  const QPersistentModelIndex&
    31, 429, 0,	//811  QDebug, const QRegion&
    27, 462, 0,	//814  QDataStream&, const QVector4D&
    458, 467, 0,	//817  const QVector2D&, float
    27, 395, 0,	//820  QDataStream&, const QIcon&
    27, 438, 0,	//823  QDataStream&, const QString&
    462, 467, 0,	//826  const QVector4D&, float
    27, 388, 0,	//829  QDataStream&, const QDateTime&
    27, 270, 0,	//832  QDataStream&, QVector3D&
    431, 467, 0,	//835  const QSize&, float
    410, 438, 407, 0,	//838  const QObject*, const QString&, const QMetaObject&
    186, 468, 468, 468, 468, 412, 376, 468, 381, 0,	//842  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    186, 468, 468, 468, 468, 412, 376, 468, 0,	//852  QPainter*, int, int, int, int, const QPalette&, bool, int
    223, 223, 0,	//861  QString::SectionFlag, QString::SectionFlag
    27, 268, 0,	//864  QDataStream&, QVector2D&
    175, 468, 0,	//867  QMessageBox::StandardButton, int
    231, 231, 0,	//870  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    467, 420, 0,	//873  float, const QPointF&
    376, 15, 0,	//876  bool, QBool
    145, 145, 0,	//879  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    155, 155, 0,	//882  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    153, 153, 0,	//885  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    378, 463, 479, 0,	//888  char*, const char*, unsigned int
    462, 0,	//892  const QVector4D&
    260, 105, 0,	//894  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    467, 460, 0,	//897  float, const QVector3D&
    27, 172, 0,	//900  QDataStream&, QMatrix4x4&
    234, 95, 0,	//903  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    245, 468, 0,	//906  QTextEdit::AutoFormattingFlag, int
    233, 468, 0,	//909  QStyleOptionTab::CornerWidget, int
    27, 418, 0,	//912  QDataStream&, const QPoint&
    27, 265, 0,	//915  QDataStream&, QVariant&
    420, 406, 0,	//918  const QPointF&, const QMatrix4x4&
    323, 468, 0,	//921  Qt::MouseButton, int
    27, 150, 0,	//924  QDataStream&, QImage&
    420, 0,	//927  const QPointF&
    31, 442, 0,	//929  QDebug, const QStyleOption&
    3, 49, 0,	//932  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    27, 192, 0,	//935  QDataStream&, QPicture&
    24, 468, 0,	//938  QColorDialog::ColorDialogOption, int
    467, 458, 0,	//941  float, const QVector2D&
    31, 414, 0,	//944  QDebug, const QPersistentModelIndex&
    422, 405, 0,	//947  const QPolygonF&, const QMatrix&
    27, 272, 0,	//950  QDataStream&, QVector4D&
    24, 24, 0,	//953  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    463, 463, 463, 468, 0,	//956  const char*, const char*, const char*, int
    467, 418, 0,	//961  float, const QPoint&
    46, 46, 0,	//964  QFileDialog::Option, QFileDialog::Option
    250, 250, 0,	//967  QTextOption::Flag, QTextOption::Flag
    325, 119, 0,	//970  Qt::Orientation, QFlags<Qt::Orientation>
    27, 406, 0,	//973  QDataStream&, const QMatrix4x4&
    405, 405, 0,	//976  const QMatrix&, const QMatrix&
    44, 468, 0,	//979  QEventLoop::ProcessEventsFlag, int
    426, 426, 0,	//982  const QRectF&, const QRectF&
    468, 468, 468, 468, 0,	//985  int, int, int, int
    27, 258, 0,	//990  QDataStream&, QTransform&
    27, 436, 0,	//993  QDataStream&, const QStandardItem&
    31, 136, 0,	//996  QDebug, QGraphicsObject*
    310, 113, 0,	//999  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    10, 468, 0,	//1002  QAccessible::RelationFlag, int
    174, 81, 0,	//1005  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    27, 439, 0,	//1008  QDataStream&, const QStringList&
    31, 406, 0,	//1011  QDebug, const QMatrix4x4&
    383, 377, 0,	//1014  const QByteArray&, char
    35, 35, 0,	//1017  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    33, 56, 0,	//1020  QDir::Filter, QFlags<QDir::Filter>
    27, 196, 0,	//1023  QDataStream&, QPoint&
    27, 387, 0,	//1026  QDataStream&, const QDate&
    236, 468, 0,	//1029  QStyleOptionViewItemV2::ViewItemFeature, int
    484, 0,	//1032  void(*)()
    464, 468, 468, 0,	//1034  const unsigned char*, int, int
    217, 217, 0,	//1038  QSizePolicy::ControlType, QSizePolicy::ControlType
    27, 400, 0,	//1041  QDataStream&, const QLine&
    27, 170, 0,	//1044  QDataStream&, QMatrix&
    32, 32, 0,	//1047  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    467, 424, 0,	//1050  float, const QQuaternion&
    27, 221, 0,	//1053  QDataStream&, QString&
    228, 228, 0,	//1056  QStyle::StateFlag, QStyle::StateFlag
    27, 402, 0,	//1059  QDataStream&, const QListWidgetItem&
    231, 468, 0,	//1062  QStyleOptionFrameV2::FrameFeature, int
    486, 0,	//1065  void*
    31, 69, 0,	//1067  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    401, 405, 0,	//1070  const QLineF&, const QMatrix&
    27, 446, 0,	//1073  QDataStream&, const QTextFormat&
    315, 468, 0,	//1076  Qt::ItemFlag, int
    27, 259, 0,	//1079  QDataStream&, QTreeWidgetItem&
    31, 389, 0,	//1082  QDebug, const QDir&
    251, 252, 0,	//1085  QTextStream&, QTextStream&(*)(QTextStream&)
    31, 413, 0,	//1088  QDebug, const QPen&
    31, 409, 0,	//1091  QDebug, const QModelIndex&
    135, 69, 0,	//1094  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    31, 460, 0,	//1097  QDebug, const QVector3D&
    248, 248, 0,	//1100  QTextItem::RenderFlag, QTextItem::RenderFlag
    44, 44, 0,	//1103  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    379, 0,	//1106  const QBitArray&
    31, 458, 0,	//1108  QDebug, const QVector2D&
    151, 74, 0,	//1111  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    31, 449, 0,	//1114  QDebug, const QTime&
    251, 254, 0,	//1117  QTextStream&, QTextStreamManipulator
    31, 462, 0,	//1120  QDebug, const QVector4D&
    27, 246, 0,	//1123  QDataStream&, QTextFormat&
    305, 112, 0,	//1126  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    441, 463, 0,	//1129  const QStringRef&, const char*
    235, 468, 0,	//1132  QStyleOptionToolButton::ToolButtonFeature, int
    217, 87, 0,	//1135  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    275, 275, 0,	//1138  QWidget::RenderFlag, QWidget::RenderFlag
    27, 14, 0,	//1141  QDataStream&, QBitArray&
    27, 200, 0,	//1144  QDataStream&, QPolygon&
    27, 210, 0,	//1147  QDataStream&, QRegion&
    4, 4, 0,	//1150  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    27, 434, 0,	//1153  QDataStream&, const QSizePolicy&
    235, 235, 0,	//1156  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    36, 468, 0,	//1159  QDockWidget::DockWidgetFeature, int
    476, 476, 0,	//1162  size_t, size_t
    137, 70, 0,	//1165  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    433, 467, 0,	//1168  const QSizeF&, float
    418, 450, 0,	//1171  const QPoint&, const QTransform&
    472, 468, 470, 470, 378, 476, 0,	//1174  long double, int, int*, int*, char*, size_t
    31, 433, 0,	//1181  QDebug, const QSizeF&
    305, 468, 0,	//1184  Qt::GestureFlag, int
    377, 383, 0,	//1187  char, const QByteArray&
    228, 468, 0,	//1190  QStyle::StateFlag, int
    27, 454, 0,	//1193  QDataStream&, const QVariant&
    235, 96, 0,	//1196  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    31, 454, 0,	//1199  QDebug, const QVariant&
    11, 11, 0,	//1202  QAccessible::StateFlag, QAccessible::StateFlag
    187, 187, 0,	//1205  QPainter::RenderHint, QPainter::RenderHint
    350, 468, 0,	//1208  Qt::WindowState, int
    27, 255, 0,	//1211  QDataStream&, QTime&
    27, 194, 0,	//1214  QDataStream&, QPixmap&
    30, 54, 0,	//1217  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    250, 103, 0,	//1220  QTextOption::Flag, QFlags<QTextOption::Flag>
    31, 56, 0,	//1223  QDebug, QFlags<QDir::Filter>
    318, 318, 0,	//1226  Qt::KeyboardModifier, Qt::KeyboardModifier
    27, 42, 0,	//1229  QDataStream&, QEasingCurve&
    300, 111, 0,	//1232  Qt::DropAction, QFlags<Qt::DropAction>
    429, 450, 0,	//1235  const QRegion&, const QTransform&
    31, 387, 0,	//1238  QDebug, const QDate&
    411, 450, 0,	//1241  const QPainterPath&, const QTransform&
    11, 52, 0,	//1244  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    33, 33, 0,	//1247  QDir::Filter, QDir::Filter
    378, 476, 463, 483, 0,	//1250  char*, size_t, const char*, va_list
    466, 418, 0,	//1255  double, const QPoint&
    422, 450, 0,	//1258  const QPolygonF&, const QTransform&
    486, 468, 476, 0,	//1261  void*, int, size_t
    27, 401, 0,	//1265  QDataStream&, const QLineF&
    463, 468, 0,	//1268  const char*, int
    474, 0,	//1271  short
    174, 174, 0,	//1273  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    148, 148, 0,	//1276  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    298, 298, 0,	//1279  Qt::DockWidgetArea, Qt::DockWidgetArea
    34, 57, 0,	//1282  QDir::SortFlag, QFlags<QDir::SortFlag>
    454, 456, 0,	//1285  const QVariant&, const QVariantComparisonHelper&
    153, 468, 0,	//1288  QInputDialog::InputDialogOption, int
    159, 159, 0,	//1291  QLibrary::LoadHint, QLibrary::LoadHint
    472, 468, 378, 0,	//1294  long double, int, char*
    486, 476, 476, 469, 0,	//1298  void*, size_t, size_t, int(*)(const void*,const void*)
    260, 260, 0,	//1303  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    232, 93, 0,	//1306  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    145, 72, 0,	//1309  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    35, 468, 0,	//1312  QDirIterator::IteratorFlag, int
    312, 312, 0,	//1315  Qt::InputMethodHint, Qt::InputMethodHint
    137, 468, 0,	//1318  QGraphicsScene::SceneLayer, int
    27, 413, 0,	//1321  QDataStream&, const QPen&
    184, 184, 0,	//1324  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    27, 189, 0,	//1327  QDataStream&, QPainterPath&
    31, 400, 0,	//1330  QDebug, const QLine&
    337, 337, 0,	//1333  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    186, 468, 468, 468, 468, 412, 376, 468, 468, 381, 0,	//1336  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    186, 468, 468, 468, 468, 412, 376, 468, 468, 0,	//1347  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    343, 468, 0,	//1357  Qt::TouchPointState, int
    27, 249, 0,	//1360  QDataStream&, QTextLength&
    31, 450, 0,	//1363  QDebug, const QTransform&
    260, 468, 0,	//1366  QTreeWidgetItemIterator::IteratorFlag, int
    383, 468, 0,	//1369  const QByteArray&, int
    31, 421, 0,	//1372  QDebug, const QPolygon&
    262, 106, 0,	//1375  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    4, 468, 0,	//1378  QAbstractSpinBox::StepEnabledFlag, int
    217, 468, 0,	//1381  QSizePolicy::ControlType, int
    137, 137, 0,	//1384  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    337, 468, 0,	//1387  Qt::TextInteractionFlag, int
    350, 350, 0,	//1390  Qt::WindowState, Qt::WindowState
    247, 468, 0,	//1393  QTextFormat::PageBreakFlag, int
    458, 0,	//1396  const QVector2D&
    1, 47, 0,	//1398  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    27, 385, 0,	//1401  QDataStream&, const QColor&
    27, 383, 0,	//1404  QDataStream&, const QByteArray&
    10, 10, 0,	//1407  QAccessible::RelationFlag, QAccessible::RelationFlag
    27, 390, 0,	//1410  QDataStream&, const QEasingCurve&
    400, 405, 0,	//1413  const QLine&, const QMatrix&
    27, 452, 0,	//1416  QDataStream&, const QUrl&
    31, 425, 0,	//1419  QDebug, const QRect&
    31, 392, 0,	//1422  QDebug, const QFont&
    34, 34, 0,	//1425  QDir::SortFlag, QDir::SortFlag
    24, 53, 0,	//1428  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    144, 468, 0,	//1431  QGraphicsView::CacheModeFlag, int
    253, 468, 0,	//1434  QTextStream::NumberFlag, int
    27, 205, 0,	//1437  QDataStream&, QRect&
    173, 173, 0,	//1440  QMdiArea::AreaOption, QMdiArea::AreaOption
    27, 431, 0,	//1443  QDataStream&, const QSize&
    27, 384, 0,	//1446  QDataStream&, const QChar&
    127, 64, 0,	//1449  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    420, 467, 0,	//1452  const QPointF&, float
    158, 156, 0,	//1455  QKeySequence::StandardKey, QKeyEvent*
    128, 65, 0,	//1458  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    228, 89, 0,	//1461  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    278, 468, 0,	//1464  Qt::AlignmentFlag, int
    27, 165, 0,	//1467  QDataStream&, QListWidgetItem&
    27, 427, 0,	//1470  QDataStream&, const QRegExp&
    151, 468, 0,	//1473  QImageIOPlugin::Capability, int
    244, 99, 0,	//1476  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    460, 0,	//1479  const QVector3D&
    31, 426, 0,	//1481  QDebug, const QRectF&
    350, 123, 0,	//1484  Qt::WindowState, QFlags<Qt::WindowState>
    131, 68, 0,	//1487  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    315, 315, 0,	//1490  Qt::ItemFlag, Qt::ItemFlag
    27, 263, 0,	//1493  QDataStream&, QUuid&
    27, 126, 0,	//1496  QDataStream&, QFont&
    186, 425, 385, 468, 381, 0,	//1499  QPainter*, const QRect&, const QColor&, int, const QBrush*
    186, 425, 385, 0,	//1505  QPainter*, const QRect&, const QColor&
    186, 425, 385, 468, 0,	//1509  QPainter*, const QRect&, const QColor&, int
    27, 202, 0,	//1514  QDataStream&, QPolygonF&
    135, 135, 0,	//1517  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    234, 468, 0,	//1520  QStyleOptionToolBar::ToolBarFeature, int
    418, 468, 0,	//1523  const QPoint&, int
    27, 267, 0,	//1526  QDataStream&, QVariant::Type&
    187, 468, 0,	//1529  QPainter::RenderHint, int
    467, 433, 0,	//1532  float, const QSizeF&
    454, 266, 486, 0,	//1535  const QVariant&, QVariant::Type, void*
    31, 89, 0,	//1539  QDebug, QFlags<QStyle::StateFlag>
    2, 468, 0,	//1542  QAbstractItemView::EditTrigger, int
    418, 406, 0,	//1545  const QPoint&, const QMatrix4x4&
    418, 405, 0,	//1548  const QPoint&, const QMatrix&
    3, 3, 0,	//1551  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    410, 438, 428, 407, 164, 0,	//1554  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    394, 394, 0,	//1560  const QHashDummyValue&, const QHashDummyValue&
    27, 198, 0,	//1563  QDataStream&, QPointF&
    325, 468, 0,	//1566  Qt::Orientation, int
    236, 236, 0,	//1569  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    466, 466, 0,	//1572  double, double
    406, 460, 0,	//1575  const QMatrix4x4&, const QVector3D&
    27, 445, 0,	//1578  QDataStream&, const QTableWidgetItem&
    31, 132, 0,	//1581  QDebug, QGraphicsItem*
    186, 418, 418, 412, 376, 468, 468, 0,	//1584  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    186, 418, 418, 412, 0,	//1592  QPainter*, const QPoint&, const QPoint&, const QPalette&
    186, 418, 418, 412, 376, 0,	//1597  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    186, 418, 418, 412, 376, 468, 0,	//1603  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    418, 466, 0,	//1610  const QPoint&, double
    305, 305, 0,	//1613  Qt::GestureFlag, Qt::GestureFlag
    148, 73, 0,	//1616  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    406, 420, 0,	//1619  const QMatrix4x4&, const QPointF&
    130, 468, 0,	//1622  QGraphicsBlurEffect::BlurHint, int
    184, 84, 0,	//1625  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    27, 392, 0,	//1628  QDataStream&, const QFont&
    130, 130, 0,	//1631  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    421, 450, 0,	//1634  const QPolygon&, const QTransform&
    183, 468, 0,	//1637  QPaintEngine::DirtyFlag, int
    418, 467, 0,	//1640  const QPoint&, float
    155, 468, 0,	//1643  QItemSelectionModel::SelectionFlag, int
    15, 376, 0,	//1646  QBool, bool
    32, 55, 0,	//1649  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    27, 161, 0,	//1652  QDataStream&, QLine&
    31, 431, 0,	//1655  QDebug, const QSize&
    229, 468, 0,	//1658  QStyle::SubControl, int
    253, 253, 0,	//1661  QTextStream::NumberFlag, QTextStream::NumberFlag
    401, 450, 0,	//1664  const QLineF&, const QTransform&
    467, 406, 0,	//1667  float, const QMatrix4x4&
    128, 468, 0,	//1670  QFontDialog::FontDialogOption, int
    323, 118, 0,	//1673  Qt::MouseButton, QFlags<Qt::MouseButton>
    27, 455, 0,	//1676  QDataStream&, const QVariant::Type
    244, 244, 0,	//1679  QTextDocument::FindFlag, QTextDocument::FindFlag
    232, 468, 0,	//1682  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    315, 115, 0,	//1685  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    420, 450, 0,	//1688  const QPointF&, const QTransform&
    31, 385, 0,	//1691  QDebug, const QColor&
    31, 405, 0,	//1694  QDebug, const QMatrix&
    27, 453, 0,	//1697  QDataStream&, const QUuid&
    159, 77, 0,	//1700  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    351, 468, 0,	//1703  Qt::WindowType, int
    230, 468, 0,	//1706  QStyleOptionButton::ButtonFeature, int
    27, 207, 0,	//1709  QDataStream&, QRectF&
    230, 91, 0,	//1712  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    144, 71, 0,	//1715  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    27, 26, 0,	//1718  QDataStream&, QCursor&
    135, 468, 0,	//1721  QGraphicsItem::GraphicsItemFlag, int
    27, 425, 0,	//1724  QDataStream&, const QRect&
    321, 117, 0,	//1727  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    278, 109, 0,	//1730  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    27, 20, 0,	//1733  QDataStream&, QChar&
    27, 208, 0,	//1736  QDataStream&, QRegExp&
    480, 0,	//1739  unsigned long
    27, 424, 0,	//1741  QDataStream&, const QQuaternion&
    11, 468, 0,	//1744  QAccessible::StateFlag, int
    27, 420, 0,	//1747  QDataStream&, const QPointF&
    193, 468, 0,	//1750  QPinchGesture::ChangeFlag, int
    27, 433, 0,	//1753  QDataStream&, const QSizeF&
    167, 78, 0,	//1756  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    248, 468, 0,	//1759  QTextItem::RenderFlag, int
    186, 425, 404, 416, 425, 404, 448, 60, 0,	//1762  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    186, 425, 404, 416, 425, 404, 0,	//1771  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    186, 425, 404, 416, 425, 404, 448, 0,	//1778  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    467, 462, 0,	//1786  float, const QVector4D&
    223, 88, 0,	//1789  QString::SectionFlag, QFlags<QString::SectionFlag>
    438, 438, 0,	//1792  const QString&, const QString&
    1, 1, 0,	//1795  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    354, 463, 0,	//1798  QtMsgType, const char*
    31, 411, 0,	//1801  QDebug, const QPainterPath&
    441, 0,	//1804  const QStringRef&
    148, 468, 0,	//1806  QIODevice::OpenModeFlag, int
    4, 50, 0,	//1809  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    477, 0,	//1812  unsigned char
    27, 18, 0,	//1814  QDataStream&, QByteArray&
    127, 127, 0,	//1817  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    421, 405, 0,	//1820  const QPolygon&, const QMatrix&
    31, 443, 0,	//1823  QDebug, const QStyleOption::OptionType&
    31, 410, 0,	//1826  QDebug, const QObject*
    321, 468, 0,	//1829  Qt::MatchFlag, int
    27, 421, 0,	//1832  QDataStream&, const QPolygon&
    27, 28, 0,	//1835  QDataStream&, QDate&
    27, 379, 0,	//1838  QDataStream&, const QBitArray&
    393, 316, 0,	//1841  const QGraphicsItem*, Qt::ItemSelectionMode
    411, 316, 0,	//1844  const QPainterPath&, Qt::ItemSelectionMode
    393, 0,	//1847  const QGraphicsItem*
    132, 43, 0,	//1849  QGraphicsItem*, QEvent*
    43, 0,	//1852  QEvent*
    138, 0,	//1854  QGraphicsSceneContextMenuEvent*
    139, 0,	//1856  QGraphicsSceneDragDropEvent*
    125, 0,	//1858  QFocusEvent*
    140, 0,	//1860  QGraphicsSceneHoverEvent*
    156, 0,	//1862  QKeyEvent*
    141, 0,	//1864  QGraphicsSceneMouseEvent*
    142, 0,	//1866  QGraphicsSceneWheelEvent*
    154, 0,	//1868  QInputMethodEvent*
    313, 0,	//1870  Qt::InputMethodQuery
    134, 454, 0,	//1872  QGraphicsItem::GraphicsItemChange, const QVariant&
    133, 0,	//1875  QGraphicsItem::Extension
    133, 454, 0,	//1877  QGraphicsItem::Extension, const QVariant&
    454, 0,	//1880  const QVariant&
    176, 468, 487, 0,	//1882  QMetaObject::Call, int, void**
    132, 0,	//1886  QGraphicsItem*
    438, 132, 0,	//1888  const QString&, QGraphicsItem*
    238, 0,	//1891  QSvgRenderer*
    376, 0,	//1893  bool
    431, 0,	//1895  const QSize&
    186, 444, 274, 0,	//1897  QPainter*, const QStyleOptionGraphicsItem*, QWidget*
    186, 444, 0,	//1901  QPainter*, const QStyleOptionGraphicsItem*
    179, 43, 0,	//1904  QObject*, QEvent*
    256, 0,	//1907  QTimerEvent*
    21, 0,	//1909  QChildEvent*
    425, 0,	//1911  const QRect&
    426, 0,	//1913  const QRectF&
    147, 0,	//1915  QIODevice*
    181, 0,	//1917  QPaintDevice::PaintDeviceMetric
    179, 0,	//1919  QObject*
    438, 179, 0,	//1921  const QString&, QObject*
    383, 179, 0,	//1924  const QByteArray&, QObject*
    277, 179, 0,	//1927  QXmlStreamReader*, QObject*
    277, 0,	//1930  QXmlStreamReader*
    186, 0,	//1932  QPainter*
    186, 426, 0,	//1934  QPainter*, const QRectF&
    186, 438, 426, 0,	//1937  QPainter*, const QString&, const QRectF&
    186, 438, 0,	//1941  QPainter*, const QString&
    274, 0,	//1944  QWidget*
    438, 274, 0,	//1946  const QString&, QWidget*
    185, 0,	//1949  QPaintEvent*
    177, 0,	//1951  QMouseEvent*
    273, 0,	//1953  QWheelEvent*
    178, 0,	//1955  QMoveEvent*
    211, 0,	//1957  QResizeEvent*
    22, 0,	//1959  QCloseEvent*
    25, 0,	//1961  QContextMenuEvent*
    241, 0,	//1963  QTabletEvent*
    12, 0,	//1965  QActionEvent*
    37, 0,	//1967  QDragEnterEvent*
    39, 0,	//1969  QDragMoveEvent*
    38, 0,	//1971  QDragLeaveEvent*
    41, 0,	//1973  QDropEvent*
    212, 0,	//1975  QShowEvent*
    146, 0,	//1977  QHideEvent*
    374, 0,	//1979  _XEvent*
    227, 0,	//1981  QStyle&
    412, 0,	//1983  const QPalette&
    392, 0,	//1985  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "DeviceCoordinateCache",	//1
    "DrawChildren",	//2
    "DrawWindowBackground",	//3
    "IgnoreMask",	//4
    "ItemAcceptsInputMethod",	//5
    "ItemChildAddedChange",	//6
    "ItemChildRemovedChange",	//7
    "ItemClipsChildrenToShape",	//8
    "ItemClipsToShape",	//9
    "ItemCoordinateCache",	//10
    "ItemCursorChange",	//11
    "ItemCursorHasChanged",	//12
    "ItemDoesntPropagateOpacityToChildren",	//13
    "ItemEnabledChange",	//14
    "ItemEnabledHasChanged",	//15
    "ItemFlagsChange",	//16
    "ItemFlagsHaveChanged",	//17
    "ItemHasNoContents",	//18
    "ItemIgnoresParentOpacity",	//19
    "ItemIgnoresTransformations",	//20
    "ItemIsFocusScope",	//21
    "ItemIsFocusable",	//22
    "ItemIsMovable",	//23
    "ItemIsPanel",	//24
    "ItemIsSelectable",	//25
    "ItemMatrixChange",	//26
    "ItemNegativeZStacksBehindParent",	//27
    "ItemOpacityChange",	//28
    "ItemOpacityHasChanged",	//29
    "ItemParentChange",	//30
    "ItemParentHasChanged",	//31
    "ItemPositionChange",	//32
    "ItemPositionHasChanged",	//33
    "ItemRotationChange",	//34
    "ItemRotationHasChanged",	//35
    "ItemScaleChange",	//36
    "ItemScaleHasChanged",	//37
    "ItemSceneChange",	//38
    "ItemSceneHasChanged",	//39
    "ItemScenePositionHasChanged",	//40
    "ItemSelectedChange",	//41
    "ItemSelectedHasChanged",	//42
    "ItemSendsGeometryChanges",	//43
    "ItemSendsScenePositionChanges",	//44
    "ItemStacksBehindParent",	//45
    "ItemStopsClickFocusPropagation",	//46
    "ItemStopsFocusHandling",	//47
    "ItemToolTipChange",	//48
    "ItemToolTipHasChanged",	//49
    "ItemTransformChange",	//50
    "ItemTransformHasChanged",	//51
    "ItemTransformOriginPointChange",	//52
    "ItemTransformOriginPointHasChanged",	//53
    "ItemUsesExtendedStyleOption",	//54
    "ItemVisibleChange",	//55
    "ItemVisibleHasChanged",	//56
    "ItemZValueChange",	//57
    "ItemZValueHasChanged",	//58
    "LicensedActiveQt",	//59
    "LicensedCore",	//60
    "LicensedDBus",	//61
    "LicensedDeclarative",	//62
    "LicensedGui",	//63
    "LicensedHelp",	//64
    "LicensedMultimedia",	//65
    "LicensedNetwork",	//66
    "LicensedOpenGL",	//67
    "LicensedOpenVG",	//68
    "LicensedQt3Support",	//69
    "LicensedQt3SupportLight",	//70
    "LicensedScript",	//71
    "LicensedScriptTools",	//72
    "LicensedSql",	//73
    "LicensedSvg",	//74
    "LicensedTest",	//75
    "LicensedXml",	//76
    "LicensedXmlPatterns",	//77
    "NoCache",	//78
    "NonModal",	//79
    "PanelModal",	//80
    "PdmDepth",	//81
    "PdmDpiX",	//82
    "PdmDpiY",	//83
    "PdmHeight",	//84
    "PdmHeightMM",	//85
    "PdmNumColors",	//86
    "PdmPhysicalDpiX",	//87
    "PdmPhysicalDpiY",	//88
    "PdmWidth",	//89
    "PdmWidthMM",	//90
    "QGraphicsSvgItem",	//91
    "QGraphicsSvgItem#",	//92
    "QGraphicsSvgItem$",	//93
    "QGraphicsSvgItem$#",	//94
    "QSvgGenerator",	//95
    "QSvgRenderer",	//96
    "QSvgRenderer#",	//97
    "QSvgRenderer##",	//98
    "QSvgRenderer$",	//99
    "QSvgRenderer$#",	//100
    "QSvgWidget",	//101
    "QSvgWidget#",	//102
    "QSvgWidget$",	//103
    "QSvgWidget$#",	//104
    "QtCriticalMsg",	//105
    "QtDebugMsg",	//106
    "QtFatalMsg",	//107
    "QtSystemMsg",	//108
    "QtWarningMsg",	//109
    "SP_CustomCameraCaptureButton",	//110
    "SP_CustomCameraCaptureButtonPressed",	//111
    "SP_CustomCameraPauseButton",	//112
    "SP_CustomCameraPauseButtonPressed",	//113
    "SP_CustomCameraPlayButton",	//114
    "SP_CustomCameraPlayButtonPressed",	//115
    "SP_CustomCameraRecButton",	//116
    "SP_CustomCameraRecButtonPressed",	//117
    "SP_CustomCameraStopButton",	//118
    "SP_CustomCameraStopButtonPressed",	//119
    "SP_CustomTabAll",	//120
    "SP_CustomTabArtist",	//121
    "SP_CustomTabFavourite",	//122
    "SP_CustomTabGenre",	//123
    "SP_CustomTabLanguage",	//124
    "SP_CustomTabMusicAlbum",	//125
    "SP_CustomTabPhotosAlbum",	//126
    "SP_CustomTabPhotosAll",	//127
    "SP_CustomTabPlaylist",	//128
    "SP_CustomTabServices",	//129
    "SP_CustomTabSongs",	//130
    "SP_CustomTabVideos",	//131
    "SP_CustomToolBarAdd",	//132
    "SP_CustomToolBarAddDetail",	//133
    "SP_CustomToolBarAgain",	//134
    "SP_CustomToolBarAgenda",	//135
    "SP_CustomToolBarAudioOff",	//136
    "SP_CustomToolBarAudioOn",	//137
    "SP_CustomToolBarBack",	//138
    "SP_CustomToolBarBluetoothOff",	//139
    "SP_CustomToolBarBluetoothOn",	//140
    "SP_CustomToolBarCancel",	//141
    "SP_CustomToolBarDelete",	//142
    "SP_CustomToolBarDone",	//143
    "SP_CustomToolBarEdit",	//144
    "SP_CustomToolBarEditDisabled",	//145
    "SP_CustomToolBarEmailSend",	//146
    "SP_CustomToolBarEmergencyCall",	//147
    "SP_CustomToolBarFavouriteAdd",	//148
    "SP_CustomToolBarFavouriteRemove",	//149
    "SP_CustomToolBarFavourites",	//150
    "SP_CustomToolBarGo",	//151
    "SP_CustomToolBarHome",	//152
    "SP_CustomToolBarImageTools",	//153
    "SP_CustomToolBarList",	//154
    "SP_CustomToolBarLock",	//155
    "SP_CustomToolBarLogs",	//156
    "SP_CustomToolBarMenu",	//157
    "SP_CustomToolBarNewContact",	//158
    "SP_CustomToolBarNewGroup",	//159
    "SP_CustomToolBarNextFrame",	//160
    "SP_CustomToolBarNowPlay",	//161
    "SP_CustomToolBarOptions",	//162
    "SP_CustomToolBarOther",	//163
    "SP_CustomToolBarOvi",	//164
    "SP_CustomToolBarPreviousFrame",	//165
    "SP_CustomToolBarRead",	//166
    "SP_CustomToolBarRedo",	//167
    "SP_CustomToolBarRedoDisabled",	//168
    "SP_CustomToolBarRefresh",	//169
    "SP_CustomToolBarRemoveDetail",	//170
    "SP_CustomToolBarRemoveDisabled",	//171
    "SP_CustomToolBarRepeat",	//172
    "SP_CustomToolBarRepeatOff",	//173
    "SP_CustomToolBarRepeatOne",	//174
    "SP_CustomToolBarSearch",	//175
    "SP_CustomToolBarSearchDisabled",	//176
    "SP_CustomToolBarSelectContent",	//177
    "SP_CustomToolBarSelfTimer",	//178
    "SP_CustomToolBarSend",	//179
    "SP_CustomToolBarSendDimmed",	//180
    "SP_CustomToolBarShare",	//181
    "SP_CustomToolBarShift",	//182
    "SP_CustomToolBarShuffle",	//183
    "SP_CustomToolBarShuffleOff",	//184
    "SP_CustomToolBarSignalOff",	//185
    "SP_CustomToolBarSignalOn",	//186
    "SP_CustomToolBarSync",	//187
    "SP_CustomToolBarTools",	//188
    "SP_CustomToolBarTrim",	//189
    "SP_CustomToolBarUnlock",	//190
    "SP_CustomToolBarUnmark",	//191
    "SP_CustomToolBarView",	//192
    "SP_CustomToolBarWlanOff",	//193
    "SP_CustomToolBarWlanOn",	//194
    "SceneModal",	//195
    "Type",	//196
    "UserExtension",	//197
    "UserType",	//198
    "__codecvt_error",	//199
    "__codecvt_noconv",	//200
    "__codecvt_ok",	//201
    "__codecvt_partial",	//202
    "actionEvent",	//203
    "advance",	//204
    "animated",	//205
    "animationDuration",	//206
    "boundingRect",	//207
    "boundsOnElement",	//208
    "boundsOnElement$",	//209
    "changeEvent",	//210
    "childEvent",	//211
    "closeEvent",	//212
    "collidesWithItem",	//213
    "collidesWithPath",	//214
    "connectNotify",	//215
    "contains",	//216
    "contextMenuEvent",	//217
    "currentFrame",	//218
    "customEvent",	//219
    "defaultSize",	//220
    "description",	//221
    "devType",	//222
    "disconnectNotify",	//223
    "dragEnterEvent",	//224
    "dragLeaveEvent",	//225
    "dragMoveEvent",	//226
    "dropEvent",	//227
    "elementExists",	//228
    "elementExists$",	//229
    "elementId",	//230
    "enabledChange",	//231
    "enterEvent",	//232
    "event",	//233
    "eventFilter",	//234
    "extension",	//235
    "fileName",	//236
    "focusInEvent",	//237
    "focusNextPrevChild",	//238
    "focusOutEvent",	//239
    "fontChange",	//240
    "framesPerSecond",	//241
    "heightForWidth",	//242
    "hideEvent",	//243
    "hoverEnterEvent",	//244
    "hoverLeaveEvent",	//245
    "hoverMoveEvent",	//246
    "inputMethodEvent",	//247
    "inputMethodQuery",	//248
    "isCachingEnabled",	//249
    "isObscuredBy",	//250
    "isValid",	//251
    "itemChange",	//252
    "keyPressEvent",	//253
    "keyReleaseEvent",	//254
    "languageChange",	//255
    "leaveEvent",	//256
    "load",	//257
    "load#",	//258
    "load$",	//259
    "matrixForElement",	//260
    "matrixForElement$",	//261
    "maximumCacheSize",	//262
    "metaObject",	//263
    "metric",	//264
    "metric$",	//265
    "minimumSizeHint",	//266
    "mouseDoubleClickEvent",	//267
    "mouseMoveEvent",	//268
    "mousePressEvent",	//269
    "mouseReleaseEvent",	//270
    "moveEvent",	//271
    "opaqueArea",	//272
    "operator!=",	//273
    "operator!=##",	//274
    "operator!=#$",	//275
    "operator!=$#",	//276
    "operator!=$$",	//277
    "operator&",	//278
    "operator&##",	//279
    "operator*",	//280
    "operator*##",	//281
    "operator*#$",	//282
    "operator*$#",	//283
    "operator+",	//284
    "operator+##",	//285
    "operator+#$",	//286
    "operator+$#",	//287
    "operator+$$",	//288
    "operator-",	//289
    "operator-#",	//290
    "operator-##",	//291
    "operator-#$",	//292
    "operator/",	//293
    "operator/#$",	//294
    "operator<",	//295
    "operator<##",	//296
    "operator<#$",	//297
    "operator<$#",	//298
    "operator<$$",	//299
    "operator<<",	//300
    "operator<<##",	//301
    "operator<<#$",	//302
    "operator<<#?",	//303
    "operator<=",	//304
    "operator<=##",	//305
    "operator<=#$",	//306
    "operator<=$#",	//307
    "operator<=$$",	//308
    "operator==",	//309
    "operator==##",	//310
    "operator==#$",	//311
    "operator==$#",	//312
    "operator==$$",	//313
    "operator>",	//314
    "operator>##",	//315
    "operator>#$",	//316
    "operator>$#",	//317
    "operator>$$",	//318
    "operator>=",	//319
    "operator>=##",	//320
    "operator>=#$",	//321
    "operator>=$#",	//322
    "operator>=$$",	//323
    "operator>>",	//324
    "operator>>##",	//325
    "operator>>#$",	//326
    "operator>>#?",	//327
    "operator^",	//328
    "operator^##",	//329
    "operator|",	//330
    "operator|##",	//331
    "operator|$$",	//332
    "outputDevice",	//333
    "paint",	//334
    "paint##",	//335
    "paint###",	//336
    "paintEngine",	//337
    "paintEvent",	//338
    "paintEvent#",	//339
    "paletteChange",	//340
    "qAccessibleActionCastHelper",	//341
    "qAccessibleEditableTextCastHelper",	//342
    "qAccessibleImageCastHelper",	//343
    "qAccessibleTable2CastHelper",	//344
    "qAccessibleTableCastHelper",	//345
    "qAccessibleTextCastHelper",	//346
    "qAccessibleValueCastHelper",	//347
    "qAcos",	//348
    "qAcos$",	//349
    "qAddPostRoutine",	//350
    "qAddPostRoutine$",	//351
    "qAlpha",	//352
    "qAlpha$",	//353
    "qAppName",	//354
    "qAsin",	//355
    "qAsin$",	//356
    "qAtan",	//357
    "qAtan$",	//358
    "qAtan2",	//359
    "qAtan2$$",	//360
    "qBadAlloc",	//361
    "qBlue",	//362
    "qBlue$",	//363
    "qCeil",	//364
    "qCeil$",	//365
    "qChecksum",	//366
    "qChecksum$$",	//367
    "qCompress",	//368
    "qCompress#",	//369
    "qCompress#$",	//370
    "qCompress$$",	//371
    "qCompress$$$",	//372
    "qCos",	//373
    "qCos$",	//374
    "qCritical",	//375
    "qDebug",	//376
    "qDrawBorderPixmap",	//377
    "qDrawBorderPixmap####",	//378
    "qDrawBorderPixmap######",	//379
    "qDrawBorderPixmap#######",	//380
    "qDrawBorderPixmap#######$",	//381
    "qDrawPlainRect",	//382
    "qDrawPlainRect###",	//383
    "qDrawPlainRect###$",	//384
    "qDrawPlainRect###$#",	//385
    "qDrawPlainRect#$$$$#",	//386
    "qDrawPlainRect#$$$$#$",	//387
    "qDrawPlainRect#$$$$#$#",	//388
    "qDrawShadeLine",	//389
    "qDrawShadeLine####",	//390
    "qDrawShadeLine####$",	//391
    "qDrawShadeLine####$$",	//392
    "qDrawShadeLine####$$$",	//393
    "qDrawShadeLine#$$$$#",	//394
    "qDrawShadeLine#$$$$#$",	//395
    "qDrawShadeLine#$$$$#$$",	//396
    "qDrawShadeLine#$$$$#$$$",	//397
    "qDrawShadePanel",	//398
    "qDrawShadePanel###",	//399
    "qDrawShadePanel###$",	//400
    "qDrawShadePanel###$$",	//401
    "qDrawShadePanel###$$#",	//402
    "qDrawShadePanel#$$$$#",	//403
    "qDrawShadePanel#$$$$#$",	//404
    "qDrawShadePanel#$$$$#$$",	//405
    "qDrawShadePanel#$$$$#$$#",	//406
    "qDrawShadeRect",	//407
    "qDrawShadeRect###",	//408
    "qDrawShadeRect###$",	//409
    "qDrawShadeRect###$$",	//410
    "qDrawShadeRect###$$$",	//411
    "qDrawShadeRect###$$$#",	//412
    "qDrawShadeRect#$$$$#",	//413
    "qDrawShadeRect#$$$$#$",	//414
    "qDrawShadeRect#$$$$#$$",	//415
    "qDrawShadeRect#$$$$#$$$",	//416
    "qDrawShadeRect#$$$$#$$$#",	//417
    "qDrawWinButton",	//418
    "qDrawWinButton###",	//419
    "qDrawWinButton###$",	//420
    "qDrawWinButton###$#",	//421
    "qDrawWinButton#$$$$#",	//422
    "qDrawWinButton#$$$$#$",	//423
    "qDrawWinButton#$$$$#$#",	//424
    "qDrawWinPanel",	//425
    "qDrawWinPanel###",	//426
    "qDrawWinPanel###$",	//427
    "qDrawWinPanel###$#",	//428
    "qDrawWinPanel#$$$$#",	//429
    "qDrawWinPanel#$$$$#$",	//430
    "qDrawWinPanel#$$$$#$#",	//431
    "qExp",	//432
    "qExp$",	//433
    "qFabs",	//434
    "qFabs$",	//435
    "qFastCos",	//436
    "qFastCos$",	//437
    "qFastSin",	//438
    "qFastSin$",	//439
    "qFlagLocation",	//440
    "qFlagLocation$",	//441
    "qFloor",	//442
    "qFloor$",	//443
    "qFree",	//444
    "qFree$",	//445
    "qFreeAligned",	//446
    "qFreeAligned$",	//447
    "qFuzzyCompare",	//448
    "qFuzzyCompare##",	//449
    "qFuzzyCompare$$",	//450
    "qFuzzyIsNull",	//451
    "qFuzzyIsNull$",	//452
    "qGray",	//453
    "qGray$",	//454
    "qGray$$$",	//455
    "qGreen",	//456
    "qGreen$",	//457
    "qHash",	//458
    "qHash#",	//459
    "qHash$",	//460
    "qInf",	//461
    "qInstallMsgHandler",	//462
    "qInstallMsgHandler$",	//463
    "qIntCast",	//464
    "qIntCast$",	//465
    "qIsFinite",	//466
    "qIsFinite$",	//467
    "qIsGray",	//468
    "qIsGray$",	//469
    "qIsInf",	//470
    "qIsInf$",	//471
    "qIsNaN",	//472
    "qIsNaN$",	//473
    "qIsNull",	//474
    "qIsNull$",	//475
    "qLn",	//476
    "qLn$",	//477
    "qMalloc",	//478
    "qMalloc$",	//479
    "qMallocAligned",	//480
    "qMallocAligned$$",	//481
    "qMemCopy",	//482
    "qMemCopy$$$",	//483
    "qMemSet",	//484
    "qMemSet$$$",	//485
    "qPow",	//486
    "qPow$$",	//487
    "qQNaN",	//488
    "qRealloc",	//489
    "qRealloc$$",	//490
    "qReallocAligned",	//491
    "qReallocAligned$$$$",	//492
    "qRed",	//493
    "qRed$",	//494
    "qRegisterStaticPluginInstanceFunction",	//495
    "qRegisterStaticPluginInstanceFunction#",	//496
    "qRemovePostRoutine",	//497
    "qRemovePostRoutine$",	//498
    "qRgb",	//499
    "qRgb$$$",	//500
    "qRgba",	//501
    "qRgba$$$$",	//502
    "qRound",	//503
    "qRound$",	//504
    "qRound64",	//505
    "qRound64$",	//506
    "qSNaN",	//507
    "qSetFieldWidth",	//508
    "qSetFieldWidth$",	//509
    "qSetPadChar",	//510
    "qSetPadChar#",	//511
    "qSetRealNumberPrecision",	//512
    "qSetRealNumberPrecision$",	//513
    "qSharedBuild",	//514
    "qSin",	//515
    "qSin$",	//516
    "qSqrt",	//517
    "qSqrt$",	//518
    "qStringComparisonHelper",	//519
    "qStringComparisonHelper#$",	//520
    "qStringComparisonHelper$$",	//521
    "qTan",	//522
    "qTan$",	//523
    "qUncompress",	//524
    "qUncompress#",	//525
    "qUncompress$$",	//526
    "qVersion",	//527
    "qWarning",	//528
    "qbswap_helper",	//529
    "qbswap_helper$$$",	//530
    "qecvt",	//531
    "qecvt$$$$",	//532
    "qecvt_r",	//533
    "qecvt_r$$$$$$",	//534
    "qfcvt",	//535
    "qfcvt$$$$",	//536
    "qfcvt_r",	//537
    "qfcvt_r$$$$$$",	//538
    "qgcvt",	//539
    "qgcvt$$$",	//540
    "qgetenv",	//541
    "qgetenv$",	//542
    "qputenv",	//543
    "qputenv$#",	//544
    "qrand",	//545
    "qsort",	//546
    "qsort$$$$",	//547
    "qsrand",	//548
    "qsrand$",	//549
    "qstrcmp",	//550
    "qstrcmp##",	//551
    "qstrcmp#$",	//552
    "qstrcmp$#",	//553
    "qstrcmp$$",	//554
    "qstrcpy",	//555
    "qstrcpy$$",	//556
    "qstrdup",	//557
    "qstrdup$",	//558
    "qstricmp",	//559
    "qstricmp$$",	//560
    "qstrlen",	//561
    "qstrlen$",	//562
    "qstrncmp",	//563
    "qstrncmp$$$",	//564
    "qstrncpy",	//565
    "qstrncpy$$$",	//566
    "qstrnicmp",	//567
    "qstrnicmp$$$",	//568
    "qstrnlen",	//569
    "qstrnlen$$",	//570
    "qtTrId",	//571
    "qtTrId$",	//572
    "qtTrId$$",	//573
    "qt_assert",	//574
    "qt_assert$$$",	//575
    "qt_assert_x",	//576
    "qt_assert_x$$$$",	//577
    "qt_check_pointer",	//578
    "qt_check_pointer$$",	//579
    "qt_error_string",	//580
    "qt_error_string$",	//581
    "qt_message_output",	//582
    "qt_message_output$$",	//583
    "qt_metacall",	//584
    "qt_metacall$$?",	//585
    "qt_metacast",	//586
    "qt_metacast$",	//587
    "qt_noop",	//588
    "qt_qFindChild_helper",	//589
    "qt_qFindChild_helper#$#",	//590
    "qt_qFindChildren_helper",	//591
    "qt_qFindChildren_helper#$##?",	//592
    "qvariant_cast_helper",	//593
    "qvariant_cast_helper#$$",	//594
    "qvsnprintf",	//595
    "qvsnprintf$$$?",	//596
    "render",	//597
    "render#",	//598
    "render##",	//599
    "render#$",	//600
    "render#$#",	//601
    "renderer",	//602
    "repaintNeeded",	//603
    "resizeEvent",	//604
    "resolution",	//605
    "sceneEvent",	//606
    "sceneEventFilter",	//607
    "setCachingEnabled",	//608
    "setCachingEnabled$",	//609
    "setCurrentFrame",	//610
    "setCurrentFrame$",	//611
    "setDescription",	//612
    "setDescription$",	//613
    "setElementId",	//614
    "setElementId$",	//615
    "setExtension",	//616
    "setFileName",	//617
    "setFileName$",	//618
    "setFramesPerSecond",	//619
    "setFramesPerSecond$",	//620
    "setMaximumCacheSize",	//621
    "setMaximumCacheSize#",	//622
    "setOutputDevice",	//623
    "setOutputDevice#",	//624
    "setResolution",	//625
    "setResolution$",	//626
    "setSharedRenderer",	//627
    "setSharedRenderer#",	//628
    "setSize",	//629
    "setSize#",	//630
    "setTitle",	//631
    "setTitle$",	//632
    "setViewBox",	//633
    "setViewBox#",	//634
    "setVisible",	//635
    "shape",	//636
    "showEvent",	//637
    "size",	//638
    "sizeHint",	//639
    "staticMetaObject",	//640
    "styleChange",	//641
    "supportsExtension",	//642
    "tabletEvent",	//643
    "timerEvent",	//644
    "title",	//645
    "tr",	//646
    "tr$",	//647
    "tr$$",	//648
    "tr$$$",	//649
    "trUtf8",	//650
    "trUtf8$",	//651
    "trUtf8$$",	//652
    "trUtf8$$$",	//653
    "type",	//654
    "viewBox",	//655
    "viewBoxF",	//656
    "wheelEvent",	//657
    "windowActivationChange",	//658
    "x11Event",	//659
    "~QGraphicsSvgItem",	//660
    "~QSvgGenerator",	//661
    "~QSvgRenderer",	//662
    "~QSvgWidget",	//663
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {26, 330, 1, 2, Smoke::mf_static, 152, 1},	//1 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {26, 347, 0, 0, Smoke::mf_static, 9, 2},	//2 QGlobalSpace::qAccessibleValueCastHelper()
    {26, 319, 4, 2, Smoke::mf_static, 376, 3},	//3 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {26, 284, 7, 2, Smoke::mf_static, 257, 4},	//4 QGlobalSpace::operator+(const QTransform&, float)
    {26, 458, 10, 1, Smoke::mf_static, 479, 5},	//5 QGlobalSpace::qHash(unsigned long long)
    {26, 470, 12, 1, Smoke::mf_static, 376, 6},	//6 QGlobalSpace::qIsInf(double)
    {26, 330, 14, 2, Smoke::mf_static, 152, 7},	//7 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {26, 289, 17, 2, Smoke::mf_static, 171, 8},	//8 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {26, 330, 20, 2, Smoke::mf_static, 152, 9},	//9 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {26, 309, 23, 2, Smoke::mf_static, 376, 10},	//10 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {26, 273, 26, 2, Smoke::mf_static, 376, 11},	//11 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {26, 569, 29, 2, Smoke::mf_static, 479, 12},	//12 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {26, 482, 32, 3, Smoke::mf_static, 486, 13},	//13 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {26, 289, 7, 2, Smoke::mf_static, 257, 14},	//14 QGlobalSpace::operator-(const QTransform&, float)
    {26, 588, 0, 0, Smoke::mf_static, 0, 15},	//15 QGlobalSpace::qt_noop()
    {26, 309, 36, 2, Smoke::mf_static, 376, 16},	//16 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {26, 300, 39, 2, Smoke::mf_static, 31, 17},	//17 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {26, 324, 42, 2, Smoke::mf_static, 27, 18},	//18 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {26, 280, 45, 2, Smoke::mf_static, 197, 19},	//19 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {26, 330, 48, 2, Smoke::mf_static, 83, 20},	//20 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {26, 309, 51, 2, Smoke::mf_static, 376, 21},	//21 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {26, 309, 54, 2, Smoke::mf_static, 376, 22},	//22 QGlobalSpace::operator==(const QSize&, const QSize&)
    {26, 300, 57, 2, Smoke::mf_static, 27, 23},	//23 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {26, 330, 60, 2, Smoke::mf_static, 100, 24},	//24 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {26, 284, 63, 2, Smoke::mf_static, 382, 25},	//25 QGlobalSpace::operator+(const char*, const QByteArray&)
    {26, 324, 66, 2, Smoke::mf_static, 27, 26},	//26 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {26, 330, 69, 2, Smoke::mf_static, 91, 27},	//27 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {26, 330, 72, 2, Smoke::mf_static, 80, 28},	//28 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {26, 330, 75, 2, Smoke::mf_static, 62, 29},	//29 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {26, 519, 78, 2, Smoke::mf_static, 376, 30},	//30 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {26, 324, 81, 2, Smoke::mf_static, 27, 31},	//31 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {26, 550, 63, 2, Smoke::mf_static, 468, 32},	//32 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {26, 309, 84, 2, Smoke::mf_static, 376, 33},	//33 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {26, 300, 87, 2, Smoke::mf_static, 27, 34},	//34 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {26, 324, 90, 2, Smoke::mf_static, 27, 35},	//35 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {26, 319, 93, 2, Smoke::mf_static, 376, 36},	//36 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {26, 470, 96, 1, Smoke::mf_static, 376, 37},	//37 QGlobalSpace::qIsInf(float)
    {26, 541, 98, 1, Smoke::mf_static, 17, 38},	//38 QGlobalSpace::qgetenv(const char*)
    {26, 458, 100, 1, Smoke::mf_static, 479, 39},	//39 QGlobalSpace::qHash(signed char)
    {26, 330, 102, 2, Smoke::mf_static, 152, 40},	//40 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {26, 309, 105, 2, Smoke::mf_static, 376, 41},	//41 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {26, 314, 63, 2, Smoke::mf_static, 376, 42},	//42 QGlobalSpace::operator>(const char*, const QByteArray&)
    {26, 330, 108, 2, Smoke::mf_static, 152, 43},	//43 QGlobalSpace::operator|(QFileDialog::Option, int)
    {26, 284, 17, 2, Smoke::mf_static, 171, 44},	//44 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {26, 280, 111, 2, Smoke::mf_static, 430, 45},	//45 QGlobalSpace::operator*(float, const QSize&)
    {26, 464, 12, 1, Smoke::mf_static, 468, 46},	//46 QGlobalSpace::qIntCast(double)
    {26, 510, 114, 1, Smoke::mf_static, 254, 47},	//47 QGlobalSpace::qSetPadChar(QChar)
    {26, 300, 116, 2, Smoke::mf_static, 27, 48},	//48 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {26, 330, 119, 2, Smoke::mf_static, 82, 49},	//49 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {26, 517, 96, 1, Smoke::mf_static, 467, 50},	//50 QGlobalSpace::qSqrt(float)
    {26, 330, 122, 2, Smoke::mf_static, 90, 51},	//51 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {26, 280, 125, 2, Smoke::mf_static, 195, 52},	//52 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {26, 300, 128, 2, Smoke::mf_static, 27, 53},	//53 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {26, 300, 131, 2, Smoke::mf_static, 31, 54},	//54 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {26, 330, 134, 2, Smoke::mf_static, 66, 55},	//55 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {26, 357, 96, 1, Smoke::mf_static, 467, 56},	//56 QGlobalSpace::qAtan(float)
    {26, 309, 137, 2, Smoke::mf_static, 376, 57},	//57 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {26, 280, 140, 2, Smoke::mf_static, 271, 58},	//58 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {26, 309, 143, 2, Smoke::mf_static, 376, 59},	//59 QGlobalSpace::operator==(QChar, QChar)
    {26, 300, 146, 2, Smoke::mf_static, 31, 60},	//60 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {26, 280, 17, 2, Smoke::mf_static, 171, 61},	//61 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {26, 330, 149, 2, Smoke::mf_static, 122, 62},	//62 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {26, 289, 152, 1, Smoke::mf_static, 171, 63},	//63 QGlobalSpace::operator-(const QMatrix4x4&)
    {26, 458, 154, 1, Smoke::mf_static, 479, 64},	//64 QGlobalSpace::qHash(const QUrl&)
    {26, 458, 156, 1, Smoke::mf_static, 479, 65},	//65 QGlobalSpace::qHash(const QByteArray&)
    {26, 355, 96, 1, Smoke::mf_static, 467, 66},	//66 QGlobalSpace::qAsin(float)
    {26, 330, 158, 2, Smoke::mf_static, 152, 67},	//67 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {26, 300, 161, 2, Smoke::mf_static, 27, 68},	//68 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {26, 300, 164, 2, Smoke::mf_static, 31, 69},	//69 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {26, 324, 167, 2, Smoke::mf_static, 27, 70},	//70 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {26, 295, 143, 2, Smoke::mf_static, 376, 71},	//71 QGlobalSpace::operator<(QChar, QChar)
    {26, 324, 170, 2, Smoke::mf_static, 27, 72},	//72 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {26, 330, 173, 2, Smoke::mf_static, 79, 73},	//73 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {26, 319, 143, 2, Smoke::mf_static, 376, 74},	//74 QGlobalSpace::operator>=(QChar, QChar)
    {26, 273, 176, 2, Smoke::mf_static, 376, 75},	//75 QGlobalSpace::operator!=(QString::Null, const QString&)
    {26, 300, 179, 2, Smoke::mf_static, 31, 76},	//76 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {26, 295, 63, 2, Smoke::mf_static, 376, 77},	//77 QGlobalSpace::operator<(const char*, const QByteArray&)
    {26, 330, 182, 2, Smoke::mf_static, 107, 78},	//78 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {26, 330, 185, 2, Smoke::mf_static, 121, 79},	//79 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {26, 550, 188, 2, Smoke::mf_static, 468, 80},	//80 QGlobalSpace::qstrcmp(const char*, const char*)
    {26, 330, 191, 2, Smoke::mf_static, 152, 81},	//81 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {26, 284, 23, 2, Smoke::mf_static, 459, 82},	//82 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {26, 330, 194, 2, Smoke::mf_static, 78, 83},	//83 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {26, 314, 143, 2, Smoke::mf_static, 376, 84},	//84 QGlobalSpace::operator>(QChar, QChar)
    {26, 330, 197, 2, Smoke::mf_static, 124, 85},	//85 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {26, 514, 0, 0, Smoke::mf_static, 376, 86},	//86 QGlobalSpace::qSharedBuild()
    {26, 309, 200, 2, Smoke::mf_static, 376, 87},	//87 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {26, 330, 203, 2, Smoke::mf_static, 152, 88},	//88 QGlobalSpace::operator|(QDir::Filter, int)
    {26, 330, 206, 2, Smoke::mf_static, 90, 89},	//89 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {26, 273, 4, 2, Smoke::mf_static, 376, 90},	//90 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {26, 289, 209, 2, Smoke::mf_static, 417, 91},	//91 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {26, 342, 0, 0, Smoke::mf_static, 9, 92},	//92 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {26, 300, 212, 2, Smoke::mf_static, 27, 93},	//93 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {26, 330, 215, 2, Smoke::mf_static, 152, 94},	//94 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {26, 330, 218, 2, Smoke::mf_static, 120, 95},	//95 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {26, 330, 221, 2, Smoke::mf_static, 152, 96},	//96 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {26, 330, 224, 2, Smoke::mf_static, 48, 97},	//97 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {26, 458, 227, 1, Smoke::mf_static, 479, 98},	//98 QGlobalSpace::qHash(char)
    {26, 330, 229, 2, Smoke::mf_static, 108, 99},	//99 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {26, 280, 23, 2, Smoke::mf_static, 459, 100},	//100 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {26, 273, 51, 2, Smoke::mf_static, 376, 101},	//101 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {26, 330, 232, 2, Smoke::mf_static, 104, 102},	//102 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {26, 330, 235, 2, Smoke::mf_static, 152, 103},	//103 QGlobalSpace::operator|(QTextOption::Flag, int)
    {26, 300, 238, 2, Smoke::mf_static, 31, 104},	//104 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {26, 522, 96, 1, Smoke::mf_static, 467, 105},	//105 QGlobalSpace::qTan(float)
    {26, 330, 241, 2, Smoke::mf_static, 152, 106},	//106 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {26, 330, 244, 2, Smoke::mf_static, 152, 107},	//107 QGlobalSpace::operator|(QFile::Permission, int)
    {26, 515, 96, 1, Smoke::mf_static, 467, 108},	//108 QGlobalSpace::qSin(float)
    {26, 330, 247, 2, Smoke::mf_static, 66, 109},	//109 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {26, 425, 250, 8, Smoke::mf_static, 0, 110},	//110 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {26, 425, 259, 6, Smoke::mf_static, 0, 111},	//111 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {26, 425, 266, 7, Smoke::mf_static, 0, 112},	//112 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 284, 209, 2, Smoke::mf_static, 417, 113},	//113 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {26, 300, 274, 2, Smoke::mf_static, 27, 114},	//114 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {26, 330, 277, 2, Smoke::mf_static, 58, 115},	//115 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {26, 284, 280, 2, Smoke::mf_static, 437, 116},	//116 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {26, 289, 283, 2, Smoke::mf_static, 432, 117},	//117 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {26, 280, 286, 2, Smoke::mf_static, 269, 118},	//118 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {26, 448, 289, 2, Smoke::mf_static, 376, 119},	//119 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {26, 300, 292, 2, Smoke::mf_static, 31, 120},	//120 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {26, 289, 23, 2, Smoke::mf_static, 459, 121},	//121 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {26, 466, 12, 1, Smoke::mf_static, 376, 122},	//122 QGlobalSpace::qIsFinite(double)
    {26, 531, 295, 4, Smoke::mf_static, 378, 123},	//123 QGlobalSpace::qecvt(long double, int, int*, int*)
    {26, 330, 300, 2, Smoke::mf_static, 63, 124},	//124 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {26, 273, 93, 2, Smoke::mf_static, 376, 125},	//125 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {26, 300, 303, 2, Smoke::mf_static, 27, 126},	//126 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {26, 330, 306, 2, Smoke::mf_static, 116, 127},	//127 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {26, 330, 309, 2, Smoke::mf_static, 152, 128},	//128 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {26, 300, 312, 2, Smoke::mf_static, 31, 129},	//129 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {26, 352, 315, 1, Smoke::mf_static, 468, 130},	//130 QGlobalSpace::qAlpha(unsigned int)
    {26, 300, 317, 2, Smoke::mf_static, 31, 131},	//131 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {26, 330, 320, 2, Smoke::mf_static, 59, 132},	//132 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {26, 295, 323, 2, Smoke::mf_static, 376, 133},	//133 QGlobalSpace::operator<(const char*, const QString&)
    {26, 453, 326, 3, Smoke::mf_static, 468, 134},	//134 QGlobalSpace::qGray(int, int, int)
    {26, 330, 330, 2, Smoke::mf_static, 71, 135},	//135 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {26, 300, 333, 2, Smoke::mf_static, 27, 136},	//136 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {26, 330, 336, 2, Smoke::mf_static, 106, 137},	//137 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {26, 284, 54, 2, Smoke::mf_static, 430, 138},	//138 QGlobalSpace::operator+(const QSize&, const QSize&)
    {26, 330, 339, 2, Smoke::mf_static, 122, 139},	//139 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {26, 330, 342, 2, Smoke::mf_static, 113, 140},	//140 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {26, 580, 345, 1, Smoke::mf_static, 220, 141},	//141 QGlobalSpace::qt_error_string(int)
    {26, 580, 0, 0, Smoke::mf_static, 220, 142},	//142 QGlobalSpace::qt_error_string()
    {26, 284, 283, 2, Smoke::mf_static, 432, 143},	//143 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {26, 330, 347, 2, Smoke::mf_static, 152, 144},	//144 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {26, 330, 350, 2, Smoke::mf_static, 48, 145},	//145 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {26, 330, 353, 2, Smoke::mf_static, 152, 146},	//146 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {26, 289, 289, 2, Smoke::mf_static, 461, 147},	//147 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {26, 295, 356, 2, Smoke::mf_static, 376, 148},	//148 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {26, 524, 359, 2, Smoke::mf_static, 17, 149},	//149 QGlobalSpace::qUncompress(const unsigned char*, int)
    {26, 563, 362, 3, Smoke::mf_static, 468, 150},	//150 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {26, 314, 36, 2, Smoke::mf_static, 376, 151},	//151 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {26, 273, 366, 2, Smoke::mf_static, 376, 152},	//152 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {26, 508, 345, 1, Smoke::mf_static, 254, 153},	//153 QGlobalSpace::qSetFieldWidth(int)
    {26, 309, 369, 2, Smoke::mf_static, 376, 154},	//154 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {26, 330, 372, 2, Smoke::mf_static, 93, 155},	//155 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {26, 324, 375, 2, Smoke::mf_static, 251, 156},	//156 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {26, 458, 378, 1, Smoke::mf_static, 479, 157},	//157 QGlobalSpace::qHash(const QItemSelectionRange&)
    {26, 330, 380, 2, Smoke::mf_static, 111, 158},	//158 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {26, 493, 315, 1, Smoke::mf_static, 468, 159},	//159 QGlobalSpace::qRed(unsigned int)
    {26, 330, 383, 2, Smoke::mf_static, 85, 160},	//160 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {26, 300, 386, 2, Smoke::mf_static, 31, 161},	//161 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {26, 324, 389, 2, Smoke::mf_static, 27, 162},	//162 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {26, 466, 96, 1, Smoke::mf_static, 376, 163},	//163 QGlobalSpace::qIsFinite(float)
    {26, 284, 392, 2, Smoke::mf_static, 437, 164},	//164 QGlobalSpace::operator+(const QString&, QChar)
    {26, 273, 395, 2, Smoke::mf_static, 376, 165},	//165 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {26, 280, 289, 2, Smoke::mf_static, 461, 166},	//166 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {26, 330, 398, 2, Smoke::mf_static, 51, 167},	//167 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {26, 529, 401, 3, Smoke::mf_static, 0, 168},	//168 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {26, 284, 93, 2, Smoke::mf_static, 382, 169},	//169 QGlobalSpace::operator+(const QByteArray&, const char*)
    {26, 346, 0, 0, Smoke::mf_static, 9, 170},	//170 QGlobalSpace::qAccessibleTextCastHelper()
    {26, 330, 405, 2, Smoke::mf_static, 92, 171},	//171 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {26, 330, 408, 2, Smoke::mf_static, 98, 172},	//172 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {26, 284, 78, 2, Smoke::mf_static, 437, 173},	//173 QGlobalSpace::operator+(const QString&, const char*)
    {26, 314, 356, 2, Smoke::mf_static, 376, 174},	//174 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {26, 330, 411, 2, Smoke::mf_static, 119, 175},	//175 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {26, 491, 414, 4, Smoke::mf_static, 486, 176},	//176 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {26, 438, 96, 1, Smoke::mf_static, 467, 177},	//177 QGlobalSpace::qFastSin(float)
    {26, 324, 419, 2, Smoke::mf_static, 27, 178},	//178 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {26, 300, 422, 2, Smoke::mf_static, 27, 179},	//179 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {26, 284, 425, 2, Smoke::mf_static, 437, 180},	//180 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {26, 458, 315, 1, Smoke::mf_static, 479, 181},	//181 QGlobalSpace::qHash(unsigned int)
    {26, 448, 200, 2, Smoke::mf_static, 376, 182},	//182 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {26, 330, 428, 2, Smoke::mf_static, 121, 183},	//183 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {26, 458, 114, 1, Smoke::mf_static, 479, 184},	//184 QGlobalSpace::qHash(QChar)
    {26, 330, 431, 2, Smoke::mf_static, 100, 185},	//185 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {26, 304, 93, 2, Smoke::mf_static, 376, 186},	//186 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {26, 442, 96, 1, Smoke::mf_static, 468, 187},	//187 QGlobalSpace::qFloor(float)
    {26, 464, 96, 1, Smoke::mf_static, 468, 188},	//188 QGlobalSpace::qIntCast(float)
    {26, 309, 434, 2, Smoke::mf_static, 376, 189},	//189 QGlobalSpace::operator==(const QRect&, const QRect&)
    {26, 330, 437, 2, Smoke::mf_static, 61, 190},	//190 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {26, 328, 440, 2, Smoke::mf_static, 13, 191},	//191 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {26, 314, 443, 2, Smoke::mf_static, 376, 192},	//192 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {26, 330, 446, 2, Smoke::mf_static, 82, 193},	//193 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {26, 489, 449, 2, Smoke::mf_static, 486, 194},	//194 QGlobalSpace::qRealloc(void*, size_t)
    {26, 458, 452, 1, Smoke::mf_static, 479, 195},	//195 QGlobalSpace::qHash(const QString&)
    {26, 304, 356, 2, Smoke::mf_static, 376, 196},	//196 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {26, 284, 289, 2, Smoke::mf_static, 461, 197},	//197 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {26, 432, 96, 1, Smoke::mf_static, 467, 198},	//198 QGlobalSpace::qExp(float)
    {26, 330, 454, 2, Smoke::mf_static, 86, 199},	//199 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    {26, 300, 457, 2, Smoke::mf_static, 27, 200},	//200 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {26, 300, 460, 2, Smoke::mf_static, 27, 201},	//201 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {26, 300, 463, 2, Smoke::mf_static, 31, 202},	//202 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {26, 505, 12, 1, Smoke::mf_static, 473, 203},	//203 QGlobalSpace::qRound64(double)
    {26, 462, 466, 1, Smoke::mf_static, 485, 204},	//204 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {26, 330, 468, 2, Smoke::mf_static, 152, 205},	//205 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {26, 458, 471, 1, Smoke::mf_static, 479, 206},	//206 QGlobalSpace::qHash(const QModelIndex&)
    {26, 330, 473, 2, Smoke::mf_static, 54, 207},	//207 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {26, 330, 476, 2, Smoke::mf_static, 97, 208},	//208 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {26, 324, 479, 2, Smoke::mf_static, 27, 209},	//209 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {26, 300, 482, 2, Smoke::mf_static, 31, 210},	//210 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {26, 309, 485, 2, Smoke::mf_static, 376, 211},	//211 QGlobalSpace::operator==(QBool, QBool)
    {26, 330, 488, 2, Smoke::mf_static, 68, 212},	//212 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {26, 309, 491, 2, Smoke::mf_static, 376, 213},	//213 QGlobalSpace::operator==(const char*, const QStringRef&)
    {26, 330, 494, 2, Smoke::mf_static, 152, 214},	//214 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {26, 330, 497, 2, Smoke::mf_static, 152, 215},	//215 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {26, 273, 323, 2, Smoke::mf_static, 376, 216},	//216 QGlobalSpace::operator!=(const char*, const QString&)
    {26, 472, 96, 1, Smoke::mf_static, 376, 217},	//217 QGlobalSpace::qIsNaN(float)
    {26, 330, 500, 2, Smoke::mf_static, 152, 218},	//218 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {26, 330, 503, 2, Smoke::mf_static, 74, 219},	//219 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {26, 304, 443, 2, Smoke::mf_static, 376, 220},	//220 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {26, 324, 506, 2, Smoke::mf_static, 27, 221},	//221 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {26, 440, 98, 1, Smoke::mf_static, 463, 222},	//222 QGlobalSpace::qFlagLocation(const char*)
    {26, 280, 509, 2, Smoke::mf_static, 160, 223},	//223 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {26, 300, 512, 2, Smoke::mf_static, 31, 224},	//224 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {26, 330, 515, 2, Smoke::mf_static, 152, 225},	//225 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {26, 472, 12, 1, Smoke::mf_static, 376, 226},	//226 QGlobalSpace::qIsNaN(double)
    {26, 453, 315, 1, Smoke::mf_static, 468, 227},	//227 QGlobalSpace::qGray(unsigned int)
    {26, 284, 518, 2, Smoke::mf_static, 437, 228},	//228 QGlobalSpace::operator+(QChar, const QString&)
    {26, 330, 521, 2, Smoke::mf_static, 94, 229},	//229 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {26, 330, 524, 2, Smoke::mf_static, 152, 230},	//230 QGlobalSpace::operator|(QString::SectionFlag, int)
    {26, 330, 527, 2, Smoke::mf_static, 67, 231},	//231 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {26, 330, 530, 2, Smoke::mf_static, 152, 232},	//232 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {26, 300, 533, 2, Smoke::mf_static, 31, 233},	//233 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {26, 324, 536, 2, Smoke::mf_static, 27, 234},	//234 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {26, 293, 539, 2, Smoke::mf_static, 171, 235},	//235 QGlobalSpace::operator/(const QMatrix4x4&, float)
    {26, 574, 542, 3, Smoke::mf_static, 0, 236},	//236 QGlobalSpace::qt_assert(const char*, const char*, int)
    {26, 458, 546, 1, Smoke::mf_static, 479, 237},	//237 QGlobalSpace::qHash(long long)
    {26, 289, 548, 1, Smoke::mf_static, 423, 238},	//238 QGlobalSpace::operator-(const QQuaternion&)
    {26, 273, 550, 2, Smoke::mf_static, 376, 239},	//239 QGlobalSpace::operator!=(const QString&, QString::Null)
    {26, 535, 295, 4, Smoke::mf_static, 378, 240},	//240 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {26, 330, 553, 2, Smoke::mf_static, 65, 241},	//241 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {26, 448, 556, 2, Smoke::mf_static, 376, 242},	//242 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {26, 348, 96, 1, Smoke::mf_static, 467, 243},	//243 QGlobalSpace::qAcos(float)
    {26, 330, 559, 2, Smoke::mf_static, 152, 244},	//244 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {26, 324, 562, 2, Smoke::mf_static, 27, 245},	//245 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {26, 330, 565, 2, Smoke::mf_static, 152, 246},	//246 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {26, 293, 568, 2, Smoke::mf_static, 459, 247},	//247 QGlobalSpace::operator/(const QVector3D&, float)
    {26, 499, 326, 3, Smoke::mf_static, 479, 248},	//248 QGlobalSpace::qRgb(int, int, int)
    {26, 330, 571, 2, Smoke::mf_static, 98, 249},	//249 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {26, 284, 574, 2, Smoke::mf_static, 437, 250},	//250 QGlobalSpace::operator+(const QString&, char)
    {26, 273, 137, 2, Smoke::mf_static, 376, 251},	//251 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {26, 280, 577, 2, Smoke::mf_static, 188, 252},	//252 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {26, 289, 84, 2, Smoke::mf_static, 419, 253},	//253 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {26, 309, 395, 2, Smoke::mf_static, 376, 254},	//254 QGlobalSpace::operator==(QString::Null, QString::Null)
    {26, 330, 580, 2, Smoke::mf_static, 114, 255},	//255 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {26, 330, 583, 2, Smoke::mf_static, 79, 256},	//256 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {26, 330, 586, 2, Smoke::mf_static, 108, 257},	//257 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {26, 324, 589, 2, Smoke::mf_static, 27, 258},	//258 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {26, 295, 443, 2, Smoke::mf_static, 376, 259},	//259 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {26, 345, 0, 0, Smoke::mf_static, 9, 260},	//260 QGlobalSpace::qAccessibleTableCastHelper()
    {26, 330, 592, 2, Smoke::mf_static, 124, 261},	//261 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {26, 359, 595, 2, Smoke::mf_static, 467, 262},	//262 QGlobalSpace::qAtan2(float, float)
    {26, 382, 598, 8, Smoke::mf_static, 0, 263},	//263 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {26, 382, 607, 6, Smoke::mf_static, 0, 264},	//264 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {26, 382, 614, 7, Smoke::mf_static, 0, 265},	//265 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {26, 451, 96, 1, Smoke::mf_static, 376, 266},	//266 QGlobalSpace::qFuzzyIsNull(float)
    {26, 330, 622, 2, Smoke::mf_static, 118, 267},	//267 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {26, 555, 625, 2, Smoke::mf_static, 378, 268},	//268 QGlobalSpace::qstrcpy(char*, const char*)
    {26, 458, 345, 1, Smoke::mf_static, 479, 269},	//269 QGlobalSpace::qHash(int)
    {26, 330, 628, 2, Smoke::mf_static, 86, 270},	//270 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    {26, 284, 84, 2, Smoke::mf_static, 419, 271},	//271 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {26, 280, 631, 2, Smoke::mf_static, 209, 272},	//272 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {26, 330, 634, 2, Smoke::mf_static, 109, 273},	//273 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {26, 309, 283, 2, Smoke::mf_static, 376, 274},	//274 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {26, 289, 637, 1, Smoke::mf_static, 417, 275},	//275 QGlobalSpace::operator-(const QPoint&)
    {26, 330, 639, 2, Smoke::mf_static, 152, 276},	//276 QGlobalSpace::operator|(Qt::DropAction, int)
    {26, 300, 642, 2, Smoke::mf_static, 27, 277},	//277 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {26, 330, 645, 2, Smoke::mf_static, 152, 278},	//278 QGlobalSpace::operator|(QDir::SortFlag, int)
    {26, 512, 345, 1, Smoke::mf_static, 254, 279},	//279 QGlobalSpace::qSetRealNumberPrecision(int)
    {26, 309, 648, 2, Smoke::mf_static, 376, 280},	//280 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {26, 503, 96, 1, Smoke::mf_static, 468, 281},	//281 QGlobalSpace::qRound(float)
    {26, 284, 26, 2, Smoke::mf_static, 457, 282},	//282 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {26, 407, 651, 7, Smoke::mf_static, 0, 283},	//283 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {26, 407, 659, 3, Smoke::mf_static, 0, 284},	//284 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {26, 407, 663, 4, Smoke::mf_static, 0, 285},	//285 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {26, 407, 668, 5, Smoke::mf_static, 0, 286},	//286 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {26, 407, 674, 6, Smoke::mf_static, 0, 287},	//287 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {26, 300, 681, 2, Smoke::mf_static, 27, 288},	//288 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {26, 280, 684, 2, Smoke::mf_static, 271, 289},	//289 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {26, 330, 687, 2, Smoke::mf_static, 152, 290},	//290 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {26, 273, 283, 2, Smoke::mf_static, 376, 291},	//291 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {26, 495, 690, 1, Smoke::mf_static, 0, 292},	//292 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {26, 300, 692, 2, Smoke::mf_static, 31, 293},	//293 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {26, 300, 695, 2, Smoke::mf_static, 31, 294},	//294 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {26, 330, 698, 2, Smoke::mf_static, 59, 295},	//295 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {26, 366, 29, 2, Smoke::mf_static, 482, 296},	//296 QGlobalSpace::qChecksum(const char*, unsigned int)
    {26, 377, 701, 4, Smoke::mf_static, 0, 297},	//297 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {26, 344, 0, 0, Smoke::mf_static, 9, 298},	//298 QGlobalSpace::qAccessibleTable2CastHelper()
    {26, 300, 706, 2, Smoke::mf_static, 251, 299},	//299 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {26, 330, 709, 2, Smoke::mf_static, 117, 300},	//300 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {26, 478, 712, 1, Smoke::mf_static, 486, 301},	//301 QGlobalSpace::qMalloc(size_t)
    {26, 488, 0, 0, Smoke::mf_static, 466, 302},	//302 QGlobalSpace::qQNaN()
    {26, 330, 714, 2, Smoke::mf_static, 110, 303},	//303 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {26, 324, 717, 2, Smoke::mf_static, 27, 304},	//304 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {26, 543, 63, 2, Smoke::mf_static, 376, 305},	//305 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {26, 330, 720, 2, Smoke::mf_static, 95, 306},	//306 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {26, 330, 723, 2, Smoke::mf_static, 76, 307},	//307 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {26, 300, 726, 2, Smoke::mf_static, 27, 308},	//308 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {26, 300, 729, 2, Smoke::mf_static, 31, 309},	//309 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {26, 330, 732, 2, Smoke::mf_static, 152, 310},	//310 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {26, 362, 315, 1, Smoke::mf_static, 468, 311},	//311 QGlobalSpace::qBlue(unsigned int)
    {26, 330, 735, 2, Smoke::mf_static, 102, 312},	//312 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {26, 280, 26, 2, Smoke::mf_static, 457, 313},	//313 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {26, 300, 738, 2, Smoke::mf_static, 27, 314},	//314 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {26, 300, 741, 2, Smoke::mf_static, 27, 315},	//315 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {26, 418, 744, 5, Smoke::mf_static, 0, 316},	//316 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {26, 418, 659, 3, Smoke::mf_static, 0, 317},	//317 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {26, 418, 663, 4, Smoke::mf_static, 0, 318},	//318 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {26, 548, 315, 1, Smoke::mf_static, 0, 319},	//319 QGlobalSpace::qsrand(unsigned int)
    {26, 273, 200, 2, Smoke::mf_static, 376, 320},	//320 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {26, 330, 750, 2, Smoke::mf_static, 152, 321},	//321 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {26, 280, 753, 2, Smoke::mf_static, 423, 322},	//322 QGlobalSpace::operator*(const QQuaternion&, float)
    {26, 458, 756, 1, Smoke::mf_static, 479, 323},	//323 QGlobalSpace::qHash(long)
    {26, 300, 758, 2, Smoke::mf_static, 27, 324},	//324 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {26, 280, 761, 2, Smoke::mf_static, 417, 325},	//325 QGlobalSpace::operator*(int, const QPoint&)
    {26, 314, 4, 2, Smoke::mf_static, 376, 326},	//326 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {26, 458, 764, 1, Smoke::mf_static, 479, 327},	//327 QGlobalSpace::qHash(unsigned short)
    {26, 330, 766, 2, Smoke::mf_static, 101, 328},	//328 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {26, 324, 769, 2, Smoke::mf_static, 27, 329},	//329 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {26, 273, 84, 2, Smoke::mf_static, 376, 330},	//330 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {26, 330, 772, 2, Smoke::mf_static, 83, 331},	//331 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {26, 300, 775, 2, Smoke::mf_static, 27, 332},	//332 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {26, 330, 778, 2, Smoke::mf_static, 62, 333},	//333 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {26, 330, 781, 2, Smoke::mf_static, 75, 334},	//334 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {26, 289, 26, 2, Smoke::mf_static, 457, 335},	//335 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {26, 398, 784, 6, Smoke::mf_static, 0, 336},	//336 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {26, 398, 659, 3, Smoke::mf_static, 0, 337},	//337 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {26, 398, 663, 4, Smoke::mf_static, 0, 338},	//338 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {26, 398, 668, 5, Smoke::mf_static, 0, 339},	//339 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {26, 567, 362, 3, Smoke::mf_static, 468, 340},	//340 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {26, 284, 791, 2, Smoke::mf_static, 437, 341},	//341 QGlobalSpace::operator+(char, const QString&)
    {26, 324, 794, 2, Smoke::mf_static, 27, 342},	//342 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {26, 309, 176, 2, Smoke::mf_static, 376, 343},	//343 QGlobalSpace::operator==(QString::Null, const QString&)
    {26, 324, 797, 2, Smoke::mf_static, 27, 344},	//344 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {26, 309, 366, 2, Smoke::mf_static, 376, 345},	//345 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {26, 330, 800, 2, Smoke::mf_static, 94, 346},	//346 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {26, 330, 803, 2, Smoke::mf_static, 152, 347},	//347 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {26, 284, 443, 2, Smoke::mf_static, 382, 348},	//348 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {26, 330, 806, 2, Smoke::mf_static, 101, 349},	//349 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {26, 458, 809, 1, Smoke::mf_static, 479, 350},	//350 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {26, 314, 323, 2, Smoke::mf_static, 376, 351},	//351 QGlobalSpace::operator>(const char*, const QString&)
    {26, 300, 811, 2, Smoke::mf_static, 31, 352},	//352 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {26, 300, 814, 2, Smoke::mf_static, 27, 353},	//353 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {26, 293, 817, 2, Smoke::mf_static, 457, 354},	//354 QGlobalSpace::operator/(const QVector2D&, float)
    {26, 300, 820, 2, Smoke::mf_static, 27, 355},	//355 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {26, 300, 823, 2, Smoke::mf_static, 27, 356},	//356 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {26, 280, 826, 2, Smoke::mf_static, 461, 357},	//357 QGlobalSpace::operator*(const QVector4D&, float)
    {26, 300, 829, 2, Smoke::mf_static, 27, 358},	//358 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {26, 324, 832, 2, Smoke::mf_static, 27, 359},	//359 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {26, 280, 835, 2, Smoke::mf_static, 430, 360},	//360 QGlobalSpace::operator*(const QSize&, float)
    {26, 280, 539, 2, Smoke::mf_static, 171, 361},	//361 QGlobalSpace::operator*(const QMatrix4x4&, float)
    {26, 589, 838, 3, Smoke::mf_static, 179, 362},	//362 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {26, 398, 842, 9, Smoke::mf_static, 0, 363},	//363 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {26, 398, 259, 6, Smoke::mf_static, 0, 364},	//364 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {26, 398, 266, 7, Smoke::mf_static, 0, 365},	//365 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 398, 852, 8, Smoke::mf_static, 0, 366},	//366 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 330, 861, 2, Smoke::mf_static, 88, 367},	//367 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {26, 324, 864, 2, Smoke::mf_static, 27, 368},	//368 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {26, 330, 867, 2, Smoke::mf_static, 152, 369},	//369 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {26, 330, 870, 2, Smoke::mf_static, 92, 370},	//370 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {26, 280, 873, 2, Smoke::mf_static, 419, 371},	//371 QGlobalSpace::operator*(float, const QPointF&)
    {26, 273, 876, 2, Smoke::mf_static, 376, 372},	//372 QGlobalSpace::operator!=(bool, QBool)
    {26, 309, 356, 2, Smoke::mf_static, 376, 373},	//373 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {26, 330, 879, 2, Smoke::mf_static, 72, 374},	//374 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {26, 330, 882, 2, Smoke::mf_static, 76, 375},	//375 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {26, 330, 885, 2, Smoke::mf_static, 75, 376},	//376 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {26, 565, 888, 3, Smoke::mf_static, 378, 377},	//377 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {26, 289, 892, 1, Smoke::mf_static, 461, 378},	//378 QGlobalSpace::operator-(const QVector4D&)
    {26, 330, 894, 2, Smoke::mf_static, 105, 379},	//379 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {26, 280, 897, 2, Smoke::mf_static, 459, 380},	//380 QGlobalSpace::operator*(float, const QVector3D&)
    {26, 324, 900, 2, Smoke::mf_static, 27, 381},	//381 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {26, 524, 156, 1, Smoke::mf_static, 17, 382},	//382 QGlobalSpace::qUncompress(const QByteArray&)
    {26, 330, 903, 2, Smoke::mf_static, 95, 383},	//383 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {26, 330, 906, 2, Smoke::mf_static, 152, 384},	//384 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {26, 448, 17, 2, Smoke::mf_static, 376, 385},	//385 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {26, 330, 909, 2, Smoke::mf_static, 152, 386},	//386 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {26, 300, 912, 2, Smoke::mf_static, 27, 387},	//387 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {26, 324, 915, 2, Smoke::mf_static, 27, 388},	//388 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {26, 341, 0, 0, Smoke::mf_static, 9, 389},	//389 QGlobalSpace::qAccessibleActionCastHelper()
    {26, 280, 918, 2, Smoke::mf_static, 197, 390},	//390 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {26, 330, 921, 2, Smoke::mf_static, 152, 391},	//391 QGlobalSpace::operator|(Qt::MouseButton, int)
    {26, 324, 924, 2, Smoke::mf_static, 27, 392},	//392 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {26, 289, 927, 1, Smoke::mf_static, 419, 393},	//393 QGlobalSpace::operator-(const QPointF&)
    {26, 300, 929, 2, Smoke::mf_static, 31, 394},	//394 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {26, 330, 932, 2, Smoke::mf_static, 49, 395},	//395 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {26, 309, 876, 2, Smoke::mf_static, 376, 396},	//396 QGlobalSpace::operator==(bool, QBool)
    {26, 324, 935, 2, Smoke::mf_static, 27, 397},	//397 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {26, 330, 938, 2, Smoke::mf_static, 152, 398},	//398 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {26, 280, 941, 2, Smoke::mf_static, 457, 399},	//399 QGlobalSpace::operator*(float, const QVector2D&)
    {26, 545, 0, 0, Smoke::mf_static, 468, 400},	//400 QGlobalSpace::qrand()
    {26, 300, 944, 2, Smoke::mf_static, 31, 401},	//401 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {26, 280, 947, 2, Smoke::mf_static, 201, 402},	//402 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {26, 324, 950, 2, Smoke::mf_static, 27, 403},	//403 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {26, 330, 953, 2, Smoke::mf_static, 53, 404},	//404 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {26, 576, 956, 4, Smoke::mf_static, 0, 405},	//405 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {26, 280, 961, 2, Smoke::mf_static, 417, 406},	//406 QGlobalSpace::operator*(float, const QPoint&)
    {26, 278, 440, 2, Smoke::mf_static, 13, 407},	//407 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {26, 319, 63, 2, Smoke::mf_static, 376, 408},	//408 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {26, 330, 964, 2, Smoke::mf_static, 63, 409},	//409 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {26, 330, 967, 2, Smoke::mf_static, 103, 410},	//410 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {26, 330, 970, 2, Smoke::mf_static, 119, 411},	//411 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {26, 300, 973, 2, Smoke::mf_static, 27, 412},	//412 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {26, 448, 976, 2, Smoke::mf_static, 376, 413},	//413 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {26, 330, 979, 2, Smoke::mf_static, 152, 414},	//414 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {26, 273, 982, 2, Smoke::mf_static, 376, 415},	//415 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {26, 501, 985, 4, Smoke::mf_static, 479, 416},	//416 QGlobalSpace::qRgba(int, int, int, int)
    {26, 375, 0, 0, Smoke::mf_static, 31, 417},	//417 QGlobalSpace::qCritical()
    {26, 324, 990, 2, Smoke::mf_static, 27, 418},	//418 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {26, 300, 993, 2, Smoke::mf_static, 27, 419},	//419 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {26, 300, 996, 2, Smoke::mf_static, 31, 420},	//420 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {26, 330, 999, 2, Smoke::mf_static, 113, 421},	//421 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {26, 373, 96, 1, Smoke::mf_static, 467, 422},	//422 QGlobalSpace::qCos(float)
    {26, 273, 63, 2, Smoke::mf_static, 376, 423},	//423 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {26, 273, 209, 2, Smoke::mf_static, 376, 424},	//424 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {26, 295, 36, 2, Smoke::mf_static, 376, 425},	//425 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {26, 330, 1002, 2, Smoke::mf_static, 152, 426},	//426 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {26, 330, 1005, 2, Smoke::mf_static, 81, 427},	//427 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {26, 309, 982, 2, Smoke::mf_static, 376, 428},	//428 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {26, 300, 1008, 2, Smoke::mf_static, 27, 429},	//429 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {26, 300, 1011, 2, Smoke::mf_static, 31, 430},	//430 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {26, 284, 1014, 2, Smoke::mf_static, 382, 431},	//431 QGlobalSpace::operator+(const QByteArray&, char)
    {26, 330, 1017, 2, Smoke::mf_static, 58, 432},	//432 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {26, 330, 1020, 2, Smoke::mf_static, 56, 433},	//433 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {26, 324, 1023, 2, Smoke::mf_static, 27, 434},	//434 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {26, 319, 356, 2, Smoke::mf_static, 376, 435},	//435 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {26, 309, 289, 2, Smoke::mf_static, 376, 436},	//436 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {26, 300, 1026, 2, Smoke::mf_static, 27, 437},	//437 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {26, 330, 1029, 2, Smoke::mf_static, 152, 438},	//438 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {26, 309, 209, 2, Smoke::mf_static, 376, 439},	//439 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {26, 350, 1032, 1, Smoke::mf_static, 0, 440},	//440 QGlobalSpace::qAddPostRoutine(void(*)())
    {26, 368, 1034, 3, Smoke::mf_static, 17, 441},	//441 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {26, 368, 359, 2, Smoke::mf_static, 17, 442},	//442 QGlobalSpace::qCompress(const unsigned char*, int)
    {26, 330, 1038, 2, Smoke::mf_static, 87, 443},	//443 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {26, 304, 63, 2, Smoke::mf_static, 376, 444},	//444 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {26, 304, 4, 2, Smoke::mf_static, 376, 445},	//445 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {26, 300, 1041, 2, Smoke::mf_static, 27, 446},	//446 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {26, 324, 1044, 2, Smoke::mf_static, 27, 447},	//447 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {26, 330, 1047, 2, Smoke::mf_static, 55, 448},	//448 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {26, 280, 1050, 2, Smoke::mf_static, 423, 449},	//449 QGlobalSpace::operator*(float, const QQuaternion&)
    {26, 324, 1053, 2, Smoke::mf_static, 27, 450},	//450 QGlobalSpace::operator>>(QDataStream&, QString&)
    {26, 354, 0, 0, Smoke::mf_static, 220, 451},	//451 QGlobalSpace::qAppName()
    {26, 527, 0, 0, Smoke::mf_static, 463, 452},	//452 QGlobalSpace::qVersion()
    {26, 330, 1056, 2, Smoke::mf_static, 89, 453},	//453 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {26, 300, 1059, 2, Smoke::mf_static, 27, 454},	//454 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {26, 330, 1062, 2, Smoke::mf_static, 152, 455},	//455 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {26, 444, 1065, 1, Smoke::mf_static, 0, 456},	//456 QGlobalSpace::qFree(void*)
    {26, 300, 1067, 2, Smoke::mf_static, 31, 457},	//457 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {26, 280, 1070, 2, Smoke::mf_static, 162, 458},	//458 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {26, 300, 1073, 2, Smoke::mf_static, 27, 459},	//459 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {26, 330, 1076, 2, Smoke::mf_static, 152, 460},	//460 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {26, 446, 1065, 1, Smoke::mf_static, 0, 461},	//461 QGlobalSpace::qFreeAligned(void*)
    {26, 324, 1079, 2, Smoke::mf_static, 27, 462},	//462 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {26, 309, 550, 2, Smoke::mf_static, 376, 463},	//463 QGlobalSpace::operator==(const QString&, QString::Null)
    {26, 300, 1082, 2, Smoke::mf_static, 31, 464},	//464 QGlobalSpace::operator<<(QDebug, const QDir&)
    {26, 300, 1085, 2, Smoke::mf_static, 251, 465},	//465 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {26, 295, 93, 2, Smoke::mf_static, 376, 466},	//466 QGlobalSpace::operator<(const QByteArray&, const char*)
    {26, 300, 1088, 2, Smoke::mf_static, 31, 467},	//467 QGlobalSpace::operator<<(QDebug, const QPen&)
    {26, 300, 1091, 2, Smoke::mf_static, 31, 468},	//468 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {26, 364, 96, 1, Smoke::mf_static, 468, 469},	//469 QGlobalSpace::qCeil(float)
    {26, 273, 289, 2, Smoke::mf_static, 376, 470},	//470 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {26, 330, 1094, 2, Smoke::mf_static, 69, 471},	//471 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {26, 300, 1097, 2, Smoke::mf_static, 31, 472},	//472 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {26, 330, 1100, 2, Smoke::mf_static, 102, 473},	//473 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {26, 330, 1103, 2, Smoke::mf_static, 61, 474},	//474 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {26, 458, 1106, 1, Smoke::mf_static, 479, 475},	//475 QGlobalSpace::qHash(const QBitArray&)
    {26, 300, 1108, 2, Smoke::mf_static, 31, 476},	//476 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {26, 330, 1111, 2, Smoke::mf_static, 74, 477},	//477 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {26, 486, 595, 2, Smoke::mf_static, 467, 478},	//478 QGlobalSpace::qPow(float, float)
    {26, 300, 1114, 2, Smoke::mf_static, 31, 479},	//479 QGlobalSpace::operator<<(QDebug, const QTime&)
    {26, 300, 1117, 2, Smoke::mf_static, 251, 480},	//480 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {26, 300, 1120, 2, Smoke::mf_static, 31, 481},	//481 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {26, 324, 1123, 2, Smoke::mf_static, 27, 482},	//482 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {26, 273, 143, 2, Smoke::mf_static, 376, 483},	//483 QGlobalSpace::operator!=(QChar, QChar)
    {26, 330, 1126, 2, Smoke::mf_static, 112, 484},	//484 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {26, 519, 1129, 2, Smoke::mf_static, 376, 485},	//485 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {26, 557, 98, 1, Smoke::mf_static, 378, 486},	//486 QGlobalSpace::qstrdup(const char*)
    {26, 330, 1132, 2, Smoke::mf_static, 152, 487},	//487 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {26, 330, 1135, 2, Smoke::mf_static, 87, 488},	//488 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {26, 343, 0, 0, Smoke::mf_static, 9, 489},	//489 QGlobalSpace::qAccessibleImageCastHelper()
    {26, 330, 1138, 2, Smoke::mf_static, 107, 490},	//490 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {26, 324, 1141, 2, Smoke::mf_static, 27, 491},	//491 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {26, 324, 1144, 2, Smoke::mf_static, 27, 492},	//492 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {26, 304, 323, 2, Smoke::mf_static, 376, 493},	//493 QGlobalSpace::operator<=(const char*, const QString&)
    {26, 273, 491, 2, Smoke::mf_static, 376, 494},	//494 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {26, 324, 1147, 2, Smoke::mf_static, 27, 495},	//495 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {26, 330, 1150, 2, Smoke::mf_static, 50, 496},	//496 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {26, 300, 1153, 2, Smoke::mf_static, 27, 497},	//497 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {26, 330, 1156, 2, Smoke::mf_static, 96, 498},	//498 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {26, 330, 1159, 2, Smoke::mf_static, 152, 499},	//499 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {26, 376, 0, 0, Smoke::mf_static, 31, 500},	//500 QGlobalSpace::qDebug()
    {26, 480, 1162, 2, Smoke::mf_static, 486, 501},	//501 QGlobalSpace::qMallocAligned(size_t, size_t)
    {26, 330, 1165, 2, Smoke::mf_static, 70, 502},	//502 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {26, 280, 1168, 2, Smoke::mf_static, 432, 503},	//503 QGlobalSpace::operator*(const QSizeF&, float)
    {26, 280, 1171, 2, Smoke::mf_static, 195, 504},	//504 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {26, 273, 1129, 2, Smoke::mf_static, 376, 505},	//505 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {26, 476, 96, 1, Smoke::mf_static, 467, 506},	//506 QGlobalSpace::qLn(float)
    {26, 533, 1174, 6, Smoke::mf_static, 468, 507},	//507 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {26, 456, 315, 1, Smoke::mf_static, 468, 508},	//508 QGlobalSpace::qGreen(unsigned int)
    {26, 304, 36, 2, Smoke::mf_static, 376, 509},	//509 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {26, 300, 1181, 2, Smoke::mf_static, 31, 510},	//510 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {26, 330, 1184, 2, Smoke::mf_static, 152, 511},	//511 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {26, 324, 1085, 2, Smoke::mf_static, 251, 512},	//512 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {26, 284, 1187, 2, Smoke::mf_static, 382, 513},	//513 QGlobalSpace::operator+(char, const QByteArray&)
    {26, 330, 1190, 2, Smoke::mf_static, 152, 514},	//514 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {26, 309, 63, 2, Smoke::mf_static, 376, 515},	//515 QGlobalSpace::operator==(const char*, const QByteArray&)
    {26, 300, 1193, 2, Smoke::mf_static, 27, 516},	//516 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {26, 330, 1196, 2, Smoke::mf_static, 96, 517},	//517 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {26, 289, 54, 2, Smoke::mf_static, 430, 518},	//518 QGlobalSpace::operator-(const QSize&, const QSize&)
    {26, 300, 1199, 2, Smoke::mf_static, 31, 519},	//519 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {26, 284, 323, 2, Smoke::mf_static, 437, 520},	//520 QGlobalSpace::operator+(const char*, const QString&)
    {26, 330, 1202, 2, Smoke::mf_static, 52, 521},	//521 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {26, 330, 1205, 2, Smoke::mf_static, 85, 522},	//522 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {26, 330, 1208, 2, Smoke::mf_static, 152, 523},	//523 QGlobalSpace::operator|(Qt::WindowState, int)
    {26, 324, 1211, 2, Smoke::mf_static, 27, 524},	//524 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {26, 324, 1214, 2, Smoke::mf_static, 27, 525},	//525 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {26, 330, 1217, 2, Smoke::mf_static, 54, 526},	//526 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {26, 273, 648, 2, Smoke::mf_static, 376, 527},	//527 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {26, 330, 1220, 2, Smoke::mf_static, 103, 528},	//528 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {26, 300, 1223, 2, Smoke::mf_static, 31, 529},	//529 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {26, 330, 1226, 2, Smoke::mf_static, 116, 530},	//530 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {26, 324, 1229, 2, Smoke::mf_static, 27, 531},	//531 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {26, 330, 1232, 2, Smoke::mf_static, 111, 532},	//532 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {26, 280, 1235, 2, Smoke::mf_static, 209, 533},	//533 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {26, 309, 4, 2, Smoke::mf_static, 376, 534},	//534 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {26, 300, 1238, 2, Smoke::mf_static, 31, 535},	//535 QGlobalSpace::operator<<(QDebug, const QDate&)
    {26, 448, 26, 2, Smoke::mf_static, 376, 536},	//536 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {26, 280, 1241, 2, Smoke::mf_static, 188, 537},	//537 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {26, 330, 1244, 2, Smoke::mf_static, 52, 538},	//538 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {26, 330, 1247, 2, Smoke::mf_static, 56, 539},	//539 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {26, 595, 1250, 4, Smoke::mf_static, 468, 540},	//540 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {26, 280, 1255, 2, Smoke::mf_static, 417, 541},	//541 QGlobalSpace::operator*(double, const QPoint&)
    {26, 280, 1258, 2, Smoke::mf_static, 201, 542},	//542 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {26, 484, 1261, 3, Smoke::mf_static, 486, 543},	//543 QGlobalSpace::qMemSet(void*, int, size_t)
    {26, 300, 1265, 2, Smoke::mf_static, 27, 544},	//544 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {26, 280, 568, 2, Smoke::mf_static, 459, 545},	//545 QGlobalSpace::operator*(const QVector3D&, float)
    {26, 578, 1268, 2, Smoke::mf_static, 0, 546},	//546 QGlobalSpace::qt_check_pointer(const char*, int)
    {26, 425, 744, 5, Smoke::mf_static, 0, 547},	//547 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {26, 425, 659, 3, Smoke::mf_static, 0, 548},	//548 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {26, 425, 663, 4, Smoke::mf_static, 0, 549},	//549 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {26, 458, 1271, 1, Smoke::mf_static, 479, 550},	//550 QGlobalSpace::qHash(short)
    {26, 330, 1273, 2, Smoke::mf_static, 81, 551},	//551 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {26, 330, 1276, 2, Smoke::mf_static, 73, 552},	//552 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {26, 330, 1279, 2, Smoke::mf_static, 110, 553},	//553 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {26, 330, 1282, 2, Smoke::mf_static, 57, 554},	//554 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {26, 550, 443, 2, Smoke::mf_static, 468, 555},	//555 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {26, 448, 595, 2, Smoke::mf_static, 376, 556},	//556 QGlobalSpace::qFuzzyCompare(float, float)
    {26, 309, 1285, 2, Smoke::mf_static, 376, 557},	//557 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {26, 330, 1288, 2, Smoke::mf_static, 152, 558},	//558 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {26, 330, 1291, 2, Smoke::mf_static, 77, 559},	//559 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {26, 537, 1174, 6, Smoke::mf_static, 468, 560},	//560 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {26, 539, 1294, 3, Smoke::mf_static, 378, 561},	//561 QGlobalSpace::qgcvt(long double, int, char*)
    {26, 546, 1298, 4, Smoke::mf_static, 0, 562},	//562 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {26, 330, 1303, 2, Smoke::mf_static, 105, 563},	//563 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {26, 330, 1306, 2, Smoke::mf_static, 93, 564},	//564 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {26, 330, 1309, 2, Smoke::mf_static, 72, 565},	//565 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {26, 330, 1312, 2, Smoke::mf_static, 152, 566},	//566 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {26, 330, 1315, 2, Smoke::mf_static, 114, 567},	//567 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {26, 330, 1318, 2, Smoke::mf_static, 152, 568},	//568 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {26, 300, 1321, 2, Smoke::mf_static, 27, 569},	//569 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {26, 319, 443, 2, Smoke::mf_static, 376, 570},	//570 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {26, 330, 1324, 2, Smoke::mf_static, 84, 571},	//571 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {26, 324, 1327, 2, Smoke::mf_static, 27, 572},	//572 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {26, 361, 0, 0, Smoke::mf_static, 0, 573},	//573 QGlobalSpace::qBadAlloc()
    {26, 300, 1330, 2, Smoke::mf_static, 31, 574},	//574 QGlobalSpace::operator<<(QDebug, const QLine&)
    {26, 330, 1333, 2, Smoke::mf_static, 120, 575},	//575 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {26, 407, 1336, 10, Smoke::mf_static, 0, 576},	//576 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {26, 407, 259, 6, Smoke::mf_static, 0, 577},	//577 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {26, 407, 266, 7, Smoke::mf_static, 0, 578},	//578 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 407, 852, 8, Smoke::mf_static, 0, 579},	//579 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 407, 1347, 9, Smoke::mf_static, 0, 580},	//580 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {26, 330, 1357, 2, Smoke::mf_static, 152, 581},	//581 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {26, 324, 1360, 2, Smoke::mf_static, 27, 582},	//582 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {26, 300, 1363, 2, Smoke::mf_static, 31, 583},	//583 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {26, 330, 1366, 2, Smoke::mf_static, 152, 584},	//584 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {26, 451, 12, 1, Smoke::mf_static, 376, 585},	//585 QGlobalSpace::qFuzzyIsNull(double)
    {26, 368, 1369, 2, Smoke::mf_static, 17, 586},	//586 QGlobalSpace::qCompress(const QByteArray&, int)
    {26, 368, 156, 1, Smoke::mf_static, 17, 587},	//587 QGlobalSpace::qCompress(const QByteArray&)
    {26, 300, 1372, 2, Smoke::mf_static, 31, 588},	//588 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {26, 330, 1375, 2, Smoke::mf_static, 106, 589},	//589 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {26, 330, 1378, 2, Smoke::mf_static, 152, 590},	//590 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {26, 330, 1381, 2, Smoke::mf_static, 152, 591},	//591 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {26, 330, 1384, 2, Smoke::mf_static, 70, 592},	//592 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {26, 330, 1387, 2, Smoke::mf_static, 152, 593},	//593 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {26, 330, 1390, 2, Smoke::mf_static, 123, 594},	//594 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {26, 330, 1393, 2, Smoke::mf_static, 152, 595},	//595 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {26, 289, 1396, 1, Smoke::mf_static, 457, 596},	//596 QGlobalSpace::operator-(const QVector2D&)
    {26, 293, 1168, 2, Smoke::mf_static, 432, 597},	//597 QGlobalSpace::operator/(const QSizeF&, float)
    {26, 330, 1398, 2, Smoke::mf_static, 47, 598},	//598 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {26, 300, 1401, 2, Smoke::mf_static, 27, 599},	//599 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {26, 300, 1404, 2, Smoke::mf_static, 27, 600},	//600 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {26, 389, 1347, 9, Smoke::mf_static, 0, 601},	//601 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {26, 389, 259, 6, Smoke::mf_static, 0, 602},	//602 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {26, 389, 266, 7, Smoke::mf_static, 0, 603},	//603 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 389, 852, 8, Smoke::mf_static, 0, 604},	//604 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 330, 1407, 2, Smoke::mf_static, 51, 605},	//605 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {26, 300, 1410, 2, Smoke::mf_static, 27, 606},	//606 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {26, 280, 1413, 2, Smoke::mf_static, 160, 607},	//607 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {26, 300, 1416, 2, Smoke::mf_static, 27, 608},	//608 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {26, 300, 1419, 2, Smoke::mf_static, 31, 609},	//609 QGlobalSpace::operator<<(QDebug, const QRect&)
    {26, 300, 1422, 2, Smoke::mf_static, 31, 610},	//610 QGlobalSpace::operator<<(QDebug, const QFont&)
    {26, 330, 1425, 2, Smoke::mf_static, 57, 611},	//611 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {26, 330, 1428, 2, Smoke::mf_static, 53, 612},	//612 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {26, 330, 1431, 2, Smoke::mf_static, 152, 613},	//613 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {26, 273, 434, 2, Smoke::mf_static, 376, 614},	//614 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {26, 330, 1434, 2, Smoke::mf_static, 152, 615},	//615 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {26, 309, 443, 2, Smoke::mf_static, 376, 616},	//616 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {26, 324, 1437, 2, Smoke::mf_static, 27, 617},	//617 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {26, 330, 1440, 2, Smoke::mf_static, 80, 618},	//618 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {26, 330, 440, 2, Smoke::mf_static, 13, 619},	//619 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {26, 300, 1443, 2, Smoke::mf_static, 27, 620},	//620 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {26, 448, 23, 2, Smoke::mf_static, 376, 621},	//621 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {26, 418, 250, 8, Smoke::mf_static, 0, 622},	//622 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {26, 418, 259, 6, Smoke::mf_static, 0, 623},	//623 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {26, 418, 266, 7, Smoke::mf_static, 0, 624},	//624 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 300, 1446, 2, Smoke::mf_static, 27, 625},	//625 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {26, 330, 1449, 2, Smoke::mf_static, 64, 626},	//626 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {26, 293, 1452, 2, Smoke::mf_static, 419, 627},	//627 QGlobalSpace::operator/(const QPointF&, float)
    {26, 309, 1455, 2, Smoke::mf_static, 376, 628},	//628 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {26, 330, 1458, 2, Smoke::mf_static, 65, 629},	//629 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {26, 330, 1461, 2, Smoke::mf_static, 89, 630},	//630 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {26, 330, 1464, 2, Smoke::mf_static, 152, 631},	//631 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {26, 324, 1467, 2, Smoke::mf_static, 27, 632},	//632 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {26, 293, 826, 2, Smoke::mf_static, 461, 633},	//633 QGlobalSpace::operator/(const QVector4D&, float)
    {26, 300, 1470, 2, Smoke::mf_static, 27, 634},	//634 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {26, 571, 1268, 2, Smoke::mf_static, 220, 635},	//635 QGlobalSpace::qtTrId(const char*, int)
    {26, 571, 98, 1, Smoke::mf_static, 220, 636},	//636 QGlobalSpace::qtTrId(const char*)
    {26, 330, 1473, 2, Smoke::mf_static, 152, 637},	//637 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {26, 330, 1476, 2, Smoke::mf_static, 99, 638},	//638 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {26, 289, 1479, 1, Smoke::mf_static, 459, 639},	//639 QGlobalSpace::operator-(const QVector3D&)
    {26, 300, 1481, 2, Smoke::mf_static, 31, 640},	//640 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {26, 304, 143, 2, Smoke::mf_static, 376, 641},	//641 QGlobalSpace::operator<=(QChar, QChar)
    {26, 436, 96, 1, Smoke::mf_static, 467, 642},	//642 QGlobalSpace::qFastCos(float)
    {26, 330, 1484, 2, Smoke::mf_static, 123, 643},	//643 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {26, 468, 315, 1, Smoke::mf_static, 376, 644},	//644 QGlobalSpace::qIsGray(unsigned int)
    {26, 280, 817, 2, Smoke::mf_static, 457, 645},	//645 QGlobalSpace::operator*(const QVector2D&, float)
    {26, 330, 1487, 2, Smoke::mf_static, 68, 646},	//646 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {26, 273, 1285, 2, Smoke::mf_static, 376, 647},	//647 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {26, 330, 1490, 2, Smoke::mf_static, 115, 648},	//648 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {26, 324, 1493, 2, Smoke::mf_static, 27, 649},	//649 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {26, 324, 1496, 2, Smoke::mf_static, 27, 650},	//650 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {26, 382, 1499, 5, Smoke::mf_static, 0, 651},	//651 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {26, 382, 1505, 3, Smoke::mf_static, 0, 652},	//652 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {26, 382, 1509, 4, Smoke::mf_static, 0, 653},	//653 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {26, 324, 1514, 2, Smoke::mf_static, 27, 654},	//654 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {26, 330, 1517, 2, Smoke::mf_static, 69, 655},	//655 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {26, 330, 1520, 2, Smoke::mf_static, 152, 656},	//656 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {26, 280, 1523, 2, Smoke::mf_static, 417, 657},	//657 QGlobalSpace::operator*(const QPoint&, int)
    {26, 324, 1526, 2, Smoke::mf_static, 27, 658},	//658 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {26, 330, 1529, 2, Smoke::mf_static, 152, 659},	//659 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {26, 280, 1532, 2, Smoke::mf_static, 432, 660},	//660 QGlobalSpace::operator*(float, const QSizeF&)
    {26, 593, 1535, 3, Smoke::mf_static, 376, 661},	//661 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {26, 300, 1539, 2, Smoke::mf_static, 31, 662},	//662 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {26, 330, 1542, 2, Smoke::mf_static, 152, 663},	//663 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {26, 280, 1545, 2, Smoke::mf_static, 195, 664},	//664 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {26, 280, 1548, 2, Smoke::mf_static, 195, 665},	//665 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {26, 474, 96, 1, Smoke::mf_static, 376, 666},	//666 QGlobalSpace::qIsNull(float)
    {26, 330, 1551, 2, Smoke::mf_static, 49, 667},	//667 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {26, 280, 1452, 2, Smoke::mf_static, 419, 668},	//668 QGlobalSpace::operator*(const QPointF&, float)
    {26, 293, 7, 2, Smoke::mf_static, 257, 669},	//669 QGlobalSpace::operator/(const QTransform&, float)
    {26, 591, 1554, 5, Smoke::mf_static, 0, 670},	//670 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {26, 309, 1560, 2, Smoke::mf_static, 376, 671},	//671 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {26, 324, 1563, 2, Smoke::mf_static, 27, 672},	//672 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {26, 330, 1566, 2, Smoke::mf_static, 152, 673},	//673 QGlobalSpace::operator|(Qt::Orientation, int)
    {26, 330, 1569, 2, Smoke::mf_static, 97, 674},	//674 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {26, 448, 1572, 2, Smoke::mf_static, 376, 675},	//675 QGlobalSpace::qFuzzyCompare(double, double)
    {26, 280, 1575, 2, Smoke::mf_static, 269, 676},	//676 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {26, 273, 36, 2, Smoke::mf_static, 376, 677},	//677 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {26, 300, 1578, 2, Smoke::mf_static, 27, 678},	//678 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {26, 300, 1581, 2, Smoke::mf_static, 31, 679},	//679 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {26, 389, 1584, 7, Smoke::mf_static, 0, 680},	//680 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {26, 389, 1592, 4, Smoke::mf_static, 0, 681},	//681 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {26, 389, 1597, 5, Smoke::mf_static, 0, 682},	//682 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {26, 389, 1603, 6, Smoke::mf_static, 0, 683},	//683 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {26, 280, 1610, 2, Smoke::mf_static, 417, 684},	//684 QGlobalSpace::operator*(const QPoint&, double)
    {26, 330, 1613, 2, Smoke::mf_static, 112, 685},	//685 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {26, 330, 1616, 2, Smoke::mf_static, 73, 686},	//686 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {26, 507, 0, 0, Smoke::mf_static, 466, 687},	//687 QGlobalSpace::qSNaN()
    {26, 280, 1619, 2, Smoke::mf_static, 197, 688},	//688 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {26, 330, 1622, 2, Smoke::mf_static, 152, 689},	//689 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {26, 309, 93, 2, Smoke::mf_static, 376, 690},	//690 QGlobalSpace::operator==(const QByteArray&, const char*)
    {26, 330, 1625, 2, Smoke::mf_static, 84, 691},	//691 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {26, 300, 1628, 2, Smoke::mf_static, 27, 692},	//692 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {26, 293, 753, 2, Smoke::mf_static, 423, 693},	//693 QGlobalSpace::operator/(const QQuaternion&, float)
    {26, 330, 1631, 2, Smoke::mf_static, 67, 694},	//694 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {26, 309, 1129, 2, Smoke::mf_static, 376, 695},	//695 QGlobalSpace::operator==(const QStringRef&, const char*)
    {26, 273, 23, 2, Smoke::mf_static, 376, 696},	//696 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {26, 309, 26, 2, Smoke::mf_static, 376, 697},	//697 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {26, 280, 1634, 2, Smoke::mf_static, 199, 698},	//698 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {26, 330, 1637, 2, Smoke::mf_static, 152, 699},	//699 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {26, 280, 1640, 2, Smoke::mf_static, 417, 700},	//700 QGlobalSpace::operator*(const QPoint&, float)
    {26, 330, 1643, 2, Smoke::mf_static, 152, 701},	//701 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {26, 295, 4, 2, Smoke::mf_static, 376, 702},	//702 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {26, 273, 1646, 2, Smoke::mf_static, 376, 703},	//703 QGlobalSpace::operator!=(QBool, bool)
    {26, 330, 1649, 2, Smoke::mf_static, 55, 704},	//704 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {26, 273, 54, 2, Smoke::mf_static, 376, 705},	//705 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {26, 324, 1652, 2, Smoke::mf_static, 27, 706},	//706 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {26, 300, 1655, 2, Smoke::mf_static, 31, 707},	//707 QGlobalSpace::operator<<(QDebug, const QSize&)
    {26, 273, 356, 2, Smoke::mf_static, 376, 708},	//708 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {26, 330, 1658, 2, Smoke::mf_static, 152, 709},	//709 QGlobalSpace::operator|(QStyle::SubControl, int)
    {26, 330, 1661, 2, Smoke::mf_static, 104, 710},	//710 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {26, 280, 1664, 2, Smoke::mf_static, 162, 711},	//711 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {26, 280, 1667, 2, Smoke::mf_static, 171, 712},	//712 QGlobalSpace::operator*(float, const QMatrix4x4&)
    {26, 289, 200, 2, Smoke::mf_static, 423, 713},	//713 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {26, 559, 188, 2, Smoke::mf_static, 468, 714},	//714 QGlobalSpace::qstricmp(const char*, const char*)
    {26, 330, 1670, 2, Smoke::mf_static, 152, 715},	//715 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {26, 330, 1673, 2, Smoke::mf_static, 118, 716},	//716 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {26, 273, 105, 2, Smoke::mf_static, 376, 717},	//717 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {26, 461, 0, 0, Smoke::mf_static, 466, 718},	//718 QGlobalSpace::qInf()
    {26, 300, 1676, 2, Smoke::mf_static, 27, 719},	//719 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {26, 330, 1679, 2, Smoke::mf_static, 99, 720},	//720 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {26, 280, 200, 2, Smoke::mf_static, 423, 721},	//721 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {26, 330, 1682, 2, Smoke::mf_static, 152, 722},	//722 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {26, 330, 1685, 2, Smoke::mf_static, 115, 723},	//723 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {26, 280, 1688, 2, Smoke::mf_static, 197, 724},	//724 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {26, 300, 1691, 2, Smoke::mf_static, 31, 725},	//725 QGlobalSpace::operator<<(QDebug, const QColor&)
    {26, 300, 1694, 2, Smoke::mf_static, 31, 726},	//726 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {26, 300, 1697, 2, Smoke::mf_static, 27, 727},	//727 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {26, 330, 1700, 2, Smoke::mf_static, 77, 728},	//728 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {26, 330, 1703, 2, Smoke::mf_static, 152, 729},	//729 QGlobalSpace::operator|(Qt::WindowType, int)
    {26, 550, 93, 2, Smoke::mf_static, 468, 730},	//730 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {26, 330, 1706, 2, Smoke::mf_static, 152, 731},	//731 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {26, 497, 1032, 1, Smoke::mf_static, 0, 732},	//732 QGlobalSpace::qRemovePostRoutine(void(*)())
    {26, 284, 200, 2, Smoke::mf_static, 423, 733},	//733 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {26, 324, 1709, 2, Smoke::mf_static, 27, 734},	//734 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {26, 434, 96, 1, Smoke::mf_static, 467, 735},	//735 QGlobalSpace::qFabs(float)
    {26, 330, 1712, 2, Smoke::mf_static, 91, 736},	//736 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {26, 330, 1715, 2, Smoke::mf_static, 71, 737},	//737 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {26, 324, 1718, 2, Smoke::mf_static, 27, 738},	//738 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {26, 330, 1721, 2, Smoke::mf_static, 152, 739},	//739 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {26, 300, 1724, 2, Smoke::mf_static, 27, 740},	//740 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {26, 330, 1727, 2, Smoke::mf_static, 117, 741},	//741 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {26, 293, 835, 2, Smoke::mf_static, 430, 742},	//742 QGlobalSpace::operator/(const QSize&, float)
    {26, 330, 1730, 2, Smoke::mf_static, 109, 743},	//743 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {26, 528, 0, 0, Smoke::mf_static, 31, 744},	//744 QGlobalSpace::qWarning()
    {26, 561, 98, 1, Smoke::mf_static, 479, 745},	//745 QGlobalSpace::qstrlen(const char*)
    {26, 309, 1646, 2, Smoke::mf_static, 376, 746},	//746 QGlobalSpace::operator==(QBool, bool)
    {26, 324, 1733, 2, Smoke::mf_static, 27, 747},	//747 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {26, 324, 1736, 2, Smoke::mf_static, 27, 748},	//748 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {26, 458, 1739, 1, Smoke::mf_static, 479, 749},	//749 QGlobalSpace::qHash(unsigned long)
    {26, 300, 1741, 2, Smoke::mf_static, 27, 750},	//750 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {26, 330, 1744, 2, Smoke::mf_static, 152, 751},	//751 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {26, 300, 1747, 2, Smoke::mf_static, 27, 752},	//752 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {26, 330, 1750, 2, Smoke::mf_static, 152, 753},	//753 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    {26, 300, 1753, 2, Smoke::mf_static, 27, 754},	//754 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {26, 330, 1756, 2, Smoke::mf_static, 78, 755},	//755 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {26, 309, 323, 2, Smoke::mf_static, 376, 756},	//756 QGlobalSpace::operator==(const char*, const QString&)
    {26, 330, 1759, 2, Smoke::mf_static, 152, 757},	//757 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {26, 377, 1762, 8, Smoke::mf_static, 0, 758},	//758 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {26, 377, 1771, 6, Smoke::mf_static, 0, 759},	//759 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {26, 377, 1778, 7, Smoke::mf_static, 0, 760},	//760 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {26, 280, 1786, 2, Smoke::mf_static, 461, 761},	//761 QGlobalSpace::operator*(float, const QVector4D&)
    {26, 330, 1789, 2, Smoke::mf_static, 88, 762},	//762 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {26, 284, 1792, 2, Smoke::mf_static, 437, 763},	//763 QGlobalSpace::operator+(const QString&, const QString&)
    {26, 273, 485, 2, Smoke::mf_static, 376, 764},	//764 QGlobalSpace::operator!=(QBool, QBool)
    {26, 330, 1795, 2, Smoke::mf_static, 47, 765},	//765 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {26, 582, 1798, 2, Smoke::mf_static, 0, 766},	//766 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {26, 300, 1801, 2, Smoke::mf_static, 31, 767},	//767 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {26, 319, 323, 2, Smoke::mf_static, 376, 768},	//768 QGlobalSpace::operator>=(const char*, const QString&)
    {26, 458, 1804, 1, Smoke::mf_static, 479, 769},	//769 QGlobalSpace::qHash(const QStringRef&)
    {26, 474, 12, 1, Smoke::mf_static, 376, 770},	//770 QGlobalSpace::qIsNull(double)
    {26, 330, 1806, 2, Smoke::mf_static, 152, 771},	//771 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {26, 330, 1809, 2, Smoke::mf_static, 50, 772},	//772 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {26, 319, 36, 2, Smoke::mf_static, 376, 773},	//773 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {26, 314, 93, 2, Smoke::mf_static, 376, 774},	//774 QGlobalSpace::operator>(const QByteArray&, const char*)
    {26, 458, 1812, 1, Smoke::mf_static, 479, 775},	//775 QGlobalSpace::qHash(unsigned char)
    {26, 324, 1814, 2, Smoke::mf_static, 27, 776},	//776 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {26, 330, 1817, 2, Smoke::mf_static, 64, 777},	//777 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {26, 280, 1820, 2, Smoke::mf_static, 199, 778},	//778 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {26, 300, 1823, 2, Smoke::mf_static, 31, 779},	//779 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {26, 300, 1826, 2, Smoke::mf_static, 31, 780},	//780 QGlobalSpace::operator<<(QDebug, const QObject*)
    {26, 330, 1829, 2, Smoke::mf_static, 152, 781},	//781 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {26, 273, 443, 2, Smoke::mf_static, 376, 782},	//782 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {26, 300, 1832, 2, Smoke::mf_static, 27, 783},	//783 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {26, 293, 1640, 2, Smoke::mf_static, 417, 784},	//784 QGlobalSpace::operator/(const QPoint&, float)
    {26, 324, 1835, 2, Smoke::mf_static, 27, 785},	//785 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {26, 300, 1838, 2, Smoke::mf_static, 27, 786},	//786 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {26, 280, 7, 2, Smoke::mf_static, 257, 787},	//787 QGlobalSpace::operator*(const QTransform&, float)
    {26, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 788},	//788 QGlobalSpace::SP_CustomToolBarAdd (enum)
    {26, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 789},	//789 QGlobalSpace::SP_CustomToolBarAddDetail (enum)
    {26, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 790},	//790 QGlobalSpace::SP_CustomToolBarAgain (enum)
    {26, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 791},	//791 QGlobalSpace::SP_CustomToolBarAgenda (enum)
    {26, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 792},	//792 QGlobalSpace::SP_CustomToolBarAudioOff (enum)
    {26, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 793},	//793 QGlobalSpace::SP_CustomToolBarAudioOn (enum)
    {26, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 794},	//794 QGlobalSpace::SP_CustomToolBarBack (enum)
    {26, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 795},	//795 QGlobalSpace::SP_CustomToolBarBluetoothOff (enum)
    {26, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 796},	//796 QGlobalSpace::SP_CustomToolBarBluetoothOn (enum)
    {26, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 797},	//797 QGlobalSpace::SP_CustomToolBarCancel (enum)
    {26, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 798},	//798 QGlobalSpace::SP_CustomToolBarDelete (enum)
    {26, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 799},	//799 QGlobalSpace::SP_CustomToolBarDone (enum)
    {26, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 800},	//800 QGlobalSpace::SP_CustomToolBarEdit (enum)
    {26, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 801},	//801 QGlobalSpace::SP_CustomToolBarEditDisabled (enum)
    {26, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 802},	//802 QGlobalSpace::SP_CustomToolBarEmailSend (enum)
    {26, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 803},	//803 QGlobalSpace::SP_CustomToolBarEmergencyCall (enum)
    {26, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 804},	//804 QGlobalSpace::SP_CustomToolBarFavouriteAdd (enum)
    {26, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 805},	//805 QGlobalSpace::SP_CustomToolBarFavouriteRemove (enum)
    {26, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 806},	//806 QGlobalSpace::SP_CustomToolBarFavourites (enum)
    {26, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 807},	//807 QGlobalSpace::SP_CustomToolBarGo (enum)
    {26, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 808},	//808 QGlobalSpace::SP_CustomToolBarHome (enum)
    {26, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 809},	//809 QGlobalSpace::SP_CustomToolBarImageTools (enum)
    {26, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 810},	//810 QGlobalSpace::SP_CustomToolBarList (enum)
    {26, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 811},	//811 QGlobalSpace::SP_CustomToolBarLock (enum)
    {26, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 812},	//812 QGlobalSpace::SP_CustomToolBarLogs (enum)
    {26, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 813},	//813 QGlobalSpace::SP_CustomToolBarMenu (enum)
    {26, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 814},	//814 QGlobalSpace::SP_CustomToolBarNewContact (enum)
    {26, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 815},	//815 QGlobalSpace::SP_CustomToolBarNewGroup (enum)
    {26, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 816},	//816 QGlobalSpace::SP_CustomToolBarNextFrame (enum)
    {26, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 817},	//817 QGlobalSpace::SP_CustomToolBarNowPlay (enum)
    {26, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 818},	//818 QGlobalSpace::SP_CustomToolBarOptions (enum)
    {26, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 819},	//819 QGlobalSpace::SP_CustomToolBarOther (enum)
    {26, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 820},	//820 QGlobalSpace::SP_CustomToolBarOvi (enum)
    {26, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 821},	//821 QGlobalSpace::SP_CustomToolBarPreviousFrame (enum)
    {26, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 822},	//822 QGlobalSpace::SP_CustomToolBarRead (enum)
    {26, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 823},	//823 QGlobalSpace::SP_CustomToolBarRedoDisabled (enum)
    {26, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 824},	//824 QGlobalSpace::SP_CustomToolBarRedo (enum)
    {26, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 825},	//825 QGlobalSpace::SP_CustomToolBarRefresh (enum)
    {26, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 826},	//826 QGlobalSpace::SP_CustomToolBarRemoveDetail (enum)
    {26, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 827},	//827 QGlobalSpace::SP_CustomToolBarRemoveDisabled (enum)
    {26, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 828},	//828 QGlobalSpace::SP_CustomToolBarRepeat (enum)
    {26, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 829},	//829 QGlobalSpace::SP_CustomToolBarRepeatOff (enum)
    {26, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 830},	//830 QGlobalSpace::SP_CustomToolBarRepeatOne (enum)
    {26, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 831},	//831 QGlobalSpace::SP_CustomToolBarSearch (enum)
    {26, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 832},	//832 QGlobalSpace::SP_CustomToolBarSearchDisabled (enum)
    {26, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 833},	//833 QGlobalSpace::SP_CustomToolBarSelectContent (enum)
    {26, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 834},	//834 QGlobalSpace::SP_CustomToolBarSelfTimer (enum)
    {26, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 835},	//835 QGlobalSpace::SP_CustomToolBarSend (enum)
    {26, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 836},	//836 QGlobalSpace::SP_CustomToolBarSendDimmed (enum)
    {26, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 837},	//837 QGlobalSpace::SP_CustomToolBarShare (enum)
    {26, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 838},	//838 QGlobalSpace::SP_CustomToolBarShift (enum)
    {26, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 839},	//839 QGlobalSpace::SP_CustomToolBarShuffle (enum)
    {26, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 840},	//840 QGlobalSpace::SP_CustomToolBarShuffleOff (enum)
    {26, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 841},	//841 QGlobalSpace::SP_CustomToolBarSignalOff (enum)
    {26, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 842},	//842 QGlobalSpace::SP_CustomToolBarSignalOn (enum)
    {26, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 843},	//843 QGlobalSpace::SP_CustomToolBarSync (enum)
    {26, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 844},	//844 QGlobalSpace::SP_CustomToolBarTools (enum)
    {26, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 845},	//845 QGlobalSpace::SP_CustomToolBarTrim (enum)
    {26, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 846},	//846 QGlobalSpace::SP_CustomToolBarUnlock (enum)
    {26, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 847},	//847 QGlobalSpace::SP_CustomToolBarUnmark (enum)
    {26, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 848},	//848 QGlobalSpace::SP_CustomToolBarView (enum)
    {26, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 849},	//849 QGlobalSpace::SP_CustomToolBarWlanOff (enum)
    {26, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 850},	//850 QGlobalSpace::SP_CustomToolBarWlanOn (enum)
    {26, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 851},	//851 QGlobalSpace::SP_CustomCameraCaptureButton (enum)
    {26, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 852},	//852 QGlobalSpace::SP_CustomCameraCaptureButtonPressed (enum)
    {26, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 853},	//853 QGlobalSpace::SP_CustomCameraPauseButton (enum)
    {26, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 854},	//854 QGlobalSpace::SP_CustomCameraPauseButtonPressed (enum)
    {26, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 855},	//855 QGlobalSpace::SP_CustomCameraPlayButton (enum)
    {26, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 856},	//856 QGlobalSpace::SP_CustomCameraPlayButtonPressed (enum)
    {26, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 857},	//857 QGlobalSpace::SP_CustomCameraRecButton (enum)
    {26, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 858},	//858 QGlobalSpace::SP_CustomCameraRecButtonPressed (enum)
    {26, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 859},	//859 QGlobalSpace::SP_CustomCameraStopButton (enum)
    {26, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 860},	//860 QGlobalSpace::SP_CustomCameraStopButtonPressed (enum)
    {26, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 861},	//861 QGlobalSpace::SP_CustomTabAll (enum)
    {26, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 862},	//862 QGlobalSpace::SP_CustomTabArtist (enum)
    {26, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 863},	//863 QGlobalSpace::SP_CustomTabFavourite (enum)
    {26, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 864},	//864 QGlobalSpace::SP_CustomTabGenre (enum)
    {26, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 865},	//865 QGlobalSpace::SP_CustomTabLanguage (enum)
    {26, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 866},	//866 QGlobalSpace::SP_CustomTabMusicAlbum (enum)
    {26, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 867},	//867 QGlobalSpace::SP_CustomTabPhotosAlbum (enum)
    {26, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 868},	//868 QGlobalSpace::SP_CustomTabPhotosAll (enum)
    {26, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 869},	//869 QGlobalSpace::SP_CustomTabPlaylist (enum)
    {26, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 870},	//870 QGlobalSpace::SP_CustomTabServices (enum)
    {26, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 871},	//871 QGlobalSpace::SP_CustomTabSongs (enum)
    {26, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 872},	//872 QGlobalSpace::SP_CustomTabVideos (enum)
    {26, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 363, 873},	//873 QGlobalSpace::LicensedOpenGL (enum)
    {26, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 874},	//874 QGlobalSpace::LicensedSvg (enum)
    {26, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 364, 875},	//875 QGlobalSpace::LicensedOpenVG (enum)
    {26, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 367, 876},	//876 QGlobalSpace::LicensedScript (enum)
    {26, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 877},	//877 QGlobalSpace::LicensedQt3SupportLight (enum)
    {26, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 878},	//878 QGlobalSpace::QtDebugMsg (enum)
    {26, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 879},	//879 QGlobalSpace::QtWarningMsg (enum)
    {26, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 880},	//880 QGlobalSpace::QtCriticalMsg (enum)
    {26, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 881},	//881 QGlobalSpace::QtFatalMsg (enum)
    {26, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 882},	//882 QGlobalSpace::QtSystemMsg (enum)
    {26, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 359, 883},	//883 QGlobalSpace::LicensedGui (enum)
    {26, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 373, 884},	//884 QGlobalSpace::LicensedXmlPatterns (enum)
    {26, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 369, 885},	//885 QGlobalSpace::LicensedSql (enum)
    {26, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 355, 886},	//886 QGlobalSpace::LicensedActiveQt (enum)
    {26, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 366, 887},	//887 QGlobalSpace::LicensedQt3Support (enum)
    {26, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 357, 888},	//888 QGlobalSpace::LicensedDBus (enum)
    {26, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 375, 889},	//889 QGlobalSpace::__codecvt_ok (enum)
    {26, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 375, 890},	//890 QGlobalSpace::__codecvt_partial (enum)
    {26, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 375, 891},	//891 QGlobalSpace::__codecvt_error (enum)
    {26, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 375, 892},	//892 QGlobalSpace::__codecvt_noconv (enum)
    {26, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 893},	//893 QGlobalSpace::LicensedCore (enum)
    {26, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 362, 894},	//894 QGlobalSpace::LicensedNetwork (enum)
    {26, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 361, 895},	//895 QGlobalSpace::LicensedMultimedia (enum)
    {26, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 371, 896},	//896 QGlobalSpace::LicensedTest (enum)
    {26, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 368, 897},	//897 QGlobalSpace::LicensedScriptTools (enum)
    {26, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 360, 898},	//898 QGlobalSpace::LicensedHelp (enum)
    {26, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 372, 899},	//899 QGlobalSpace::LicensedXml (enum)
    {26, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 358, 900},	//900 QGlobalSpace::LicensedDeclarative (enum)
    {27, 204, 345, 1, Smoke::mf_virtual, 0, 0},	//901 QGraphicsItem::advance(int)
    {27, 636, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 188, 0},	//902 QGraphicsItem::shape() const
    {27, 216, 927, 1, Smoke::mf_const|Smoke::mf_virtual, 376, 0},	//903 QGraphicsItem::contains(const QPointF&) const
    {27, 213, 1841, 2, Smoke::mf_const|Smoke::mf_virtual, 376, 0},	//904 QGraphicsItem::collidesWithItem(const QGraphicsItem*, Qt::ItemSelectionMode) const
    {27, 214, 1844, 2, Smoke::mf_const|Smoke::mf_virtual, 376, 0},	//905 QGraphicsItem::collidesWithPath(const QPainterPath&, Qt::ItemSelectionMode) const
    {27, 250, 1847, 1, Smoke::mf_const|Smoke::mf_virtual, 376, 0},	//906 QGraphicsItem::isObscuredBy(const QGraphicsItem*) const
    {27, 272, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 188, 0},	//907 QGraphicsItem::opaqueArea() const
    {27, 607, 1849, 2, Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//908 QGraphicsItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {27, 606, 1852, 1, Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//909 QGraphicsItem::sceneEvent(QEvent*)
    {27, 217, 1854, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//910 QGraphicsItem::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {27, 224, 1856, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//911 QGraphicsItem::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {27, 225, 1856, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//912 QGraphicsItem::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {27, 226, 1856, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//913 QGraphicsItem::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {27, 227, 1856, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//914 QGraphicsItem::dropEvent(QGraphicsSceneDragDropEvent*)
    {27, 237, 1858, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//915 QGraphicsItem::focusInEvent(QFocusEvent*)
    {27, 239, 1858, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//916 QGraphicsItem::focusOutEvent(QFocusEvent*)
    {27, 244, 1860, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//917 QGraphicsItem::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {27, 246, 1860, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//918 QGraphicsItem::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {27, 245, 1860, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//919 QGraphicsItem::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {27, 253, 1862, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//920 QGraphicsItem::keyPressEvent(QKeyEvent*)
    {27, 254, 1862, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//921 QGraphicsItem::keyReleaseEvent(QKeyEvent*)
    {27, 269, 1864, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//922 QGraphicsItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {27, 268, 1864, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//923 QGraphicsItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {27, 270, 1864, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//924 QGraphicsItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {27, 267, 1864, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//925 QGraphicsItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {27, 657, 1866, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//926 QGraphicsItem::wheelEvent(QGraphicsSceneWheelEvent*)
    {27, 247, 1868, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//927 QGraphicsItem::inputMethodEvent(QInputMethodEvent*)
    {27, 248, 1870, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 264, 0},	//928 QGraphicsItem::inputMethodQuery(Qt::InputMethodQuery) const
    {27, 252, 1872, 2, Smoke::mf_protected|Smoke::mf_virtual, 264, 0},	//929 QGraphicsItem::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {27, 642, 1875, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//930 QGraphicsItem::supportsExtension(QGraphicsItem::Extension) const
    {27, 616, 1877, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//931 QGraphicsItem::setExtension(QGraphicsItem::Extension, const QVariant&)
    {27, 235, 1880, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 264, 0},	//932 QGraphicsItem::extension(const QVariant&) const
    {27, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 33},	//933 QGraphicsItem::ItemIsMovable (enum)
    {27, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 34},	//934 QGraphicsItem::ItemIsSelectable (enum)
    {27, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 35},	//935 QGraphicsItem::ItemIsFocusable (enum)
    {27, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 36},	//936 QGraphicsItem::ItemClipsToShape (enum)
    {27, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 37},	//937 QGraphicsItem::ItemClipsChildrenToShape (enum)
    {27, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 38},	//938 QGraphicsItem::ItemIgnoresTransformations (enum)
    {27, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 39},	//939 QGraphicsItem::ItemIgnoresParentOpacity (enum)
    {27, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 40},	//940 QGraphicsItem::ItemDoesntPropagateOpacityToChildren (enum)
    {27, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 41},	//941 QGraphicsItem::ItemStacksBehindParent (enum)
    {27, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 42},	//942 QGraphicsItem::ItemUsesExtendedStyleOption (enum)
    {27, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 43},	//943 QGraphicsItem::ItemHasNoContents (enum)
    {27, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 44},	//944 QGraphicsItem::ItemSendsGeometryChanges (enum)
    {27, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 45},	//945 QGraphicsItem::ItemAcceptsInputMethod (enum)
    {27, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 46},	//946 QGraphicsItem::ItemNegativeZStacksBehindParent (enum)
    {27, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 47},	//947 QGraphicsItem::ItemIsPanel (enum)
    {27, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 48},	//948 QGraphicsItem::ItemIsFocusScope (enum)
    {27, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 49},	//949 QGraphicsItem::ItemSendsScenePositionChanges (enum)
    {27, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 50},	//950 QGraphicsItem::ItemStopsClickFocusPropagation (enum)
    {27, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 51},	//951 QGraphicsItem::ItemStopsFocusHandling (enum)
    {27, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 52},	//952 QGraphicsItem::ItemPositionChange (enum)
    {27, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 53},	//953 QGraphicsItem::ItemMatrixChange (enum)
    {27, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 54},	//954 QGraphicsItem::ItemVisibleChange (enum)
    {27, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 55},	//955 QGraphicsItem::ItemEnabledChange (enum)
    {27, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 56},	//956 QGraphicsItem::ItemSelectedChange (enum)
    {27, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 57},	//957 QGraphicsItem::ItemParentChange (enum)
    {27, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 58},	//958 QGraphicsItem::ItemChildAddedChange (enum)
    {27, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 59},	//959 QGraphicsItem::ItemChildRemovedChange (enum)
    {27, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 60},	//960 QGraphicsItem::ItemTransformChange (enum)
    {27, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 61},	//961 QGraphicsItem::ItemPositionHasChanged (enum)
    {27, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 62},	//962 QGraphicsItem::ItemTransformHasChanged (enum)
    {27, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 63},	//963 QGraphicsItem::ItemSceneChange (enum)
    {27, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 64},	//964 QGraphicsItem::ItemVisibleHasChanged (enum)
    {27, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 65},	//965 QGraphicsItem::ItemEnabledHasChanged (enum)
    {27, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 66},	//966 QGraphicsItem::ItemSelectedHasChanged (enum)
    {27, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 67},	//967 QGraphicsItem::ItemParentHasChanged (enum)
    {27, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 68},	//968 QGraphicsItem::ItemSceneHasChanged (enum)
    {27, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 69},	//969 QGraphicsItem::ItemCursorChange (enum)
    {27, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 70},	//970 QGraphicsItem::ItemCursorHasChanged (enum)
    {27, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 71},	//971 QGraphicsItem::ItemToolTipChange (enum)
    {27, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 72},	//972 QGraphicsItem::ItemToolTipHasChanged (enum)
    {27, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 73},	//973 QGraphicsItem::ItemFlagsChange (enum)
    {27, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 74},	//974 QGraphicsItem::ItemFlagsHaveChanged (enum)
    {27, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 75},	//975 QGraphicsItem::ItemZValueChange (enum)
    {27, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 76},	//976 QGraphicsItem::ItemZValueHasChanged (enum)
    {27, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 77},	//977 QGraphicsItem::ItemOpacityChange (enum)
    {27, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 78},	//978 QGraphicsItem::ItemOpacityHasChanged (enum)
    {27, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 79},	//979 QGraphicsItem::ItemScenePositionHasChanged (enum)
    {27, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 80},	//980 QGraphicsItem::ItemRotationChange (enum)
    {27, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 81},	//981 QGraphicsItem::ItemRotationHasChanged (enum)
    {27, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 82},	//982 QGraphicsItem::ItemScaleChange (enum)
    {27, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 83},	//983 QGraphicsItem::ItemScaleHasChanged (enum)
    {27, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 84},	//984 QGraphicsItem::ItemTransformOriginPointChange (enum)
    {27, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 85},	//985 QGraphicsItem::ItemTransformOriginPointHasChanged (enum)
    {27, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 86},	//986 QGraphicsItem::Type (enum)
    {27, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 87},	//987 QGraphicsItem::UserType (enum)
    {27, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 88},	//988 QGraphicsItem::UserExtension (enum)
    {34, 263, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 408, 1},	//989 QGraphicsSvgItem::metaObject() const
    {34, 586, 98, 1, Smoke::mf_virtual, 486, 2},	//990 QGraphicsSvgItem::qt_metacast(const char*)
    {34, 646, 188, 2, Smoke::mf_static, 220, 3},	//991 QGraphicsSvgItem::tr(const char*, const char*)
    {34, 650, 188, 2, Smoke::mf_static, 220, 4},	//992 QGraphicsSvgItem::trUtf8(const char*, const char*)
    {34, 646, 542, 3, Smoke::mf_static, 220, 5},	//993 QGraphicsSvgItem::tr(const char*, const char*, int)
    {34, 650, 542, 3, Smoke::mf_static, 220, 6},	//994 QGraphicsSvgItem::trUtf8(const char*, const char*, int)
    {34, 584, 1882, 3, Smoke::mf_virtual, 468, 7},	//995 QGraphicsSvgItem::qt_metacall(QMetaObject::Call, int, void**)
    {34, 91, 1886, 1, Smoke::mf_ctor, 143, 8},	//996 QGraphicsSvgItem::QGraphicsSvgItem(QGraphicsItem*)
    {34, 91, 1888, 2, Smoke::mf_ctor, 143, 9},	//997 QGraphicsSvgItem::QGraphicsSvgItem(const QString&, QGraphicsItem*)
    {34, 627, 1891, 1, 0, 0, 10},	//998 QGraphicsSvgItem::setSharedRenderer(QSvgRenderer*)
    {34, 602, 0, 0, Smoke::mf_const, 238, 11},	//999 QGraphicsSvgItem::renderer() const
    {34, 614, 452, 1, Smoke::mf_property, 0, 12},	//1000 QGraphicsSvgItem::setElementId(const QString&)
    {34, 230, 0, 0, Smoke::mf_const|Smoke::mf_property, 220, 13},	//1001 QGraphicsSvgItem::elementId() const
    {34, 608, 1893, 1, 0, 0, 14},	//1002 QGraphicsSvgItem::setCachingEnabled(bool)
    {34, 249, 0, 0, Smoke::mf_const, 376, 15},	//1003 QGraphicsSvgItem::isCachingEnabled() const
    {34, 621, 1895, 1, Smoke::mf_property, 0, 16},	//1004 QGraphicsSvgItem::setMaximumCacheSize(const QSize&)
    {34, 262, 0, 0, Smoke::mf_const|Smoke::mf_property, 213, 17},	//1005 QGraphicsSvgItem::maximumCacheSize() const
    {34, 207, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 206, 18},	//1006 QGraphicsSvgItem::boundingRect() const
    {34, 334, 1897, 3, Smoke::mf_virtual, 0, 19},	//1007 QGraphicsSvgItem::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {34, 654, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 468, 20},	//1008 QGraphicsSvgItem::type() const
    {34, 646, 98, 1, Smoke::mf_static, 220, 21},	//1009 QGraphicsSvgItem::tr(const char*)
    {34, 650, 98, 1, Smoke::mf_static, 220, 22},	//1010 QGraphicsSvgItem::trUtf8(const char*)
    {34, 91, 0, 0, Smoke::mf_ctor, 143, 23},	//1011 QGraphicsSvgItem::QGraphicsSvgItem()
    {34, 91, 452, 1, Smoke::mf_ctor, 143, 24},	//1012 QGraphicsSvgItem::QGraphicsSvgItem(const QString&)
    {34, 334, 1901, 2, 0, 0, 25},	//1013 QGraphicsSvgItem::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {34, 640, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 407, 26},	//1014 QGraphicsSvgItem::staticMetaObject() const
    {34, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 27},	//1015 QGraphicsSvgItem::Type (enum)
    {34, 660, 0, 0, Smoke::mf_dtor, 0, 28 },	//1016 QGraphicsSvgItem::~QGraphicsSvgItem()
    {57, 233, 1852, 1, Smoke::mf_virtual, 376, 0},	//1017 QObject::event(QEvent*)
    {57, 234, 1904, 2, Smoke::mf_virtual, 376, 0},	//1018 QObject::eventFilter(QObject*, QEvent*)
    {57, 644, 1907, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1019 QObject::timerEvent(QTimerEvent*)
    {57, 211, 1909, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1020 QObject::childEvent(QChildEvent*)
    {57, 219, 1852, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1021 QObject::customEvent(QEvent*)
    {57, 215, 98, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1022 QObject::connectNotify(const char*)
    {57, 223, 98, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1023 QObject::disconnectNotify(const char*)
    {58, 222, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 468, 0},	//1024 QPaintDevice::devType() const
    {58, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 2},	//1025 QPaintDevice::PdmWidth (enum)
    {58, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 3},	//1026 QPaintDevice::PdmHeight (enum)
    {58, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 4},	//1027 QPaintDevice::PdmWidthMM (enum)
    {58, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 5},	//1028 QPaintDevice::PdmHeightMM (enum)
    {58, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 6},	//1029 QPaintDevice::PdmNumColors (enum)
    {58, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 7},	//1030 QPaintDevice::PdmDepth (enum)
    {58, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 8},	//1031 QPaintDevice::PdmDpiX (enum)
    {58, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 9},	//1032 QPaintDevice::PdmDpiY (enum)
    {58, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 10},	//1033 QPaintDevice::PdmPhysicalDpiX (enum)
    {58, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 11},	//1034 QPaintDevice::PdmPhysicalDpiY (enum)
    {89, 95, 0, 0, Smoke::mf_ctor, 237, 1},	//1035 QSvgGenerator::QSvgGenerator()
    {89, 645, 0, 0, Smoke::mf_const|Smoke::mf_property, 220, 2},	//1036 QSvgGenerator::title() const
    {89, 631, 452, 1, Smoke::mf_property, 0, 3},	//1037 QSvgGenerator::setTitle(const QString&)
    {89, 221, 0, 0, Smoke::mf_const|Smoke::mf_property, 220, 4},	//1038 QSvgGenerator::description() const
    {89, 612, 452, 1, Smoke::mf_property, 0, 5},	//1039 QSvgGenerator::setDescription(const QString&)
    {89, 638, 0, 0, Smoke::mf_const|Smoke::mf_property, 213, 6},	//1040 QSvgGenerator::size() const
    {89, 629, 1895, 1, Smoke::mf_property, 0, 7},	//1041 QSvgGenerator::setSize(const QSize&)
    {89, 655, 0, 0, Smoke::mf_const, 204, 8},	//1042 QSvgGenerator::viewBox() const
    {89, 656, 0, 0, Smoke::mf_const|Smoke::mf_property, 206, 9},	//1043 QSvgGenerator::viewBoxF() const
    {89, 633, 1911, 1, 0, 0, 10},	//1044 QSvgGenerator::setViewBox(const QRect&)
    {89, 633, 1913, 1, Smoke::mf_property, 0, 11},	//1045 QSvgGenerator::setViewBox(const QRectF&)
    {89, 236, 0, 0, Smoke::mf_const|Smoke::mf_property, 220, 12},	//1046 QSvgGenerator::fileName() const
    {89, 617, 452, 1, Smoke::mf_property, 0, 13},	//1047 QSvgGenerator::setFileName(const QString&)
    {89, 333, 0, 0, Smoke::mf_const|Smoke::mf_property, 147, 14},	//1048 QSvgGenerator::outputDevice() const
    {89, 623, 1915, 1, Smoke::mf_property, 0, 15},	//1049 QSvgGenerator::setOutputDevice(QIODevice*)
    {89, 625, 345, 1, Smoke::mf_property, 0, 16},	//1050 QSvgGenerator::setResolution(int)
    {89, 605, 0, 0, Smoke::mf_const|Smoke::mf_property, 468, 17},	//1051 QSvgGenerator::resolution() const
    {89, 337, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 182, 18},	//1052 QSvgGenerator::paintEngine() const
    {89, 264, 1917, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 468, 19},	//1053 QSvgGenerator::metric(QPaintDevice::PaintDeviceMetric) const
    {89, 661, 0, 0, Smoke::mf_dtor, 0, 20 },	//1054 QSvgGenerator::~QSvgGenerator()
    {90, 263, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 408, 1},	//1055 QSvgRenderer::metaObject() const
    {90, 586, 98, 1, Smoke::mf_virtual, 486, 2},	//1056 QSvgRenderer::qt_metacast(const char*)
    {90, 646, 188, 2, Smoke::mf_static, 220, 3},	//1057 QSvgRenderer::tr(const char*, const char*)
    {90, 650, 188, 2, Smoke::mf_static, 220, 4},	//1058 QSvgRenderer::trUtf8(const char*, const char*)
    {90, 646, 542, 3, Smoke::mf_static, 220, 5},	//1059 QSvgRenderer::tr(const char*, const char*, int)
    {90, 650, 542, 3, Smoke::mf_static, 220, 6},	//1060 QSvgRenderer::trUtf8(const char*, const char*, int)
    {90, 584, 1882, 3, Smoke::mf_virtual, 468, 7},	//1061 QSvgRenderer::qt_metacall(QMetaObject::Call, int, void**)
    {90, 96, 1919, 1, Smoke::mf_ctor, 238, 8},	//1062 QSvgRenderer::QSvgRenderer(QObject*)
    {90, 96, 1921, 2, Smoke::mf_ctor, 238, 9},	//1063 QSvgRenderer::QSvgRenderer(const QString&, QObject*)
    {90, 96, 1924, 2, Smoke::mf_ctor, 238, 10},	//1064 QSvgRenderer::QSvgRenderer(const QByteArray&, QObject*)
    {90, 96, 1927, 2, Smoke::mf_ctor, 238, 11},	//1065 QSvgRenderer::QSvgRenderer(QXmlStreamReader*, QObject*)
    {90, 251, 0, 0, Smoke::mf_const, 376, 12},	//1066 QSvgRenderer::isValid() const
    {90, 220, 0, 0, Smoke::mf_const, 213, 13},	//1067 QSvgRenderer::defaultSize() const
    {90, 655, 0, 0, Smoke::mf_const, 204, 14},	//1068 QSvgRenderer::viewBox() const
    {90, 656, 0, 0, Smoke::mf_const|Smoke::mf_property, 206, 15},	//1069 QSvgRenderer::viewBoxF() const
    {90, 633, 1911, 1, 0, 0, 16},	//1070 QSvgRenderer::setViewBox(const QRect&)
    {90, 633, 1913, 1, Smoke::mf_property, 0, 17},	//1071 QSvgRenderer::setViewBox(const QRectF&)
    {90, 205, 0, 0, Smoke::mf_const, 376, 18},	//1072 QSvgRenderer::animated() const
    {90, 241, 0, 0, Smoke::mf_const|Smoke::mf_property, 468, 19},	//1073 QSvgRenderer::framesPerSecond() const
    {90, 619, 345, 1, Smoke::mf_property, 0, 20},	//1074 QSvgRenderer::setFramesPerSecond(int)
    {90, 218, 0, 0, Smoke::mf_const|Smoke::mf_property, 468, 21},	//1075 QSvgRenderer::currentFrame() const
    {90, 610, 345, 1, Smoke::mf_property, 0, 22},	//1076 QSvgRenderer::setCurrentFrame(int)
    {90, 206, 0, 0, Smoke::mf_const, 468, 23},	//1077 QSvgRenderer::animationDuration() const
    {90, 208, 452, 1, Smoke::mf_const, 206, 24},	//1078 QSvgRenderer::boundsOnElement(const QString&) const
    {90, 228, 452, 1, Smoke::mf_const, 376, 25},	//1079 QSvgRenderer::elementExists(const QString&) const
    {90, 260, 452, 1, Smoke::mf_const, 169, 26},	//1080 QSvgRenderer::matrixForElement(const QString&) const
    {90, 257, 452, 1, Smoke::mf_slot, 376, 27},	//1081 QSvgRenderer::load(const QString&)
    {90, 257, 156, 1, Smoke::mf_slot, 376, 28},	//1082 QSvgRenderer::load(const QByteArray&)
    {90, 257, 1930, 1, Smoke::mf_slot, 376, 29},	//1083 QSvgRenderer::load(QXmlStreamReader*)
    {90, 597, 1932, 1, Smoke::mf_slot, 0, 30},	//1084 QSvgRenderer::render(QPainter*)
    {90, 597, 1934, 2, Smoke::mf_slot, 0, 31},	//1085 QSvgRenderer::render(QPainter*, const QRectF&)
    {90, 597, 1937, 3, Smoke::mf_slot, 0, 32},	//1086 QSvgRenderer::render(QPainter*, const QString&, const QRectF&)
    {90, 603, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1087 QSvgRenderer::repaintNeeded()
    {90, 646, 98, 1, Smoke::mf_static, 220, 34},	//1088 QSvgRenderer::tr(const char*)
    {90, 650, 98, 1, Smoke::mf_static, 220, 35},	//1089 QSvgRenderer::trUtf8(const char*)
    {90, 96, 0, 0, Smoke::mf_ctor, 238, 36},	//1090 QSvgRenderer::QSvgRenderer()
    {90, 96, 452, 1, Smoke::mf_ctor, 238, 37},	//1091 QSvgRenderer::QSvgRenderer(const QString&)
    {90, 96, 156, 1, Smoke::mf_ctor, 238, 38},	//1092 QSvgRenderer::QSvgRenderer(const QByteArray&)
    {90, 96, 1930, 1, Smoke::mf_ctor, 238, 39},	//1093 QSvgRenderer::QSvgRenderer(QXmlStreamReader*)
    {90, 597, 1941, 2, Smoke::mf_slot, 0, 40},	//1094 QSvgRenderer::render(QPainter*, const QString&)
    {90, 640, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 407, 41},	//1095 QSvgRenderer::staticMetaObject() const
    {90, 662, 0, 0, Smoke::mf_dtor, 0, 42 },	//1096 QSvgRenderer::~QSvgRenderer()
    {91, 263, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 408, 1},	//1097 QSvgWidget::metaObject() const
    {91, 586, 98, 1, Smoke::mf_virtual, 486, 2},	//1098 QSvgWidget::qt_metacast(const char*)
    {91, 646, 188, 2, Smoke::mf_static, 220, 3},	//1099 QSvgWidget::tr(const char*, const char*)
    {91, 650, 188, 2, Smoke::mf_static, 220, 4},	//1100 QSvgWidget::trUtf8(const char*, const char*)
    {91, 646, 542, 3, Smoke::mf_static, 220, 5},	//1101 QSvgWidget::tr(const char*, const char*, int)
    {91, 650, 542, 3, Smoke::mf_static, 220, 6},	//1102 QSvgWidget::trUtf8(const char*, const char*, int)
    {91, 584, 1882, 3, Smoke::mf_virtual, 468, 7},	//1103 QSvgWidget::qt_metacall(QMetaObject::Call, int, void**)
    {91, 101, 1944, 1, Smoke::mf_ctor, 239, 8},	//1104 QSvgWidget::QSvgWidget(QWidget*)
    {91, 101, 1946, 2, Smoke::mf_ctor, 239, 9},	//1105 QSvgWidget::QSvgWidget(const QString&, QWidget*)
    {91, 602, 0, 0, Smoke::mf_const, 238, 10},	//1106 QSvgWidget::renderer() const
    {91, 639, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 11},	//1107 QSvgWidget::sizeHint() const
    {91, 257, 452, 1, Smoke::mf_slot, 0, 12},	//1108 QSvgWidget::load(const QString&)
    {91, 257, 156, 1, Smoke::mf_slot, 0, 13},	//1109 QSvgWidget::load(const QByteArray&)
    {91, 338, 1949, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1110 QSvgWidget::paintEvent(QPaintEvent*)
    {91, 646, 98, 1, Smoke::mf_static, 220, 15},	//1111 QSvgWidget::tr(const char*)
    {91, 650, 98, 1, Smoke::mf_static, 220, 16},	//1112 QSvgWidget::trUtf8(const char*)
    {91, 101, 0, 0, Smoke::mf_ctor, 239, 17},	//1113 QSvgWidget::QSvgWidget()
    {91, 101, 452, 1, Smoke::mf_ctor, 239, 18},	//1114 QSvgWidget::QSvgWidget(const QString&)
    {91, 640, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 407, 19},	//1115 QSvgWidget::staticMetaObject() const
    {91, 663, 0, 0, Smoke::mf_dtor, 0, 20 },	//1116 QSvgWidget::~QSvgWidget()
    {112, 222, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 468, 0},	//1117 QWidget::devType() const
    {112, 635, 1893, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1118 QWidget::setVisible(bool)
    {112, 266, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 213, 0},	//1119 QWidget::minimumSizeHint() const
    {112, 242, 345, 1, Smoke::mf_const|Smoke::mf_virtual, 468, 0},	//1120 QWidget::heightForWidth(int) const
    {112, 337, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 182, 0},	//1121 QWidget::paintEngine() const
    {112, 233, 1852, 1, Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//1122 QWidget::event(QEvent*)
    {112, 269, 1951, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1123 QWidget::mousePressEvent(QMouseEvent*)
    {112, 270, 1951, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1124 QWidget::mouseReleaseEvent(QMouseEvent*)
    {112, 267, 1951, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1125 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {112, 268, 1951, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1126 QWidget::mouseMoveEvent(QMouseEvent*)
    {112, 657, 1953, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1127 QWidget::wheelEvent(QWheelEvent*)
    {112, 253, 1862, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1128 QWidget::keyPressEvent(QKeyEvent*)
    {112, 254, 1862, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1129 QWidget::keyReleaseEvent(QKeyEvent*)
    {112, 237, 1858, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1130 QWidget::focusInEvent(QFocusEvent*)
    {112, 239, 1858, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1131 QWidget::focusOutEvent(QFocusEvent*)
    {112, 232, 1852, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1132 QWidget::enterEvent(QEvent*)
    {112, 256, 1852, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1133 QWidget::leaveEvent(QEvent*)
    {112, 271, 1955, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1134 QWidget::moveEvent(QMoveEvent*)
    {112, 604, 1957, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1135 QWidget::resizeEvent(QResizeEvent*)
    {112, 212, 1959, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1136 QWidget::closeEvent(QCloseEvent*)
    {112, 217, 1961, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1137 QWidget::contextMenuEvent(QContextMenuEvent*)
    {112, 643, 1963, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1138 QWidget::tabletEvent(QTabletEvent*)
    {112, 203, 1965, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1139 QWidget::actionEvent(QActionEvent*)
    {112, 224, 1967, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1140 QWidget::dragEnterEvent(QDragEnterEvent*)
    {112, 226, 1969, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1141 QWidget::dragMoveEvent(QDragMoveEvent*)
    {112, 225, 1971, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1142 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {112, 227, 1973, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1143 QWidget::dropEvent(QDropEvent*)
    {112, 637, 1975, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1144 QWidget::showEvent(QShowEvent*)
    {112, 243, 1977, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1145 QWidget::hideEvent(QHideEvent*)
    {112, 659, 1979, 1, Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//1146 QWidget::x11Event(_XEvent*)
    {112, 210, 1852, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1147 QWidget::changeEvent(QEvent*)
    {112, 264, 1917, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 468, 0},	//1148 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {112, 247, 1868, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1149 QWidget::inputMethodEvent(QInputMethodEvent*)
    {112, 248, 1870, 1, Smoke::mf_const|Smoke::mf_virtual, 264, 0},	//1150 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {112, 238, 1893, 1, Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//1151 QWidget::focusNextPrevChild(bool)
    {112, 641, 1981, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1152 QWidget::styleChange(QStyle&)
    {112, 231, 1893, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1153 QWidget::enabledChange(bool)
    {112, 340, 1983, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1154 QWidget::paletteChange(const QPalette&)
    {112, 240, 1985, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1155 QWidget::fontChange(const QFont&)
    {112, 658, 1893, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1156 QWidget::windowActivationChange(bool)
    {112, 255, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1157 QWidget::languageChange()
    {112, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 42},	//1158 QWidget::DrawWindowBackground (enum)
    {112, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 43},	//1159 QWidget::DrawChildren (enum)
    {112, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 44},	//1160 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1062,  // QSvgRenderer::QSvgRenderer(QObject*)
    1092,  // QSvgRenderer::QSvgRenderer(const QByteArray&)
    1093,  // QSvgRenderer::QSvgRenderer(QXmlStreamReader*)
    0,
    1064,  // QSvgRenderer::QSvgRenderer(const QByteArray&, QObject*)
    1065,  // QSvgRenderer::QSvgRenderer(QXmlStreamReader*, QObject*)
    0,
    1082,  // QSvgRenderer::load(const QByteArray&)
    1083,  // QSvgRenderer::load(QXmlStreamReader*)
    0,
    1070,  // QSvgRenderer::setViewBox(const QRect&)
    1071,  // QSvgRenderer::setViewBox(const QRectF&)
    0,
    1044,  // QSvgGenerator::setViewBox(const QRect&)
    1045,  // QSvgGenerator::setViewBox(const QRectF&)
    0,
    11,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    90,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    152,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    165,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    251,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    291,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    320,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    330,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    415,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    424,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    470,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    483,  // QGlobalSpace::operator!=(QChar, QChar)
    527,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    614,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    647,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    696,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    705,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    708,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    764,  // QGlobalSpace::operator!=(QBool, QBool)
    782,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    75,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    101,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    125,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    505,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    703,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    239,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    372,  // QGlobalSpace::operator!=(bool, QBool)
    423,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    494,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    677,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    717,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    19,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    52,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    58,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    61,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    100,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    118,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    166,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    223,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    252,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    272,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    289,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    313,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    390,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    402,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    458,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    504,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    533,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    537,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    542,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    607,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    664,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    665,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    676,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    688,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    698,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    711,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    721,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    724,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    778,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    0,
    322,  // QGlobalSpace::operator*(const QQuaternion&, float)
    357,  // QGlobalSpace::operator*(const QVector4D&, float)
    360,  // QGlobalSpace::operator*(const QSize&, float)
    361,  // QGlobalSpace::operator*(const QMatrix4x4&, float)
    503,  // QGlobalSpace::operator*(const QSizeF&, float)
    545,  // QGlobalSpace::operator*(const QVector3D&, float)
    645,  // QGlobalSpace::operator*(const QVector2D&, float)
    657,  // QGlobalSpace::operator*(const QPoint&, int)
    668,  // QGlobalSpace::operator*(const QPointF&, float)
    684,  // QGlobalSpace::operator*(const QPoint&, double)
    700,  // QGlobalSpace::operator*(const QPoint&, float)
    787,  // QGlobalSpace::operator*(const QTransform&, float)
    0,
    45,  // QGlobalSpace::operator*(float, const QSize&)
    325,  // QGlobalSpace::operator*(int, const QPoint&)
    371,  // QGlobalSpace::operator*(float, const QPointF&)
    380,  // QGlobalSpace::operator*(float, const QVector3D&)
    399,  // QGlobalSpace::operator*(float, const QVector2D&)
    406,  // QGlobalSpace::operator*(float, const QPoint&)
    449,  // QGlobalSpace::operator*(float, const QQuaternion&)
    541,  // QGlobalSpace::operator*(double, const QPoint&)
    660,  // QGlobalSpace::operator*(float, const QSizeF&)
    712,  // QGlobalSpace::operator*(float, const QMatrix4x4&)
    761,  // QGlobalSpace::operator*(float, const QVector4D&)
    0,
    44,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    82,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    113,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    138,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    143,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    197,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    271,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    282,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    348,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    733,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    0,
    4,  // QGlobalSpace::operator+(const QTransform&, float)
    169,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    180,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    228,  // QGlobalSpace::operator+(QChar, const QString&)
    431,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    25,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    116,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    164,  // QGlobalSpace::operator+(const QString&, QChar)
    513,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    173,  // QGlobalSpace::operator+(const QString&, const char*)
    250,  // QGlobalSpace::operator+(const QString&, char)
    341,  // QGlobalSpace::operator+(char, const QString&)
    520,  // QGlobalSpace::operator+(const char*, const QString&)
    763,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    63,  // QGlobalSpace::operator-(const QMatrix4x4&)
    238,  // QGlobalSpace::operator-(const QQuaternion&)
    275,  // QGlobalSpace::operator-(const QPoint&)
    378,  // QGlobalSpace::operator-(const QVector4D&)
    393,  // QGlobalSpace::operator-(const QPointF&)
    596,  // QGlobalSpace::operator-(const QVector2D&)
    639,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    8,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    91,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    117,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    121,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    147,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    253,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    335,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    518,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    713,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    0,
    235,  // QGlobalSpace::operator/(const QMatrix4x4&, float)
    247,  // QGlobalSpace::operator/(const QVector3D&, float)
    354,  // QGlobalSpace::operator/(const QVector2D&, float)
    597,  // QGlobalSpace::operator/(const QSizeF&, float)
    627,  // QGlobalSpace::operator/(const QPointF&, float)
    633,  // QGlobalSpace::operator/(const QVector4D&, float)
    669,  // QGlobalSpace::operator/(const QTransform&, float)
    693,  // QGlobalSpace::operator/(const QQuaternion&, float)
    742,  // QGlobalSpace::operator/(const QSize&, float)
    784,  // QGlobalSpace::operator/(const QPoint&, float)
    0,
    71,  // QGlobalSpace::operator<(QChar, QChar)
    148,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    259,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    702,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    77,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    425,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    23,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    34,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    48,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    53,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    54,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    60,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    68,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    69,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    93,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    104,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    114,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    120,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    126,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    129,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    131,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    136,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    161,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    179,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    200,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    201,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    202,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    210,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    224,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    277,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    288,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    293,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    294,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    299,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    308,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    314,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    315,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    324,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    332,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    352,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    353,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    355,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    358,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    387,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    394,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    401,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    412,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    419,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    420,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    430,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    437,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    446,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    454,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    459,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    464,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    465,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    467,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    468,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    472,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    476,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    479,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    480,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    481,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    497,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    510,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    516,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    519,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    535,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    544,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    569,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    574,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    583,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    588,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    599,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    600,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    606,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    608,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    609,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    610,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    620,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    625,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    634,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    640,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    678,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    679,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    692,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    707,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    725,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    726,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    727,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    740,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    750,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    752,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    754,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    767,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    780,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    783,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    786,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    17,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    76,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    233,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    309,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    356,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    457,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    529,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    662,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    719,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    779,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    0,
    196,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    220,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    445,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    641,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    444,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    509,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    10,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    22,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    33,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    57,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    59,  // QGlobalSpace::operator==(QChar, QChar)
    87,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    189,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    211,  // QGlobalSpace::operator==(QBool, QBool)
    254,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    274,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    280,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    345,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    373,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    428,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    436,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    439,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    534,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    557,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    616,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    671,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    697,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    0,
    21,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    154,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    343,  // QGlobalSpace::operator==(QString::Null, const QString&)
    690,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    695,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    746,  // QGlobalSpace::operator==(QBool, bool)
    0,
    16,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    41,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    213,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    396,  // QGlobalSpace::operator==(bool, QBool)
    463,  // QGlobalSpace::operator==(const QString&, QString::Null)
    515,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    628,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    0,
    84,  // QGlobalSpace::operator>(QChar, QChar)
    174,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    192,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    326,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    42,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    151,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    3,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    74,  // QGlobalSpace::operator>=(QChar, QChar)
    435,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    570,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    408,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    773,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    18,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    26,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    31,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    35,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    70,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    72,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    156,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    162,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    178,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    209,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    221,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    234,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    245,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    258,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    329,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    342,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    344,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    359,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    368,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    381,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    388,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    392,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    397,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    403,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    418,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    434,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    447,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    462,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    482,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    491,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    492,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    495,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    512,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    524,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    525,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    531,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    572,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    582,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    617,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    632,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    649,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    650,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    654,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    672,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    706,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    734,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    738,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    747,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    748,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    776,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    785,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    450,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    658,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    1,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    7,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    9,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    20,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    24,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    27,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    28,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    29,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    40,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    43,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    49,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    51,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    55,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    62,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    67,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    73,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    78,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    79,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    81,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    83,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    85,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    88,  // QGlobalSpace::operator|(QDir::Filter, int)
    89,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    94,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    95,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    96,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    97,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    99,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    102,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    103,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    106,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    107,  // QGlobalSpace::operator|(QFile::Permission, int)
    109,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    115,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    124,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    127,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    128,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    132,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    135,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    137,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    139,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    140,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    144,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    145,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    146,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    155,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    158,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    160,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    167,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    171,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    172,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    175,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    183,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    185,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    190,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    193,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    199,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    205,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    207,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    208,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    212,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    214,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    215,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    218,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    219,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    225,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    229,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    230,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    231,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    232,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    241,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    244,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    246,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    249,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    255,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    256,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    257,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    261,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    267,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    270,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    273,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    276,  // QGlobalSpace::operator|(Qt::DropAction, int)
    278,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    290,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    295,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    300,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    303,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    306,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    307,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    310,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    312,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    321,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    328,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    331,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    333,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    334,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    346,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    347,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    349,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    367,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    369,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    370,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    374,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    375,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    376,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    379,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    383,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    384,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    386,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    391,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    395,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    398,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    404,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    409,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    410,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    411,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    414,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    421,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    426,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    427,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    432,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    433,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    438,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    443,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    448,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    453,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    455,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    460,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    471,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    473,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    474,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    477,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    484,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    487,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    488,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    490,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    496,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    498,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    499,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    502,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    511,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    514,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    517,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    521,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    522,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    523,  // QGlobalSpace::operator|(Qt::WindowState, int)
    526,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    528,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    530,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    532,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    538,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    539,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    551,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    552,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    553,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    554,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    558,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    559,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    563,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    564,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    565,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    566,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    567,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    568,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    571,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    575,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    581,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    584,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    589,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    590,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    591,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    592,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    593,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    594,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    595,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    598,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    605,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    611,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    612,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    613,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    615,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    618,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    626,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    629,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    630,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    631,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    637,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    638,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    643,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    646,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    648,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    655,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    656,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    659,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    663,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    667,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    673,  // QGlobalSpace::operator|(Qt::Orientation, int)
    674,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    685,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    686,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    689,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    691,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    694,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    699,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    701,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    704,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    709,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    710,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    715,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    716,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    720,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    722,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    723,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    728,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    729,  // QGlobalSpace::operator|(Qt::WindowType, int)
    731,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    736,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    737,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    739,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    741,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    743,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    751,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    753,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    755,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    757,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    762,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    765,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    771,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    772,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    777,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    781,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    119,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    182,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    242,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    385,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    413,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    536,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    621,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    0,
    556,  // QGlobalSpace::qFuzzyCompare(float, float)
    675,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    266,  // QGlobalSpace::qFuzzyIsNull(float)
    585,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    64,  // QGlobalSpace::qHash(const QUrl&)
    65,  // QGlobalSpace::qHash(const QByteArray&)
    157,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    184,  // QGlobalSpace::qHash(QChar)
    206,  // QGlobalSpace::qHash(const QModelIndex&)
    350,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    475,  // QGlobalSpace::qHash(const QBitArray&)
    769,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    5,  // QGlobalSpace::qHash(unsigned long long)
    39,  // QGlobalSpace::qHash(signed char)
    98,  // QGlobalSpace::qHash(char)
    181,  // QGlobalSpace::qHash(unsigned int)
    195,  // QGlobalSpace::qHash(const QString&)
    237,  // QGlobalSpace::qHash(long long)
    269,  // QGlobalSpace::qHash(int)
    323,  // QGlobalSpace::qHash(long)
    327,  // QGlobalSpace::qHash(unsigned short)
    550,  // QGlobalSpace::qHash(short)
    749,  // QGlobalSpace::qHash(unsigned long)
    775,  // QGlobalSpace::qHash(unsigned char)
    0,
    46,  // QGlobalSpace::qIntCast(double)
    188,  // QGlobalSpace::qIntCast(float)
    0,
    122,  // QGlobalSpace::qIsFinite(double)
    163,  // QGlobalSpace::qIsFinite(float)
    0,
    6,  // QGlobalSpace::qIsInf(double)
    37,  // QGlobalSpace::qIsInf(float)
    0,
    217,  // QGlobalSpace::qIsNaN(float)
    226,  // QGlobalSpace::qIsNaN(double)
    0,
    666,  // QGlobalSpace::qIsNull(float)
    770,  // QGlobalSpace::qIsNull(double)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {26, 59, 886},	// QGlobalSpace::LicensedActiveQt
    {26, 60, 893},	// QGlobalSpace::LicensedCore
    {26, 61, 888},	// QGlobalSpace::LicensedDBus
    {26, 62, 900},	// QGlobalSpace::LicensedDeclarative
    {26, 63, 883},	// QGlobalSpace::LicensedGui
    {26, 64, 898},	// QGlobalSpace::LicensedHelp
    {26, 65, 895},	// QGlobalSpace::LicensedMultimedia
    {26, 66, 894},	// QGlobalSpace::LicensedNetwork
    {26, 67, 873},	// QGlobalSpace::LicensedOpenGL
    {26, 68, 875},	// QGlobalSpace::LicensedOpenVG
    {26, 69, 887},	// QGlobalSpace::LicensedQt3Support
    {26, 70, 877},	// QGlobalSpace::LicensedQt3SupportLight
    {26, 71, 876},	// QGlobalSpace::LicensedScript
    {26, 72, 897},	// QGlobalSpace::LicensedScriptTools
    {26, 73, 885},	// QGlobalSpace::LicensedSql
    {26, 74, 874},	// QGlobalSpace::LicensedSvg
    {26, 75, 896},	// QGlobalSpace::LicensedTest
    {26, 76, 899},	// QGlobalSpace::LicensedXml
    {26, 77, 884},	// QGlobalSpace::LicensedXmlPatterns
    {26, 105, 880},	// QGlobalSpace::QtCriticalMsg
    {26, 106, 878},	// QGlobalSpace::QtDebugMsg
    {26, 107, 881},	// QGlobalSpace::QtFatalMsg
    {26, 108, 882},	// QGlobalSpace::QtSystemMsg
    {26, 109, 879},	// QGlobalSpace::QtWarningMsg
    {26, 110, 851},	// QGlobalSpace::SP_CustomCameraCaptureButton
    {26, 111, 852},	// QGlobalSpace::SP_CustomCameraCaptureButtonPressed
    {26, 112, 853},	// QGlobalSpace::SP_CustomCameraPauseButton
    {26, 113, 854},	// QGlobalSpace::SP_CustomCameraPauseButtonPressed
    {26, 114, 855},	// QGlobalSpace::SP_CustomCameraPlayButton
    {26, 115, 856},	// QGlobalSpace::SP_CustomCameraPlayButtonPressed
    {26, 116, 857},	// QGlobalSpace::SP_CustomCameraRecButton
    {26, 117, 858},	// QGlobalSpace::SP_CustomCameraRecButtonPressed
    {26, 118, 859},	// QGlobalSpace::SP_CustomCameraStopButton
    {26, 119, 860},	// QGlobalSpace::SP_CustomCameraStopButtonPressed
    {26, 120, 861},	// QGlobalSpace::SP_CustomTabAll
    {26, 121, 862},	// QGlobalSpace::SP_CustomTabArtist
    {26, 122, 863},	// QGlobalSpace::SP_CustomTabFavourite
    {26, 123, 864},	// QGlobalSpace::SP_CustomTabGenre
    {26, 124, 865},	// QGlobalSpace::SP_CustomTabLanguage
    {26, 125, 866},	// QGlobalSpace::SP_CustomTabMusicAlbum
    {26, 126, 867},	// QGlobalSpace::SP_CustomTabPhotosAlbum
    {26, 127, 868},	// QGlobalSpace::SP_CustomTabPhotosAll
    {26, 128, 869},	// QGlobalSpace::SP_CustomTabPlaylist
    {26, 129, 870},	// QGlobalSpace::SP_CustomTabServices
    {26, 130, 871},	// QGlobalSpace::SP_CustomTabSongs
    {26, 131, 872},	// QGlobalSpace::SP_CustomTabVideos
    {26, 132, 788},	// QGlobalSpace::SP_CustomToolBarAdd
    {26, 133, 789},	// QGlobalSpace::SP_CustomToolBarAddDetail
    {26, 134, 790},	// QGlobalSpace::SP_CustomToolBarAgain
    {26, 135, 791},	// QGlobalSpace::SP_CustomToolBarAgenda
    {26, 136, 792},	// QGlobalSpace::SP_CustomToolBarAudioOff
    {26, 137, 793},	// QGlobalSpace::SP_CustomToolBarAudioOn
    {26, 138, 794},	// QGlobalSpace::SP_CustomToolBarBack
    {26, 139, 795},	// QGlobalSpace::SP_CustomToolBarBluetoothOff
    {26, 140, 796},	// QGlobalSpace::SP_CustomToolBarBluetoothOn
    {26, 141, 797},	// QGlobalSpace::SP_CustomToolBarCancel
    {26, 142, 798},	// QGlobalSpace::SP_CustomToolBarDelete
    {26, 143, 799},	// QGlobalSpace::SP_CustomToolBarDone
    {26, 144, 800},	// QGlobalSpace::SP_CustomToolBarEdit
    {26, 145, 801},	// QGlobalSpace::SP_CustomToolBarEditDisabled
    {26, 146, 802},	// QGlobalSpace::SP_CustomToolBarEmailSend
    {26, 147, 803},	// QGlobalSpace::SP_CustomToolBarEmergencyCall
    {26, 148, 804},	// QGlobalSpace::SP_CustomToolBarFavouriteAdd
    {26, 149, 805},	// QGlobalSpace::SP_CustomToolBarFavouriteRemove
    {26, 150, 806},	// QGlobalSpace::SP_CustomToolBarFavourites
    {26, 151, 807},	// QGlobalSpace::SP_CustomToolBarGo
    {26, 152, 808},	// QGlobalSpace::SP_CustomToolBarHome
    {26, 153, 809},	// QGlobalSpace::SP_CustomToolBarImageTools
    {26, 154, 810},	// QGlobalSpace::SP_CustomToolBarList
    {26, 155, 811},	// QGlobalSpace::SP_CustomToolBarLock
    {26, 156, 812},	// QGlobalSpace::SP_CustomToolBarLogs
    {26, 157, 813},	// QGlobalSpace::SP_CustomToolBarMenu
    {26, 158, 814},	// QGlobalSpace::SP_CustomToolBarNewContact
    {26, 159, 815},	// QGlobalSpace::SP_CustomToolBarNewGroup
    {26, 160, 816},	// QGlobalSpace::SP_CustomToolBarNextFrame
    {26, 161, 817},	// QGlobalSpace::SP_CustomToolBarNowPlay
    {26, 162, 818},	// QGlobalSpace::SP_CustomToolBarOptions
    {26, 163, 819},	// QGlobalSpace::SP_CustomToolBarOther
    {26, 164, 820},	// QGlobalSpace::SP_CustomToolBarOvi
    {26, 165, 821},	// QGlobalSpace::SP_CustomToolBarPreviousFrame
    {26, 166, 822},	// QGlobalSpace::SP_CustomToolBarRead
    {26, 167, 824},	// QGlobalSpace::SP_CustomToolBarRedo
    {26, 168, 823},	// QGlobalSpace::SP_CustomToolBarRedoDisabled
    {26, 169, 825},	// QGlobalSpace::SP_CustomToolBarRefresh
    {26, 170, 826},	// QGlobalSpace::SP_CustomToolBarRemoveDetail
    {26, 171, 827},	// QGlobalSpace::SP_CustomToolBarRemoveDisabled
    {26, 172, 828},	// QGlobalSpace::SP_CustomToolBarRepeat
    {26, 173, 829},	// QGlobalSpace::SP_CustomToolBarRepeatOff
    {26, 174, 830},	// QGlobalSpace::SP_CustomToolBarRepeatOne
    {26, 175, 831},	// QGlobalSpace::SP_CustomToolBarSearch
    {26, 176, 832},	// QGlobalSpace::SP_CustomToolBarSearchDisabled
    {26, 177, 833},	// QGlobalSpace::SP_CustomToolBarSelectContent
    {26, 178, 834},	// QGlobalSpace::SP_CustomToolBarSelfTimer
    {26, 179, 835},	// QGlobalSpace::SP_CustomToolBarSend
    {26, 180, 836},	// QGlobalSpace::SP_CustomToolBarSendDimmed
    {26, 181, 837},	// QGlobalSpace::SP_CustomToolBarShare
    {26, 182, 838},	// QGlobalSpace::SP_CustomToolBarShift
    {26, 183, 839},	// QGlobalSpace::SP_CustomToolBarShuffle
    {26, 184, 840},	// QGlobalSpace::SP_CustomToolBarShuffleOff
    {26, 185, 841},	// QGlobalSpace::SP_CustomToolBarSignalOff
    {26, 186, 842},	// QGlobalSpace::SP_CustomToolBarSignalOn
    {26, 187, 843},	// QGlobalSpace::SP_CustomToolBarSync
    {26, 188, 844},	// QGlobalSpace::SP_CustomToolBarTools
    {26, 189, 845},	// QGlobalSpace::SP_CustomToolBarTrim
    {26, 190, 846},	// QGlobalSpace::SP_CustomToolBarUnlock
    {26, 191, 847},	// QGlobalSpace::SP_CustomToolBarUnmark
    {26, 192, 848},	// QGlobalSpace::SP_CustomToolBarView
    {26, 193, 849},	// QGlobalSpace::SP_CustomToolBarWlanOff
    {26, 194, 850},	// QGlobalSpace::SP_CustomToolBarWlanOn
    {26, 199, 891},	// QGlobalSpace::__codecvt_error
    {26, 200, 892},	// QGlobalSpace::__codecvt_noconv
    {26, 201, 889},	// QGlobalSpace::__codecvt_ok
    {26, 202, 890},	// QGlobalSpace::__codecvt_partial
    {26, 274, -17},	// QGlobalSpace::operator!=##
    {26, 275, -38},	// QGlobalSpace::operator!=#$
    {26, 276, -44},	// QGlobalSpace::operator!=$#
    {26, 277, 216},	// QGlobalSpace::operator!=$$
    {26, 279, 407},	// QGlobalSpace::operator&##
    {26, 281, -51},	// QGlobalSpace::operator*##
    {26, 282, -81},	// QGlobalSpace::operator*#$
    {26, 283, -94},	// QGlobalSpace::operator*$#
    {26, 285, -106},	// QGlobalSpace::operator+##
    {26, 286, -117},	// QGlobalSpace::operator+#$
    {26, 287, -123},	// QGlobalSpace::operator+$#
    {26, 288, -128},	// QGlobalSpace::operator+$$
    {26, 290, -134},	// QGlobalSpace::operator-#
    {26, 291, -142},	// QGlobalSpace::operator-##
    {26, 292, 14},	// QGlobalSpace::operator-#$
    {26, 294, -152},	// QGlobalSpace::operator/#$
    {26, 296, -163},	// QGlobalSpace::operator<##
    {26, 297, 466},	// QGlobalSpace::operator<#$
    {26, 298, -168},	// QGlobalSpace::operator<$#
    {26, 299, 133},	// QGlobalSpace::operator<$$
    {26, 301, -171},	// QGlobalSpace::operator<<##
    {26, 302, -264},	// QGlobalSpace::operator<<#$
    {26, 303, 429},	// QGlobalSpace::operator<<#?
    {26, 305, -275},	// QGlobalSpace::operator<=##
    {26, 306, 186},	// QGlobalSpace::operator<=#$
    {26, 307, -280},	// QGlobalSpace::operator<=$#
    {26, 308, 493},	// QGlobalSpace::operator<=$$
    {26, 310, -283},	// QGlobalSpace::operator==##
    {26, 311, -305},	// QGlobalSpace::operator==#$
    {26, 312, -312},	// QGlobalSpace::operator==$#
    {26, 313, 756},	// QGlobalSpace::operator==$$
    {26, 315, -320},	// QGlobalSpace::operator>##
    {26, 316, 774},	// QGlobalSpace::operator>#$
    {26, 317, -325},	// QGlobalSpace::operator>$#
    {26, 318, 351},	// QGlobalSpace::operator>$$
    {26, 320, -328},	// QGlobalSpace::operator>=##
    {26, 321, 36},	// QGlobalSpace::operator>=#$
    {26, 322, -333},	// QGlobalSpace::operator>=$#
    {26, 323, 768},	// QGlobalSpace::operator>=$$
    {26, 325, -336},	// QGlobalSpace::operator>>##
    {26, 326, -388},	// QGlobalSpace::operator>>#$
    {26, 327, 304},	// QGlobalSpace::operator>>#?
    {26, 329, 191},	// QGlobalSpace::operator^##
    {26, 331, 619},	// QGlobalSpace::operator|##
    {26, 332, -391},	// QGlobalSpace::operator|$$
    {26, 341, 389},	// QGlobalSpace::qAccessibleActionCastHelper
    {26, 342, 92},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {26, 343, 489},	// QGlobalSpace::qAccessibleImageCastHelper
    {26, 344, 298},	// QGlobalSpace::qAccessibleTable2CastHelper
    {26, 345, 260},	// QGlobalSpace::qAccessibleTableCastHelper
    {26, 346, 170},	// QGlobalSpace::qAccessibleTextCastHelper
    {26, 347, 2},	// QGlobalSpace::qAccessibleValueCastHelper
    {26, 349, 243},	// QGlobalSpace::qAcos$
    {26, 351, 440},	// QGlobalSpace::qAddPostRoutine$
    {26, 353, 130},	// QGlobalSpace::qAlpha$
    {26, 354, 451},	// QGlobalSpace::qAppName
    {26, 356, 66},	// QGlobalSpace::qAsin$
    {26, 358, 56},	// QGlobalSpace::qAtan$
    {26, 360, 262},	// QGlobalSpace::qAtan2$$
    {26, 361, 573},	// QGlobalSpace::qBadAlloc
    {26, 363, 311},	// QGlobalSpace::qBlue$
    {26, 365, 469},	// QGlobalSpace::qCeil$
    {26, 367, 296},	// QGlobalSpace::qChecksum$$
    {26, 369, 587},	// QGlobalSpace::qCompress#
    {26, 370, 586},	// QGlobalSpace::qCompress#$
    {26, 371, 442},	// QGlobalSpace::qCompress$$
    {26, 372, 441},	// QGlobalSpace::qCompress$$$
    {26, 374, 422},	// QGlobalSpace::qCos$
    {26, 375, 417},	// QGlobalSpace::qCritical
    {26, 376, 500},	// QGlobalSpace::qDebug
    {26, 378, 297},	// QGlobalSpace::qDrawBorderPixmap####
    {26, 379, 759},	// QGlobalSpace::qDrawBorderPixmap######
    {26, 380, 760},	// QGlobalSpace::qDrawBorderPixmap#######
    {26, 381, 758},	// QGlobalSpace::qDrawBorderPixmap#######$
    {26, 383, 652},	// QGlobalSpace::qDrawPlainRect###
    {26, 384, 653},	// QGlobalSpace::qDrawPlainRect###$
    {26, 385, 651},	// QGlobalSpace::qDrawPlainRect###$#
    {26, 386, 264},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {26, 387, 265},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {26, 388, 263},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {26, 390, 681},	// QGlobalSpace::qDrawShadeLine####
    {26, 391, 682},	// QGlobalSpace::qDrawShadeLine####$
    {26, 392, 683},	// QGlobalSpace::qDrawShadeLine####$$
    {26, 393, 680},	// QGlobalSpace::qDrawShadeLine####$$$
    {26, 394, 602},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {26, 395, 603},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {26, 396, 604},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {26, 397, 601},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {26, 399, 337},	// QGlobalSpace::qDrawShadePanel###
    {26, 400, 338},	// QGlobalSpace::qDrawShadePanel###$
    {26, 401, 339},	// QGlobalSpace::qDrawShadePanel###$$
    {26, 402, 336},	// QGlobalSpace::qDrawShadePanel###$$#
    {26, 403, 364},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {26, 404, 365},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {26, 405, 366},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {26, 406, 363},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {26, 408, 284},	// QGlobalSpace::qDrawShadeRect###
    {26, 409, 285},	// QGlobalSpace::qDrawShadeRect###$
    {26, 410, 286},	// QGlobalSpace::qDrawShadeRect###$$
    {26, 411, 287},	// QGlobalSpace::qDrawShadeRect###$$$
    {26, 412, 283},	// QGlobalSpace::qDrawShadeRect###$$$#
    {26, 413, 577},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {26, 414, 578},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {26, 415, 579},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {26, 416, 580},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {26, 417, 576},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {26, 419, 317},	// QGlobalSpace::qDrawWinButton###
    {26, 420, 318},	// QGlobalSpace::qDrawWinButton###$
    {26, 421, 316},	// QGlobalSpace::qDrawWinButton###$#
    {26, 422, 623},	// QGlobalSpace::qDrawWinButton#$$$$#
    {26, 423, 624},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {26, 424, 622},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {26, 426, 548},	// QGlobalSpace::qDrawWinPanel###
    {26, 427, 549},	// QGlobalSpace::qDrawWinPanel###$
    {26, 428, 547},	// QGlobalSpace::qDrawWinPanel###$#
    {26, 429, 111},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {26, 430, 112},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {26, 431, 110},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {26, 433, 198},	// QGlobalSpace::qExp$
    {26, 435, 735},	// QGlobalSpace::qFabs$
    {26, 437, 642},	// QGlobalSpace::qFastCos$
    {26, 439, 177},	// QGlobalSpace::qFastSin$
    {26, 441, 222},	// QGlobalSpace::qFlagLocation$
    {26, 443, 187},	// QGlobalSpace::qFloor$
    {26, 445, 456},	// QGlobalSpace::qFree$
    {26, 447, 461},	// QGlobalSpace::qFreeAligned$
    {26, 449, -623},	// QGlobalSpace::qFuzzyCompare##
    {26, 450, -631},	// QGlobalSpace::qFuzzyCompare$$
    {26, 452, -634},	// QGlobalSpace::qFuzzyIsNull$
    {26, 454, 227},	// QGlobalSpace::qGray$
    {26, 455, 134},	// QGlobalSpace::qGray$$$
    {26, 457, 508},	// QGlobalSpace::qGreen$
    {26, 459, -637},	// QGlobalSpace::qHash#
    {26, 460, -646},	// QGlobalSpace::qHash$
    {26, 461, 718},	// QGlobalSpace::qInf
    {26, 463, 204},	// QGlobalSpace::qInstallMsgHandler$
    {26, 465, -659},	// QGlobalSpace::qIntCast$
    {26, 467, -662},	// QGlobalSpace::qIsFinite$
    {26, 469, 644},	// QGlobalSpace::qIsGray$
    {26, 471, -665},	// QGlobalSpace::qIsInf$
    {26, 473, -668},	// QGlobalSpace::qIsNaN$
    {26, 475, -671},	// QGlobalSpace::qIsNull$
    {26, 477, 506},	// QGlobalSpace::qLn$
    {26, 479, 301},	// QGlobalSpace::qMalloc$
    {26, 481, 501},	// QGlobalSpace::qMallocAligned$$
    {26, 483, 13},	// QGlobalSpace::qMemCopy$$$
    {26, 485, 543},	// QGlobalSpace::qMemSet$$$
    {26, 487, 478},	// QGlobalSpace::qPow$$
    {26, 488, 302},	// QGlobalSpace::qQNaN
    {26, 490, 194},	// QGlobalSpace::qRealloc$$
    {26, 492, 176},	// QGlobalSpace::qReallocAligned$$$$
    {26, 494, 159},	// QGlobalSpace::qRed$
    {26, 496, 292},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {26, 498, 732},	// QGlobalSpace::qRemovePostRoutine$
    {26, 500, 248},	// QGlobalSpace::qRgb$$$
    {26, 502, 416},	// QGlobalSpace::qRgba$$$$
    {26, 504, 281},	// QGlobalSpace::qRound$
    {26, 506, 203},	// QGlobalSpace::qRound64$
    {26, 507, 687},	// QGlobalSpace::qSNaN
    {26, 509, 153},	// QGlobalSpace::qSetFieldWidth$
    {26, 511, 47},	// QGlobalSpace::qSetPadChar#
    {26, 513, 279},	// QGlobalSpace::qSetRealNumberPrecision$
    {26, 514, 86},	// QGlobalSpace::qSharedBuild
    {26, 516, 108},	// QGlobalSpace::qSin$
    {26, 518, 50},	// QGlobalSpace::qSqrt$
    {26, 520, 485},	// QGlobalSpace::qStringComparisonHelper#$
    {26, 521, 30},	// QGlobalSpace::qStringComparisonHelper$$
    {26, 523, 105},	// QGlobalSpace::qTan$
    {26, 525, 382},	// QGlobalSpace::qUncompress#
    {26, 526, 149},	// QGlobalSpace::qUncompress$$
    {26, 527, 452},	// QGlobalSpace::qVersion
    {26, 528, 744},	// QGlobalSpace::qWarning
    {26, 530, 168},	// QGlobalSpace::qbswap_helper$$$
    {26, 532, 123},	// QGlobalSpace::qecvt$$$$
    {26, 534, 507},	// QGlobalSpace::qecvt_r$$$$$$
    {26, 536, 240},	// QGlobalSpace::qfcvt$$$$
    {26, 538, 560},	// QGlobalSpace::qfcvt_r$$$$$$
    {26, 540, 561},	// QGlobalSpace::qgcvt$$$
    {26, 542, 38},	// QGlobalSpace::qgetenv$
    {26, 544, 305},	// QGlobalSpace::qputenv$#
    {26, 545, 400},	// QGlobalSpace::qrand
    {26, 547, 562},	// QGlobalSpace::qsort$$$$
    {26, 549, 319},	// QGlobalSpace::qsrand$
    {26, 551, 555},	// QGlobalSpace::qstrcmp##
    {26, 552, 730},	// QGlobalSpace::qstrcmp#$
    {26, 553, 32},	// QGlobalSpace::qstrcmp$#
    {26, 554, 80},	// QGlobalSpace::qstrcmp$$
    {26, 556, 268},	// QGlobalSpace::qstrcpy$$
    {26, 558, 486},	// QGlobalSpace::qstrdup$
    {26, 560, 714},	// QGlobalSpace::qstricmp$$
    {26, 562, 745},	// QGlobalSpace::qstrlen$
    {26, 564, 150},	// QGlobalSpace::qstrncmp$$$
    {26, 566, 377},	// QGlobalSpace::qstrncpy$$$
    {26, 568, 340},	// QGlobalSpace::qstrnicmp$$$
    {26, 570, 12},	// QGlobalSpace::qstrnlen$$
    {26, 572, 636},	// QGlobalSpace::qtTrId$
    {26, 573, 635},	// QGlobalSpace::qtTrId$$
    {26, 575, 236},	// QGlobalSpace::qt_assert$$$
    {26, 577, 405},	// QGlobalSpace::qt_assert_x$$$$
    {26, 579, 546},	// QGlobalSpace::qt_check_pointer$$
    {26, 580, 142},	// QGlobalSpace::qt_error_string
    {26, 581, 141},	// QGlobalSpace::qt_error_string$
    {26, 583, 766},	// QGlobalSpace::qt_message_output$$
    {26, 588, 15},	// QGlobalSpace::qt_noop
    {26, 590, 362},	// QGlobalSpace::qt_qFindChild_helper#$#
    {26, 592, 670},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {26, 594, 661},	// QGlobalSpace::qvariant_cast_helper#$$
    {26, 596, 540},	// QGlobalSpace::qvsnprintf$$$?
    {34, 91, 1011},	// QGraphicsSvgItem::QGraphicsSvgItem
    {34, 92, 996},	// QGraphicsSvgItem::QGraphicsSvgItem#
    {34, 93, 1012},	// QGraphicsSvgItem::QGraphicsSvgItem$
    {34, 94, 997},	// QGraphicsSvgItem::QGraphicsSvgItem$#
    {34, 196, 1015},	// QGraphicsSvgItem::Type
    {34, 207, 1006},	// QGraphicsSvgItem::boundingRect
    {34, 230, 1001},	// QGraphicsSvgItem::elementId
    {34, 249, 1003},	// QGraphicsSvgItem::isCachingEnabled
    {34, 262, 1005},	// QGraphicsSvgItem::maximumCacheSize
    {34, 263, 989},	// QGraphicsSvgItem::metaObject
    {34, 335, 1013},	// QGraphicsSvgItem::paint##
    {34, 336, 1007},	// QGraphicsSvgItem::paint###
    {34, 585, 995},	// QGraphicsSvgItem::qt_metacall$$?
    {34, 587, 990},	// QGraphicsSvgItem::qt_metacast$
    {34, 602, 999},	// QGraphicsSvgItem::renderer
    {34, 609, 1002},	// QGraphicsSvgItem::setCachingEnabled$
    {34, 615, 1000},	// QGraphicsSvgItem::setElementId$
    {34, 622, 1004},	// QGraphicsSvgItem::setMaximumCacheSize#
    {34, 628, 998},	// QGraphicsSvgItem::setSharedRenderer#
    {34, 640, 1014},	// QGraphicsSvgItem::staticMetaObject
    {34, 647, 1009},	// QGraphicsSvgItem::tr$
    {34, 648, 991},	// QGraphicsSvgItem::tr$$
    {34, 649, 993},	// QGraphicsSvgItem::tr$$$
    {34, 651, 1010},	// QGraphicsSvgItem::trUtf8$
    {34, 652, 992},	// QGraphicsSvgItem::trUtf8$$
    {34, 653, 994},	// QGraphicsSvgItem::trUtf8$$$
    {34, 654, 1008},	// QGraphicsSvgItem::type
    {34, 660, 1016},	// QGraphicsSvgItem::~QGraphicsSvgItem
    {89, 95, 1035},	// QSvgGenerator::QSvgGenerator
    {89, 221, 1038},	// QSvgGenerator::description
    {89, 236, 1046},	// QSvgGenerator::fileName
    {89, 265, 1053},	// QSvgGenerator::metric$
    {89, 333, 1048},	// QSvgGenerator::outputDevice
    {89, 337, 1052},	// QSvgGenerator::paintEngine
    {89, 605, 1051},	// QSvgGenerator::resolution
    {89, 613, 1039},	// QSvgGenerator::setDescription$
    {89, 618, 1047},	// QSvgGenerator::setFileName$
    {89, 624, 1049},	// QSvgGenerator::setOutputDevice#
    {89, 626, 1050},	// QSvgGenerator::setResolution$
    {89, 630, 1041},	// QSvgGenerator::setSize#
    {89, 632, 1037},	// QSvgGenerator::setTitle$
    {89, 634, -14},	// QSvgGenerator::setViewBox#
    {89, 638, 1040},	// QSvgGenerator::size
    {89, 645, 1036},	// QSvgGenerator::title
    {89, 655, 1042},	// QSvgGenerator::viewBox
    {89, 656, 1043},	// QSvgGenerator::viewBoxF
    {89, 661, 1054},	// QSvgGenerator::~QSvgGenerator
    {90, 96, 1090},	// QSvgRenderer::QSvgRenderer
    {90, 97, -1},	// QSvgRenderer::QSvgRenderer#
    {90, 98, -5},	// QSvgRenderer::QSvgRenderer##
    {90, 99, 1091},	// QSvgRenderer::QSvgRenderer$
    {90, 100, 1063},	// QSvgRenderer::QSvgRenderer$#
    {90, 205, 1072},	// QSvgRenderer::animated
    {90, 206, 1077},	// QSvgRenderer::animationDuration
    {90, 209, 1078},	// QSvgRenderer::boundsOnElement$
    {90, 218, 1075},	// QSvgRenderer::currentFrame
    {90, 220, 1067},	// QSvgRenderer::defaultSize
    {90, 229, 1079},	// QSvgRenderer::elementExists$
    {90, 241, 1073},	// QSvgRenderer::framesPerSecond
    {90, 251, 1066},	// QSvgRenderer::isValid
    {90, 258, -8},	// QSvgRenderer::load#
    {90, 259, 1081},	// QSvgRenderer::load$
    {90, 261, 1080},	// QSvgRenderer::matrixForElement$
    {90, 263, 1055},	// QSvgRenderer::metaObject
    {90, 585, 1061},	// QSvgRenderer::qt_metacall$$?
    {90, 587, 1056},	// QSvgRenderer::qt_metacast$
    {90, 598, 1084},	// QSvgRenderer::render#
    {90, 599, 1085},	// QSvgRenderer::render##
    {90, 600, 1094},	// QSvgRenderer::render#$
    {90, 601, 1086},	// QSvgRenderer::render#$#
    {90, 603, 1087},	// QSvgRenderer::repaintNeeded
    {90, 611, 1076},	// QSvgRenderer::setCurrentFrame$
    {90, 620, 1074},	// QSvgRenderer::setFramesPerSecond$
    {90, 634, -11},	// QSvgRenderer::setViewBox#
    {90, 640, 1095},	// QSvgRenderer::staticMetaObject
    {90, 647, 1088},	// QSvgRenderer::tr$
    {90, 648, 1057},	// QSvgRenderer::tr$$
    {90, 649, 1059},	// QSvgRenderer::tr$$$
    {90, 651, 1089},	// QSvgRenderer::trUtf8$
    {90, 652, 1058},	// QSvgRenderer::trUtf8$$
    {90, 653, 1060},	// QSvgRenderer::trUtf8$$$
    {90, 655, 1068},	// QSvgRenderer::viewBox
    {90, 656, 1069},	// QSvgRenderer::viewBoxF
    {90, 662, 1096},	// QSvgRenderer::~QSvgRenderer
    {91, 101, 1113},	// QSvgWidget::QSvgWidget
    {91, 102, 1104},	// QSvgWidget::QSvgWidget#
    {91, 103, 1114},	// QSvgWidget::QSvgWidget$
    {91, 104, 1105},	// QSvgWidget::QSvgWidget$#
    {91, 258, 1109},	// QSvgWidget::load#
    {91, 259, 1108},	// QSvgWidget::load$
    {91, 263, 1097},	// QSvgWidget::metaObject
    {91, 339, 1110},	// QSvgWidget::paintEvent#
    {91, 585, 1103},	// QSvgWidget::qt_metacall$$?
    {91, 587, 1098},	// QSvgWidget::qt_metacast$
    {91, 602, 1106},	// QSvgWidget::renderer
    {91, 639, 1107},	// QSvgWidget::sizeHint
    {91, 640, 1115},	// QSvgWidget::staticMetaObject
    {91, 647, 1111},	// QSvgWidget::tr$
    {91, 648, 1099},	// QSvgWidget::tr$$
    {91, 649, 1101},	// QSvgWidget::tr$$$
    {91, 651, 1112},	// QSvgWidget::trUtf8$
    {91, 652, 1100},	// QSvgWidget::trUtf8$$
    {91, 653, 1102},	// QSvgWidget::trUtf8$$$
    {91, 663, 1116},	// QSvgWidget::~QSvgWidget
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtsvg_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsvg_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtsvg_Smoke = new Smoke(
        "qtsvg",
        __smokeqtsvg::classes, 113,
        __smokeqtsvg::methods, 1161,
        __smokeqtsvg::methodMaps, 426,
        __smokeqtsvg::methodNames, 663,
        __smokeqtsvg::types, 488,
        __smokeqtsvg::inheritanceList,
        __smokeqtsvg::argumentList,
        __smokeqtsvg::ambiguousMethodList,
        __smokeqtsvg::cast );
    initialized = true;
}

void delete_qtsvg_Smoke() { delete qtsvg_Smoke; }

}
